
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : ViewControl
 *  function    : Contains bottom button row for controlling the canvas
 *********************************************************************/

import java.awt.Button;
import java.awt.Color;
import java.awt.Label;
import java.awt.Panel;
import java.awt.event.*; // Listeners

class ViewControl extends Panel
implements ActionListener // JDK 1.1
{
   JsepView tool;
   Button but[];
   static final int     ZMIN=0,ZRST=1,ZMOUT=2,PREV=3,PLAY=4,NEXT=5;
   String butText[] = {"Zoom in","Reset","Zoom Out","<-","Play","->"};
   Color butColor[] = { Color.yellow, Color.yellow, Color.yellow, Color.blue, Color.white, Color.blue };
   Label  author    = new Label("(c) Kees Lemmens, 1999",Label.RIGHT);

   public ViewControl(JsepView tool) // constructor
   {
      this.tool = tool;
      
      but  = new Button[butText.length];
      
      for(int x=0; x< butText.length; x++)
      {
	 add(but[x] = new Button(butText[x]));
	 but[x].setBackground(butColor[x]);
	 but[x].addActionListener(this); // JDK 1.1
      }
      add(author);
   }
   
   public void actionPerformed(ActionEvent ev) // JDK 1.1
   {
      String label = ev.getActionCommand();
      
      if(label.equals(butText[ZMIN]))
	tool.viewport.scaler.zoomIn();
      else if(label.equals(butText[ZRST]))
	tool.viewport.scaler.setScreenSize
	(tool.viewport.canvas.getSize());
      else if(label.equals(butText[ZMOUT]))
	tool.viewport.scaler.zoomOut();
      else if(label.equals(butText[PREV]))
	tool.setPrevious();
      else if(label.equals(butText[PLAY]))
	tool.togglePlay();
      else if(label.equals(butText[NEXT]))
	tool.setNext();
      
      tool.viewport.canvas.repaint();
      
      // System.err.println("Action Event : " + ev);
   }
}
