      subroutine askupc ( textin )
! ====================================================================== &
!
!        programmer     Guus Segal
!        version 1.2    date 26-12-1998 Include commons
!        version 1.1    date 09-02-1994 New comments
!        version 1.0    date 21-12-1990
!
!   copyright (c) 1990-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   replace all lower case letters in TEXTIN into upper case letters
!
! **********************************************************************
!
!                       KEYWORDS
!
!     upper_case
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character *(*) textin

!     textin   i  Text to be translated from lower case to upper case
!                 The text may contain other characters also, which are left
!                 unchanged
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/casciif90'

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, nchar, iasc, iebc

!    i       General loop variable
!    iasc    Number representation of ASCII character
!    iebc    Number representation of EBCDIC character
!    nchar   Number of characeters in textin
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!    nchar := len(textin)
!    if ( ascii ) then
!       for i := 1 (1) nchar do
!          if ( textin(i:i) an ASCII lower case letter ) then
!             translate to upper case
!    else
!       for i := 1 (1) nchar do
!          if ( textin(i:i) an EBCDIC lower case letter ) then
!             translate to upper case
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      nchar = len(textin)

      if ( ascii ) then

!     --- ascii is true, simple case

         do i = 1, nchar

            iasc = ichar( textin(i:i) )
            if ( iasc.ge.97 .and. iasc.le.122 ) &
                textin(i:i) = char(iasc-32)

         end do

      else

!     --- ascii is false, ebcdic code

         do i = 1, nchar

            iebc = ichar( textin(i:i) )
            if ( iebc.ge.129 .and. iebc.le.137 .or. &
                 iebc.ge.145 .and. iebc.le.153 .or. &
                 iebc.ge.162 .and. iebc.le.169 ) &
                 textin(i:i) = char(iebc+64)

         end do

      end if

      end
