      function checknodeinelm ( kmeshc, inpelm, inode )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 10-02-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if node is in element
!
! **********************************************************************
!
!                       KEYWORDS
!
!     node
!     element
!     check
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshc(*), inpelm, inode
      logical checknodeinelm

!     checknodeinelm o    Ture if node is in element, otherwise false
!     inode          i    Node sequence number
!     inpelm         i    number of points per element
!     kmeshc         i    Contains node numbers of element
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'checknodeinelm' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from checknodeinelm'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      checknodeinelm = .false.

      do i = 1, inpelm

         if ( kmeshc(i)==inode ) then

!        --- Node in element

            checknodeinelm = .true.
            exit
         end if  ! ( kmeshc(i)==inode )

      end do  ! i = 1, inpelm

1000  call erclos ( 'checknodeinelm' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End checknodeinelm'

      end if  ! ( debug )

      end
