      subroutine er0057 ( ichois, iernr, iform, i1, i2, i3, x, y, z )
! ====================================================================== &
!
!        programmer     Guus Segal
!        version 4.4    date 26-12-1998 Include commons
!        version 4.3    date 17-10-1992 Removal of readi4
!        version 4.2    date 27-06-1992 Initialise idum
!        version 4.1    date 03-11-1990 New definition of cmachn
!        version 4.0    date 29-10-1989 Complete revision, &
!                                       new file definition)
!        version 3.1    date 25-02-1990 Revision of text, extra format
!        version 3.0    date 03-06-1988 New call
!        version 2.0    date 04-02-1988 Extension with some messages
!        version 1.0    date 23-09-1987
!
!
!
!   copyright (c) 1987-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   *   subroutine er0057
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmachnf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ichois, iernr, iform, i1, i2, i3
      double precision x, y, z

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      character * 80 inp
      integer istart(30), ifrom, ito, iref, irec, idum, maxerr, nrec, i

!     i        General loop variable
!     idum     Dummy parameter (not used in this subroutine)
!     ifrom    Information in array ISTART is read from position IFROM
!              to ITO
!     inp      Character variable in which one error record at a time is
!              read. this record is printed immediately
!     irec     Record number from which information must be read from the
!              error message file
!     iref     SEPRAN local reference number to which the error file is coupled
!              In SEPRAN this is file 4. The actual reference number may be
!              different (irefer). This number is set by INITMD
!     istart   Integer array containing a part of the starting records
!              of the error messages. Only one or two records from the
!              error message file are read into istart, depending on the
!              error number iernr
!     ito      Information in array ISTART is read from position IFROM
!              to ITO
!     maxerr   Largest error number that has been stored in the error message
!              file
!     nrec     Number of records that are used for this error message
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     erclos  Resets old name of previous subroutine of higher level
!     eropen  Produces concatenated name of local subroutine
!     errsub  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
  1   format(/////)
  2   format(10x,'value',i8)
  3   format(10x,'in element group',i4, '  value',i8)
  4   format(10x,'in element group',i4)
  5   format(10x,'in element group',i4, &
             '  in nodal point number',i4,5x,'value',i8)
  6   format(10x,'in element group',i4, &
             '  in nodal point number',i4)
  7   format(10x,'array length',i8)
  8   format(10x,' card',i5, '   value',i8)
  9   format(10x,'in element number',i6, '   value',i8)
 10   format(10x,'in element number',i6, &
             '  in nodal point number',i6,'  value',i8)
 11   format(10x,'curve number',i6)
 12   format(10x,'in nodal point number',i6)
 13   format(10x,'in nodal point number',i6,'  value',i8)
 14   format(10x,' diagonal element number',i6)
 15   format(10x,' in type number',i4, &
             '  in element number',i6)
 16   format(10x,'in iuser',i4, '  value',i8)
 17   format(10x,'in iuser part',i3)
 18   format(10x,'code no',i6)
 19   format(10x,'in series number',i3, &
             ' in element group',i4,5x,' value ',i8)
 20   format(10x,' in type number',i4, &
             '  in element number',i6,'  value',i8)
 21   format(10x,'type number 1',i6,'   type number 2',i8)
 22   format(10x,'in element number',i6)
 23   format(10x,'in nodal points',2i6)
 24   format(10x,'in nodal points',3i6)
 25   format(10x,'in element group',i6 &
                    ,' in array of special structure',i6)
 26   format(10x,'in element group',i6 &
                    ,' in array of special structure',i6 &
                    ,' value',i6)
 27   format(10x,'in element group',i6 &
                    ,' in array of special structure',i6 &
                    ,' in nodal point number',i6)
 28   format(10x,'in element number',i6 &
                    ,' in nodal point number',i6 &
                    ,' in array of special structure',i3)
 29   format(10x,' computed length',i8, &
             '   declared length',i8)
 30   format(10x,'in boundary element number',i5, &
             '    in type number',i5)
 31   format(10x,'in position', i5,'  value',i5)
 32   format(10x,'in iwork position', i5)
 33   format(10x,'record number',i5,' in subroutine')
 34   format(10x,'number of points',i5)
 35   format(10x,'point number',i5)
 36   format(10x,'surface number',i5)
 37   format(10x,'surface number',i5,'   in volume',i5)
 38   format(10x,'in boundary point',i5,'   in surface',i5)
238   format(10x,'in boundary point',i5,'   in surface',i5/ &
             10x,'co-ordinates',3d12.3 )
 39   format(10x,'record number',i5,' in subroutine     value',i7)
 40   format(10x,'in iteration number',i5)
 41   format(10x,'in curve number',i6,'   value',i7)
 42   format(10x,'in element group',i5,'   in local nodal point',i5, &
                 '   value',i7)
 43   format(10x,'in group number',i5)
 44   format(10x,'in group number',i5,'    in nodal point number',i7)
 45   format(10x,'volume number',i5)
 46   format(10x,'volume number',i5,'    value',i7)
 47   format(10x,'user point',i5)
 48   format(10x,'curve number',i5,' in surface',i5)
 49   format(10x,'in surface number',i5,'   value',i5)
 50   format(10x,'record number',i5,' in subroutine   in column',i5)
 51   format(10x,'in element group',i4, '  coefficient number',i5)


!     --- read largest error number permitted

      ifrom = 1
      ito   = 1
      iref  = 4
      irec  = 1
      idum  = 0
      call readfl ( irec, ifrom, ito, idum, iref, istart )
      maxerr = istart(1)
      if ( iernr.le.0 .or. iernr.gt.maxerr ) then

!     --- Error number out of range

         write ( irefwr,210 ) iernr
210      format ( ' Internal error in SEPRAN'/ &
                  ' Error number',i6,'  has not yet been added to the', &
                  ' error file'// &
                  ' Please inform SEPRA'//)
         go to 200

      else if ( nrec4.gt.29 ) then

!     --- Internal error in SEPRAN, array ISTART too small

         write ( irefwr,220 )
220      format ( ' Internal error in SEPRAN'/ &
                  ' Array ISTART in ERTRAP(ER0057) is to small', &
                  ' Please inform SEPRA'//)
         go to 200

      end if

!     --- Read starting record of error number

      irec = 2 + (iernr-1)/nrec4
      ito  = mod(iernr,nrec4)+1
      if ( ito.eq.1 ) ito=nrec4+1

      call readfl ( irec, ifrom, ito, idum, iref, istart )
      irec = istart(ito-1)
      nrec = istart(ito) - irec

      if ( nrec.le.0 ) then

!     --- Error number out of range

         write ( irefwr,210 ) iernr
         go to 200

      end if

!     --- Read and print error messsage

      do i = irec, irec+nrec-1
         read ( irefer, rec=i ) inp
         write ( irefwr,240 ) inp
240      format(a80)
      end do

!     --- Print extra information

      goto(200,102,103,104,105,106,107,108,109,110,111,112,113,114, &
         115,116,117,118,119,120,121,122,123,124,125,126,127,128, &
         129,130,131,132,133,134,135,136,137,138,139,140,141,142, &
         143,144,145,146,147,148,149,150,151),iform
102   write(irefwr,2) i1
      goto 200
103   write(irefwr,3) i1,i2
      goto 200
104   write(irefwr,4) i1
      goto 200
105   write(irefwr,5) i1,i2,i3
      goto 200
106   write(irefwr,6) i1,i2
      go to 200
107   write(irefwr,7) i1
      go to 200
108   write(irefwr,8) i1,i2
      go to 200
109   write(irefwr,9) i1,i2
      goto 200
110   write(irefwr,10) i1,i2,i3
      goto 200
111   write(irefwr,11) i1
      goto 200
112   write(irefwr,12) i1
      goto 200
113   write(irefwr,13) i1,i2
      goto 200
114   write(irefwr,14) i1
      goto 200
115   write(irefwr,15) i1,i2
      goto 200
116   write(irefwr,16) i1,i2
      goto 200
117   write(irefwr,17) i1
      goto 200
118   write(irefwr,18) i1
      goto 200
119   write(irefwr,19) i1,i2,i3
      goto 200
120   write(irefwr,20) i1,i2,i3
      goto 200
121   write(irefwr,21) i1,i2
      goto 200
122   write(irefwr,22) i1
      goto 200
123   write(irefwr,23) i1,i2
      goto 200
124   write(irefwr,24) i1,i2,i3
      goto 200
125   write(irefwr,25) i1,i2
      goto 200
126   write(irefwr,26) i1,i2,i3
      goto 200
127   write(irefwr,27) i1,i2,i3
      goto 200
128   write(irefwr,28) i1,i2,i3
      goto 200
129   write(irefwr,29) i1,i2
      goto 200
130   write(irefwr,30) i1,i2
      goto 200
131   write(irefwr,31) i1,i2
      goto 200
132   write(irefwr,32) i1
      goto 200
133   write(irefwr,33) i1
      goto 200
134   write(irefwr,34) i1
      goto 200
135   write(irefwr,35) i1
      goto 200
136   write(irefwr,36) i1
      goto 200
137   write(irefwr,37) i1,i2
      goto 200
138   if ( ichois.eq. 0 ) then
         write(irefwr,38) i1,i2
      else
         write(irefwr,238) i1,i2,x,y,z
      end if
      goto 200
139   write(irefwr,39) i1,i2
      goto 200
140   write(irefwr,40) i1
      goto 200
141   write(irefwr,41) i1,i2
      goto 200
142   write(irefwr,42) i1,i2,i3
      goto 200
143   write(irefwr,43) i1
      goto 200
144   write(irefwr,44) i1,i2
      goto 200
145   write(irefwr,45) i1
      goto 200
146   write(irefwr,46) i1,i2
      goto 200
147   write(irefwr,47) i1
      goto 200
148   write(irefwr,48) i1,i2
      goto 200
149   write(irefwr,49) i1,i2
      goto 200
150   write(irefwr,50) i1,i2
      goto 200
151   write(irefwr,51) i1,i2
200   write(irefwr,1)
      end
