      subroutine ercard( ificol, ilacol )
! ====================================================================== &
!
!        programmer     Guus Segal
!        version 1.1    date 26-12-1998 Include commons
!        version 1.0    date 27-01-1990
!
!   copyright (c) 1990-1998 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Print the last record read and underline the columns between
!    ificol and ilacol
!    This subroutine is meant to indicate the positions that are incorrect
!    during input. So it is an extra subroutine providing error messages
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/caskcrf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ificol, ilacol

!    ificol  i   first column number from which an error has been found
!                Since in the record cards all columns have been moved to the
!                back, ificol will be recomputed to the original record
!    ilacol  i   last column number where an error has been found
!                Since in the record cards all columns have been moved to the
!                back, ilacol will be recomputed to the original record
!                If ilacol after renumbering exceeds the last column printing
!                is restricted untill the last record
!                If ilacol = 0 at input, ilacol is made equal to last
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ifirst, ilast
      character * 80 text

!    i       General loop variable
!    ifirst  First recomputed column number that must be underlined
!    ilast   Last recomputed column number that must be underlined
!    text    Variable to store a text (is used for underlining)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
! ====================================================================== &
!
!     --- Set text equal to cardim

      do i = 1, last
         text(i:i) = cardim(i)
      end do

!     --- Print first part of error message

      write(irefwr,110) text(1:last)
110   format(//' Last record read:  ( The underlined positions could ', &
               'not be interpreted)'//1x,a)

!     --- Compute Column numbers for the printing

      ifirst = min ( 79, ificol-80+last)
      if ( ilacol.eq.0 ) then
         ilast = min (79,last)
      else
         ilast = min (79, ilacol-80+last, last )
      end if
      text = ' '
      do i = ifirst, ilast
         text(i:i) = '*'
      end do
      write(irefwr,130) text(1:ilast)
130   format(1x,a//)
      end
