      subroutine eropen ( namelc )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.5  date 04-06-2007 Extension of number of levels
!        version  1.4  date 22-06-2001 Trace option
!        version  1.3  date 19-01-1999 include commons
!        version  1.2  date 26-12-1994 New commons cmessc and cmessg
!        version  1.1  date 23-06-1992 New common cmessg
!        version  1.0  date 05-02-1990
!
!   copyright (c) 1990-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Put the name of the local subroutine into common cmessc
!    and raise levsub
! **********************************************************************
!
!                       KEYWORDS
!
!     concatenate
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmesscf90'
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cdebug_routsf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character*(*) namelc

!     namelc   i    Name of local subroutine that must be concatenated
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!     none.
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1289   The number of levels of calling subroutines exceeds 20
! **********************************************************************
!
!                       PSEUDO CODE
!
!     trivial.
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( levsub>=99 ) then
         ints(1) = levsub+1
         ints(2) = 100
         call errsub ( 1289, 2, 0, 0 )
      else
         levsub = levsub + 1
         namsub(levsub) = namelc
      end if
      if ( trace ) then

!     --- Print the trace

         write(irefwr,100) levsub, namelc
100      format ( 'in eropen: level = ', i6, '  name = ', a )

      end if

      end
