      subroutine errintlong ( int, errvar )
! ====================================================================== &
!
!        programmer    Jos van Kan
!        version  1.0  date 18-11-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  errintlong is an auxiliary subroutine to errsub. It must be called prior to
!  errsub and sets the message variable int. errvar is the number ofthe
!  variable to be set (errvar<=1000).
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cmesscf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer (kind=8) int
      integer errvar

!    errvar i  Sequence number of variable in ints
!    int    i  Integer variable to be put into array ints
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1258   Too many errintlongs, erreals or errchrs in one errormessage.
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( errvar>1000 ) then

!     --- ERROR: too many ints in this errormessage

         chars(1) = 'integers'
         call errsub ( 1258, 0, 0, 1 )

      else

         ints (errvar) = int

      end if
      end
