      subroutine errtextunknown
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 08-02-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message text unknown
!     Mark part in input file
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     input
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cseprdnewf90'
      include 'SPcommon/csepchnewf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRCRD         Prints the last record read and underlines the erroneous
!                    part
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1457   text not recognized as keyword
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'errtextunknown' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from errtextunknown'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      firstcol = firstcolitems(lastitem)
      numrecord = firstcol/240+1
      firstcol = mod(firstcol,240)
      lastcol = mod(lastcolitems(lastitem),240)
      call errchr ( cardimage(numrecord)(firstcol:lastcol), 1 )
      call errsub ( 1457, 0, 0, 1 )
      call errcrd

1000  call erclos ( 'errtextunknown' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End errtextunknown'

      end if  ! ( debug )

      end
