      function getnpelmelgrp ( kmesh, ielgrp )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  1.1  date 23-01-2015 New keyword
!        version  1.0  date 22-08-1998
!
!   copyright (c) 1998-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fetch number of points per element in elementgroup ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_group
!     mesh
!     number_of_nodes
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielgrp, getnpelmelgrp

!     getnpelmelgrp    o    Nodes per element
!     ielgrp           i    element group number
!     kmesh            i    Standard SEPRAN array containing information of
!                           the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer kelma, npelm

!     kelma      Indicates if KMESH part a has been filled (>0) or not (0)
!                If kelma>0, kelma is the starting address of KMESH part a
!                in KMESH
!     npelm      Number of points per element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      kelma = kmesh(15)
      npelm = kmesh(4)
      if ( kelma/=0 ) then
         getnpelmelgrp = kmesh(kelma+ielgrp) - kmesh(kelma+ielgrp-1)
      else
         getnpelmelgrp = npelm
      end if

      end
