
#define TRUE          1
#define FALSE         0
#define MAXFILENAME 256
#define MAXCOMMAND  256
#define MAXNAME      32
#define MINPOLY       3
#define MAXPOLY     256
#define X_OUTPUT      1
#define PS_OUTPUT     2
#define HPGL_OUTPUT   3
#define FIG_OUTPUT    4
#define JB_OUTPUT     5

/* FIG_OUTPUT added by Sander Gielen */

typedef char Boolean;
#define FALSE 0
#define TRUE  1

#define MAGIC "jbinsep"  // Java portable binary magic type

typedef struct window_t
{
    /* Do NOT change order of parameters; clip needs this order! */
    double xmin, ymin, xmax, ymax, width, height, ratio;
} window_t;

typedef struct filnam_t
{
    char basedir[MAXFILENAME];
    char name[MAXNAME];
    char outname[MAXNAME];
    int  version, new;
    int intype;
} filnam_t;

typedef struct string_t
{
    char *str;
    int  length, alloc;
} string_t;

typedef struct seprec_t
{
   int   command;
   float x;
   float y;
   float a;
   float h;
   int   nchar;
} seprec_t;

/* Global function declarations (ANSI) :
 * Added by K. Lemmens, June 1999 
 */

/* sepview.c */

void errorMessage(char *message);
void infoMessage(char *message);

/* plotfun.c : */

void clear_colors(void);
int  init(window_t *dim,seprec_t *rec,filnam_t *fileinfo,int outputtype);
void color(int iclr);
void move(double x1, double y1);
void line(double x1, double y1, double x2, double y2);
void text(double xin, double yin, double height, double  ang,char *strin);
void polyfill(double x[], double y[], int npoints);
void polyline(double x[], double y[], int npoints);
void symbol(double x, double y, int symb);
void pl_finish();

/* ps_plotfun.c */

int  ps_init(window_t *dim,filnam_t *fileinfo);
void ps_color(int iclr);
void ps_line(double x1, double y1, double x2, double y2);
void ps_text(double xin, double yin, double height, double  ang,char *strin);
void ps_polyfill(double x[], double y[], int npoints);
void ps_polyline(double x[], double y[], int npoints);
void ps_symbol(double x, double y, int symb);
void ps_finish();

/* hpgl_plotfun.c */

int  hpgl_init(window_t *dim,filnam_t *fileinfo);
void hpgl_color(int iclr);
void hpgl_line(double x1, double y1, double x2, double y2);
void hpgl_text(double xin, double yin, double height, double  ang,char *strin);
void hpgl_polyfill(double x[], double y[], int npoints);
void hpgl_polyline(double x[], double y[], int npoints);
void hpgl_symbol(double x, double y, int symb);
void hpgl_finish();

/* fig_plotfun.c */

int  fig_init(window_t *dim,filnam_t *fileinfo);
void fig_color(int iclr);
void fig_line(double x1, double y1, double x2, double y2);
void fig_text(double xin, double yin, double height, double  ang,char *strin);
void fig_polyfill(double x[], double y[], int npoints);
void fig_polyline(double x[], double y[], int npoints);
void fig_symbol(double x, double y, int symb);
void fig_finish();

/* jb_plotfun.c */

int  jb_init(seprec_t *rec,filnam_t *fileinfo);
void jb_move();
void jb_line();
void jb_text(char *string);
void jb_polyfill(double x[], double y[], int npoints);
void jb_polyline(double x[], double y[], int npoints);
void jb_symbol();
void jb_finish();


/* clip.c */

int clip_polygon(double polygon_x[],double polygon_y[],
		 int *polygon_p,window_t *usr);
int clip_line(double *x1,double *y1,double *x2,
	      double *y2, window_t *usr);

/* symbol.c */

void line_text(double x,double y,double height,
	       double angle,unsigned char *string);
void line_symbol(double x,double y,int num);

/* getcolor.c */

int getcolor(int num,int *red, int *green, int *blue);

