      subroutine ini005 ( vector, amin, amax, n )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.3    date 20-01-1999 Include commons
!        version 1.2    date 09-08-1995 Save commons
!        version 1.1    date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0    date 10-05-1985
!
!   copyright (c) 1985-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   find minimum and maximum values of array vector
!
! **********************************************************************
!
!                       KEYWORDS
!
!    maximum
!    minimum
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer n
      double precision vector(*), amin, amax

!     amax    o    Maximum value
!     amin    o    Minimum value
!     n       i    number of elements of vector
!     vector  i    array of length n for which the minimum and
!                  maximum values must be computed
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdprf90'

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision v

!     i       Counting variable
!     v       help variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      amin=rinfin
      amax=-rinfin
      do 100 i=1,n
         v=vector(i)
         amin=min(amin,v)
         amax=max(amax,v)
100   continue
      end
