      subroutine ini066 ( ibuffr, index )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 28-09-2012 Replace body by ini060text
!        version  1.6  date 04-06-2007 Fortran 90
!        version  1.5  date 21-02-2003 Adapt error message
!
!   copyright (c) 1997-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Delete a permanent array from the SEPRAN memory
!     The array is removed from common block CARRAY
!     If possible IBFREE and IINFOR are decreased
!     INI066 is identical to subroutine INI056 as described in the Programmer's
!     Guide, except that the parameter name is not longer used.
!     The name of the calling subroutine is extracted from common blocks
!     CMESSC and CMESSG, so it is supposed that the subroutine EROPEN has been
!     used
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer index, ibuffr(*)

!     ibuffr i/o Integer buffer array in which all large data is stored
!     index   i  The value of index is the reference number of the
!                array that must be deleted
!                Reference number is meant with respect to array INFOR
!                in common block IINFOR
!                This means that the positions (i,INDEX) (i=1,2,3) in INFOR
!                contain all the information about the storage of the array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INI066TEXT     delete temporary array
! **********************************************************************
!
!                       I/O
!
!     none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'ini066' )
      call ini066text ( ibuffr, index, ' ' )
      call erclos ( 'ini066' )

      end
