      subroutine inicopindarr2 ( nnodes, arraynew, arrayold, nodesnew )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-04-2013
!
!   copyright (c) 2013-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy old arrayold into new indexed array arraynew
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     vector
!     reordering
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cinoutf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nnodes, nodesnew(nnodes)
      double precision arraynew(*), arrayold(*)

!     arraynew      i/o   New array to be filled
!     arrayold       i    Old array to be copied
!     nnodes         i    Number of nodes in nodesnew and nodesold
!     nodesnew       i    Index array corresponding to arraynew
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inicopindarr2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inicopindarr2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      arraynew(nodesnew(1:nnodes)) = arrayold(1:nnodes)

1000  call erclos ( 'inicopindarr2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inicopindarr2'

      end if  ! ( debug )

      end
