      function inistartsurf ( kmeshn, isurnr, nsurfs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-08-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Return with starting address of surface in array kmeshn
!
! **********************************************************************
!
!                       KEYWORDS
!
!     surface
!     topology
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inistartsurf, isurnr, nsurfs, kmeshn(nsurfs,2)

!     inistartsurf   o    Starting address of surface in kmeshn
!     isurnr         i    Surface sequence number
!     kmeshn         i    KMESH part n, contains nodal point numbers of the
!                         surfaces
!     nsurfs         i    number of surfaces
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inistartsurf' )
      inistartsurf = 2*nsurfs+1
      do i = 1, isurnr-1
         inistartsurf = inistartsurf+kmeshn(i,1)*kmeshn(i,2)
      end do
      call erclos ( 'inistartsurf' )
      end
