      subroutine inivolelem ( kmesh, ielem1, ielem2, ivolnr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-08-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute first and last element number in volume
!
! **********************************************************************
!
!                       KEYWORDS
!
!     volume
!     element
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielem1, ielem2, ivolnr

!     ielem1         o    First element number in volume
!     ielem2         o    Last element number in volume
!     ivolnr         i    Volume sequence number
!     kmesh          i    Standard SEPRAN array containing information of the
!                         mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer kelmt

!     kelmt          Indicates if array KMESH part t has been filled >0, &
!                    or not 0
!                    If kelmt > 0, kelmt denotes the starting address of
!                    KMESH part t in KMESH
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Get information from kmesh part t
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inivolelem' )

!     --- Get information from kmesh part t

      kelmt = kmesh(36)-2+2*ivolnr
      ielem1 = kmesh(kelmt)
      ielem2 = kmesh(kelmt+1)

      call erclos ( 'inivolelem' )
      end
