      subroutine intx02ext ( code, ncode, nncode, itype, table, codemn, &
                             nmcode, nmain, iretur, tabmin, tabmax, &
                             tabout, nout, strout, nstrng, ncodmx, &
                             iseqkeyw, nseqkeyw )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-07-2011 Replace by call to intx02ext1
!        version  1.14 date 17-06-2011 New call to intx0210
!        version  1.13 date 02-11-2009 Extension with option 41
!
!   copyright (c) 2002-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     read rest of record and check if keywords from the code table followed
!     by a number are available
!     It is assumed that either the record has alrady been read or that ityprd
!     is set equal to 1
!     The subroutine starts with reading the next item but reads only one record
!     If a keyword from the code table is found, the value following it is
!     read and put in the right position of table
!     It is checked if the value read is within a given range
!     If an item is not recognized an error message is given
!     If a main keyword is found or end of record the subroutine returns
!     This is the old subroutine intx02, extended with a sequence array
!     defining in which sequence options are found
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nncode, ncode(nncode), itype(*), nmain, nmcode(*), &
              iretur, nout, nstrng, ncodmx(nncode), iseqkeyw(*), &
              nseqkeyw
      character (len=*) code(nncode), codemn(*), strout(nstrng)
      double precision table(nncode), tabmin(nncode), tabmax(nncode), &
                       tabout(nout)

!     See subroutine intx02ext1
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer errorcode

!     See subroutine intx02ext1
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INTX02EXT1     Interpret a record containing keywords followed by numbers
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      errorcode = 0
      call intx02ext1 ( code, ncode, nncode, itype, table, codemn, &
                        nmcode, nmain, iretur, tabmin, tabmax, &
                        tabout, nout, strout, nstrng, ncodmx, &
                        iseqkeyw, nseqkeyw, errorcode )
      end
