      subroutine meshrd ( ichois, iref, kmesh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.3  date 29-05-2014 Remove time routine
!        version  5.2  date 30-07-1997 New call of MSH071
!        version  5.1  date 28-12-1994 New layout
!
!   copyright (c) 1984-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    read information of the mesh from the file indicated by iref
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ichois, iref, kmesh(*)

!     ichois  i    choice parameter,  possibilities:
!                 >=0    mesh is read,  Subroutine TOPOL is called with ichois
!                                         as first parameter
!                    -1    mesh is read,  Subroutine TOPOL is skipped
!                    -2    mesh is read,  Subroutine TOPOL is called
!                          Parameter ichois depends on version number of
!                          file meshoutput
!     iref    i    dataset reference number for the output
!                  when iref = 0 the standard output file is assumed
!                  when iref>=0 the file is supposed to be formatted, &
!                                 else an unformatted file is assumed
!     kmesh   o    standard sepran array containing information of the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ihelp(10)

!     ihelp          Work array to store input from the input file
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     MSH071         Read information of the mesh from the file indicated by
!                    iref
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'meshrd' )
      call msh071 ( ibuffr, buffer, ichois, iref, kmesh, ihelp )
      call erclos ( 'meshrd' )
      end
