module sepmodulemesh

   use sepmodulecomio

   integer :: i3d          ! Indicates if a threedimensional plot with
                           ! hidden surfaces must be made (1) or not (0)
   integer :: ibcrds       ! First dimension of array bcord2d
   integer :: iblend       ! Blending parameter for subroutine MSHZDE
   integer :: icentre      ! User point number of centre
   integer :: ichanmesh    ! if 1 the mesh has been changed by mshadap
   integer :: icheck       ! Level of check of elements
                           ! 0:  no special checks (default)
                           ! 1:  check volume of elements
                           ! 2:  check volume of elements and print
                           !     minimum and maximum value per
                           !     surface/volume
   integer :: icirc        ! Indication if pipesurface is generated by one
                           ! generating curve (1) or by two (0)
   integer :: icurnr       ! Curve sequence number
   integer :: icurvt       ! Curvature parameter for subroutine MSHZDE
   integer :: idiag        ! idiag for pipe surface
   integer :: ifinvl       ! Indicates If special fin. vol. grid is
                           ! created
                           ! Possible values:
                           ! 0    No finite volume grid
                           ! 1    ISNaS finite volume grid 1992 definition
                           ! 2    ISNaS finite volume grid 1994 definition
   integer :: iinp1        ! first pos. iinput definition curves
   integer :: iinp2        ! first pos. iinput definition line elements
   integer :: iinp3        ! first pos. iinput definition surfaces
   integer :: iinp4        ! first pos. iinput definition surface elements
   integer :: iinp5        ! first pos. iinput definition volumes
   integer :: iinp6        ! first pos. iinput definition volume elements
   integer :: iinp7        ! first pos. iinput definition connected
                           ! elements
   integer :: iinp8        ! last position of iinput
   integer :: iinp9        ! first pos. iinput definition
                           ! intermediate points
   integer :: iinp10       ! first pos. iinput extra information
   integer :: iinp11       ! first pos. iinput interface elements
   integer :: iinp12       ! first pos. iinput integer properties
   integer :: iinp13       ! first pos. change_coordinates
   integer :: iinp14       ! first pos. obstacles
   integer :: iinp15       ! first pos. dummy elements
   integer :: inpelm       ! Number of points in an element
   integer :: inplmt       ! Number of points in element of surface
                           ! corresponding to volume
   integer :: inodp        ! Next free nodal point number
   integer :: iorien       ! Orientation of base vectors:
                           ! 1 x-y-z
                           ! 2 z-x-y
                           ! 3 y-z-x
   integer :: iparallel    ! Indicates if the mesh must be subdivided for
                           ! parallel processing or not.
                           ! Possible values:
                           ! 0: no parallelization
                           ! 1:  subdivide because of parallelization
   integer :: iplot        ! paramater iplot,  see programmer's guide
                           ! (plotting: >0,  no plots  = 0)
   integer :: irefin       ! Number of times the mesh should be refined
   integer :: irenpl       ! If 1 renumbered nodes must be plotted
   integer :: irnp1        ! first pos. rinput definition of coordinates
                           ! of points
   integer :: irnp2        ! first pos. in rinput definition of factors
   integer :: irnp3        ! last position in rinput
   integer :: irnp4        ! first pos. in rinput definition of thickness
                           ! and factors for paver
   integer :: irnp5        ! first pos. in rinput definition of
                           ! real properties
   integer :: iscale       ! Indicates the type of scaling that must be
                           ! applied
                           ! Possible values:
                           ! 0: no scaling
                           ! 1: always scaling
                           ! 2: scaling for specified sufraces and volumes
   integer :: iselem       ! Next free element number
   integer :: ismoot       ! Smoothing parameter
   integer :: ispecial     ! Indicates if the standard mesh input is read
                           ! with points or the special one
                           ! with nodal_points
                           ! Possible values:
                           ! 0    Standard case
                           ! 1    Special case
   integer :: isurf        ! code for surface generation:
                           !  1:      rectangle  (msher1)
                           !  2:      general    (mshg)
                           !  3:      triangle
                           !  4:      quadrilateral
                           !  5:      user (meshus)
                           !  7:      surface of subsurfaces
                           !  8:      translate
                           !  9:      rotate
                           ! 10:      pipe surface
                           ! 11:      ordened surface of subsurfaces
                           ! 13:      Coons
                           ! 14:      similar
                           ! 15:      parsurf
                           ! 16:      reflect
                           ! 17:      rectangle with smoothing
   integer :: isurnr       ! Surface number
   integer :: itrans       ! Indicates if the linear triangular mesh must
                           ! be transformed to elements of type
                           ! itrans (>0) or not (0)
   integer :: itypesurf    ! defines type of surface
   integer :: itype_scale  ! Indicates how the scaling must be
                           ! performed
                           ! Possible values:
                           ! 0: scaling in x, y and z directions
                           ! 1: scaling in x-direction only
                           ! 2: scaling in y-direction only
                           ! 3: scaling in z-direction only
                           ! 4: scaling depends on direction of mesh and
                           !    size of boundary elements
   integer :: ivol         ! code for volume generation:
                           ! 1:       brick (mshr3d)
                           ! 2:       pipe  (mshpip)
   integer :: ivolnr       ! Volume number
   integer :: iwritfaces   ! if 1 faces and edges must be computed
   integer :: jboun        ! Indicates if KMESH part b must be filled (1)
                           ! or not (0)
   integer :: jcoars       ! Indication if coarseness is defined (>0)
                           ! or not ( = 0)
   integer :: jcurvn       ! Indicates if nodes along curves must be
                           ! plotted
                           ! 0:  No plotting
                           ! 1:  Plot with crosses
                           ! 2:  Plot with symbol
                           !     (value of symbol jcurvn-1)
   integer :: jcurvp       ! Indicates if and how curves must be plotted
                           ! 0:  No plotting
                           ! 1:  Plot without numbers of curves
                           ! 2:  Plot with numbers of curves
   integer :: jnodp        ! Indicates if KMESH part a must be filled (1)
                           ! or not (0)
   integer :: jrenum       ! indication whether renumbering must be
                           ! performed (#0) or not (0)
                           ! If jrenum<0 it indicates starting address
                           ! in iinput
   integer :: juserp       ! Indicates if and how userpoints must be
                           ! plotted
                           ! 0:  No plotting
                           ! 1:  Plot without numbers of user points
                           ! 2:  Plot with numbers of user points
   integer :: lencrv       ! Number of entries in array curves
   integer :: lendebug     ! Length for debugging
   integer :: lenextraboun ! Number of nodes in extra surfaces
   integer :: lenextracrvs ! Number of nodes in extra curves
   integer :: leniwk       ! Computed length of array iwork
   integer :: lentau       ! Number of entries in array tau
   integer :: lenwrk       ! Number of entries in array work
   integer :: linear       ! Indication if the elements to be generated
                           ! are linear (1) or quadratic (2)
   integer :: lmes         ! parameter for mesh generation
                           ! see user manual (mesh)
   integer :: lnbcor       ! Computed length of array BCORD
   integer :: lnkbnd       ! Computed length of array KBNDPT
   integer :: lnrenu       ! Computed length of array RENUM
   integer :: lnwrk1       ! Computed length of array WORK1
   integer :: lnwrk2       ! Computed length of array WORK2
   integer :: mapping3d    ! defines mapping to 3d surface
   integer :: maxlencur    ! Maximum length of information for one curve
   integer :: maxlensur    ! Maximum length of information for one surface
   integer :: maxlenvol    ! Maximum length of information for one volume
   integer :: maxloops     ! Maximum number of loops in nowbdn in paver
   integer :: maxcrv       ! Maximal number of curves allowed
   integer :: maxpnt       ! Maximal number of nodal points allowed
   integer :: maxsrf       ! Maximal number of surfaces allowed
   integer :: maxvlm       ! Maximal number of volumes allowed
   integer :: mmes         ! parameter for mesh generation
                           ! see user manual (mesh)
   integer :: mtetra       ! number of elements in one hexahedron
                           ! hexahedron: 1   tetrahedron: 6
   integer :: mtrian       ! indication whether the standard element is a
                           ! quadrilateral (1) or a triangle (2)
   integer :: nbcrd        ! number of nodal points in boundary of submesh
   integer :: nbndpt       ! Number of boundary points of a surface of
                           ! volume (in some cases plus one )
   integer :: nbnmax       ! Maximum of nbndpt over all surfaces
   integer :: nboun        ! number of points on the boundary of an
                           ! element
   integer :: nboune       ! Indication of the number of nodal points
                           ! along the boundary of an element
                           ! when nboune = 1:  2 (linear element)
                           ! when nboune = 2:  3 (quadratic element)
   integer :: nc           ! Number of line elements in circumference of
                           ! bottom plane for subroutine pipe
   integer :: ncoar        ! Number of extra user points in triangle
   integer :: ncoarstart   ! Starting address of extra user points
                           ! in iinput
   integer :: ncurvstart   ! Starting address of extra curves
                           ! in iinput
   integer :: nelemlc      ! Local number of elements
   integer :: nelgrpdum    ! Number of dummy element groups
   integer :: nelmax       ! Maximal number of elements in a surface
                           ! (composite surfaces excluded)
   integer :: nextracrvs   ! Number of extra curves in triangle
   integer :: nextrapnts   ! Number of extra points in mesh
   integer :: nextrasrfs   ! Number of extra surfaces in general
   integer :: nlayers      ! Number of layers before triangle is applied
   integer :: nlines       ! number of definitions of line elements
   integer :: nmes         ! parameter for mesh generation
                           ! see user manual (mesh)
   integer :: nnodes       ! Number of nodes in triangle file
   integer :: nomesh       ! If 1 the mesh is not plotted
   integer :: notopol      ! if 1 subroutine TOPOL is skipped,
                           ! if 0 it depends on other parameters
   integer :: npointlc     ! Local number of points
   integer :: npomax       ! Maximal number of nodal points in a surface
                           ! or volume
   integer :: npomxs       ! Maximal number of nodal points in a surface
                           ! (composite surfaces excluded)
   integer :: nsurfstart   ! Starting address of extra surfaces
                           ! in iinput
   integer :: nsurel       ! number of definitions of surface elements
   integer :: nsurvl       ! total number submeshes where surface elements
                           ! and volume elements are defined
   integer :: ntria        ! Number of triangles in triangle file
   integer :: numsub       ! number of surfaces that must be skipped
                           ! for plotting
   integer :: nvolel       ! number of definitions of volume elements
   integer :: nx           ! parameter for mesh generation (see mshr3d)
   integer :: ny           ! parameter for mesh generation (see mshr3d)
   integer :: nz           ! parameter for mesh generation (see mshr3d)
   integer :: shape_cur    ! default curve shape
   integer :: shape_sur    ! default surface shape
   integer :: shape_vol    ! default volume shape

   logical :: alloccurv    ! if true ipointcurv and iseqcurvs are allocated

   integer, pointer :: ipointcurv(:) ! contains the relative starting addresses
                                     ! of all curves in the part of iinput
                                     ! referring to curves
   integer, pointer :: irenum(:)     ! local renumbering array
   integer, pointer :: iseqcurvs(:)  ! Contains new sequence of curve numbers
   integer, pointer :: kmeshclc(:)   ! local topology
   integer, pointer :: kmeshcline(:) ! local topology for line elements
   integer, pointer :: kbndptlc(:)   ! local boundary points
   integer, pointer :: numnodextcurvs(:)  ! Contains the number of nodes for
                                          ! each internal curve in the sequence
                                          ! of these curves
   integer, pointer :: numelmextsurfs(:)  ! contains the number
                                          ! of elements for each extra surface

   double precision, pointer :: bcord2d(:,:)  ! contains coordinates of
                                              ! boundary
   double precision, pointer :: bcordtmp(:,:) ! temporary array bcord2d
   double precision, pointer :: bcorold(:,:)  ! coordinates of old boundary
   double precision, pointer :: coor2d(:,:)   ! contains coordinates of
                                              ! surface (2d)
   double precision, pointer :: coor3d(:,:)   ! contains coordinates of
                                              ! surface (3d)
   double precision, pointer :: coorline(:,:) ! contains coordinates of
                                              ! line elements

type kmeshparinf

!  --- Information of some local arrays with respect to parallel computing

       integer, pointer :: elempointers(:)    ! global element numbers of local
                                              ! mesh
       integer, pointer :: nodepointers(:)    ! global node numbers of local
                                              ! mesh

end type kmeshparinf

   type (kmeshparinf), pointer :: kmhpar(:)

end module sepmodulemesh

