module sepmoduleread1

   use sepmodulemain
   use sepmodulecons
   use sepmoduleread
   use sepmodulecpack

   integer, parameter :: lnc = 200     ! length of array code
   integer, parameter :: lnm = 100     ! length of array codemain
   integer, parameter :: nout = 1500   ! length of array tabout
   integer, parameter :: nstrng = lnm  ! length of array strout
   integer, parameter :: maxmultiple=5 ! Declared size of array pointar
   integer, parameter :: maxrepeat=1000 ! Declared size of first entry of
                                        ! array numberkeyw

   integer :: errorcode    ! If 0 at input an error message is given if a
                           ! keyword is not recognized
                           ! If>0, the subroutine does not give an error message
                           ! but instead returns with -1
   integer :: icode        ! Return code
                           ! Indicates position of keyword in array code
   integer :: ierpri       ! Indicates if subroutine must give an error
                           ! message (1) or not (0)
   integer :: iposut       ! Position in array tabout
   integer :: iretur       ! Return value of subroutine sepreadsetkeyw
                      !   -10000  At input means that sepreadsetkeyw returns if
                      !        the first item read is not a keyword
                      !        The return code will be -10001 in that case
                      !   -11  At input means that asknxt has already been
                      !        called before
                      !   -10  At input means that no error message is given if
                      !        a single real or integer is found
                      !        The corresponding value is stored in tabout, next
                      !        position
                      !        iretur gets the value -10-number of numbers found
                      !   -2   End of file has been reached
                      !   -1   An error has been detected
                      !    0   Normal end of subroutine
                      !   >0   Main keyword number iretur has been found
   integer :: ivalrd       ! Integer value read
   integer :: jcode        ! input value of icode
   integer :: kposut       ! last position used in array strout
   integer :: minusg       ! Indicates if a minus sign has been found (-1)
                           ! or not (1)
   integer :: ncodefix    ! Number of characters to be compared
   integer :: nmain        ! Number of entries in codemn
   integer :: nncode       ! Number of entries in code
   integer :: nncodemain   ! Number of entries in codemain
   integer :: nncodesub    ! Number of entries in codesub
   integer :: nseqkeyw     ! Number of entries in iseqkeyw
   integer :: numchar      ! Number of characters in keyword
   integer :: valmax       ! Maximum value allowed for ivalrd
   integer :: valmin       ! Minimum value allowed for ivalrd

   logical :: keywordfound  ! If true a keyword has been found
   logical :: readnx       ! Indicates if the next item has not been read (true)
                           ! or has been (false)

   character (len=40) :: code(lnc)       ! Table with keywords
   character (len=40) :: codemain(lnm)   ! Table with main keywords
   character (len=40) :: codesub(lnm)    ! Table with sub keywords
   character (len=100) :: strout(nstrng)  ! Contains series of strings

   integer :: icountkey(lnc)   ! counts the number of times a keyword has been
                               ! found
   integer :: indexread(lnc)   ! sequence numbers of constpstants or scalars
                               ! read are stored for each position in table
   integer :: infotable(lnc)   ! parameter ityprd is stored
                               ! for each parameter read
   integer :: infotabout(nout) ! the parameter ityprd is stored
                               ! for each parameter read
   integer :: iscalars(maxcls+maxintscals) ! Help array in which it is stored
                               ! if a scalar is in use
   integer :: iseqkeyw(nout)   ! Array of size nseqkeyw that contains the
                        ! sequence in which keywords are found in a record
                        ! isekeyw(i)>0, means i-th keyword found is the
                        !               iseqkeyw(i)-th keyword in the table
                        ! isekeyw(i)<0, means keyword refers to number found
                        !               -isekeyw(i) refers to position in
                        !               tabout
   integer :: iseqkeywitem(lnc)! Contains the sequence number of the keyword
                               ! in array items
   integer :: itype(lnc)       ! Table containing information about the
                               ! numbers behind the keywords
                               ! in the table code
   integer :: ivectors(maxvec) ! Help array in which it is stored
                               ! if a vector is in use
   integer :: ncode(lnc)       ! Table containing the number of
                               ! significant characters
                               ! in the keyword table code
   integer :: ncodemain(lnm)   ! Table containing the number of
                               ! significant characters
                               ! in the keyword table codemain
   integer :: ncodesub(lnm)    ! Table containing the number of
                               ! significant characters
                               ! in the keyword table codesub
   integer :: ncodmx(lnc)      ! Table containing the maximal number of
                               ! characters in in the keyword
                               ! table code
   integer :: ncodmxmain(lnm)  ! Table containing the maximal number of
                               ! characters in in the keyword
                               ! table codemain
   integer :: ncodmxsub(lnm)   ! Table containing the maximal number of
                               ! characters in in the keyword
                               ! table codesub
   integer :: numberkeyw(maxmultiple)  ! Array of size maxmultiple containing
                 ! the number of values stored in array valuekeyw for each type
                 ! The sequence is defined by array pointar
   integer :: pointar(lnc)     ! array of size n containing the sequence numbers
                    ! of all keywords with respect to arrays numberkeyw and
                    ! valuekeyw   if 0, no reference is necessary

   double precision :: table(lnc)    ! Contains the numbers read for the
                                     ! various keywords
   double precision :: tabmax(lnc)   ! Contains maximum values allowed in table
   double precision :: tabmin(lnc)   ! Contains minimum values allowed in table
   double precision :: tabout(nout)  ! Contains series of numbers
   double precision valuekeyw(maxrepeat,maxmultiple) ! Array containing
                   ! all values corresponding to the special keywords of
                   ! type 8 and 9
                   ! valuekeyw(i,j) corresponds to ith value for j-th keyword
                   ! where the sequence of pointar is used

   contains

!  --- Find position icode of keyword in array codemain (intx00)

      integer function sepmainkeyw () result(icode)

      nncode = nncodemain
      code(1:nncode) = codemain(1:nncode)
      ncode(1:nncode) = ncodemain(1:nncode)
      ncodmx(1:nncode) = ncodmxmain(1:nncode)

      icode = sepsubkeyw ( )   ! return with position of keyword

      end function sepmainkeyw

!  --- Find position icode of keyword in array code (intx00)
!      if ierpri>=10, it is also check if we have the situation
!      vector = .. or scalar = .. (intx00ext)

      integer function sepsubkeyw () result(icode)
      integer :: i                  ! loop variable
      integer :: itypesav(1:nncode) ! saves present values of itype
      integer :: lastitemsav        ! saves value of lastitem
      integer :: sepchkscalvec      ! check if item at right-hand side is scalar
                                    ! or vector
                                    ! if so add left-hand side to the list
                                    ! of scalars or vectors
      integer :: sepmainkeywnn      ! Check if string read is (main) keyword

      lastitemsav = lastitem
      numchar = sepsplitkeyw ( )  ! find number of characters in keyword
                                  ! without numbers
      if ( numchar==1 .and. &
          (keyword(1:1)=='S' .or.keyword(1:1)=='V') .and. &
           lastitem==2 .and. nitems>3 ) then

!     --- This is the situation Si =, or Vi =
!         We interpret Si and Vi as new items
!         not as scalar or vector
!         Therefore splitting is undone

         if ( typeitems(3)==13 ) then
            numchar = nchar
            keyword(1:numchar) = string(1:nchar)
         end if  ! ( typeitems(3)==13 )

      end if  ! ( numchar==1 .and. ... )

      itypesav(1:nncode) = itype(1:nncode)
      itype(1:nncode) = 0

      icode = sepmainkeywnn ( )   ! return with position of keyword

      itype(1:nncode) = itypesav(1:nncode)

      if ( ierpri>=10 ) then

         if ( (icode==82 .and. string(1:nchar)=='S' .or. &
               icode==12 .and. string(1:nchar)=='SCALAR') .or. &
              (icode==68 .and. string(1:nchar)=='V' .or. &
               icode==67 .and. string(1:nchar)=='VECTOR') &
              .and. nitems>1 ) then

!        --- S found, check if it is followed by equals sign

            if ( typeitems(lastitem+1)==13 ) then  ! = found, hence new vector
               lastitem = 0
               call readrealscal  ! check if it is known vector or scalar
               if ( ityprd==4 ) icode = 0
            end if  ! ( typeitems(lastitem+1)==13 )

         end if  ! ( icode>0 .and. string(1:nchar)='V' .and. nitems>1 )

         if ( icode==0 ) then  !no keyword found

!        --- Check if second item is equals sign

             lastitem = lastitemsav
             if ( nitems>1 ) then  ! More than one item

!            --- If equals sign found
!                check if we are dealing with a scalar or vector
!                If so create one and add to the list of scalars or vectors

                if ( typeitems(lastitemsav+1)==13 ) icode = sepchkscalvec()

             end if  ! ( nitems>1 )

         end if  ! ( icode==0 )

      end if  ! ( ierpri>=10 )

      if ( icode==0 .and. mod(ierpri,10)==1 ) then
         call errchr ( string(1:nchar), 1 )
         do i = 1, nncode
            call errchr ( code(i)(1:ncodmx(i)), 1+i )
         end do
         call errsub ( 648, 0, 0, nncode+1 )
         call errcrd
      end if
      ierpri = 1
      end function sepsubkeyw

!     --- Check if string read is (main) keyword  (intxkeyword)

      integer function sepkeyword ( ) result(icode)
      integer :: i

      icode = 0

      do i = 1, nncode

!     --- First check if keyword is exactly equal to a keyword

         if ( nchar==1 .and. ncode(i)==1 .and. keyword(1:1)=='V' .and. &
              namevfound .and. nitems>lastitem .and. &
              typeitems(lastitem+1)==10 ) then

!        --- V is followed by %-sign, hence keyword V found
!            nothing to be done

            icode = i
            exit

         end if  ! ( nchar==1 .and. ncode(i)==1 .and. keyword(1:1)=='V' ... )

         if ( keyword(1:numchar)==code(i)(1:ncodmx(i)) ) then

!        --- Text found

            if ( ncode(i)==1 .and. keyword(1:1)=='V' .and. &
                 namevfound ) then

!           --- Special case, keyword V, check if this is meant as
!               V of vector or V as vector name
!               Check if this is a vector name
!               If so read name of vector and jump

               call readnamevec

               if ( ityprd==2 ) then

!              --- vector name found

                  jcode = i
                  icode = sepchkvecread ( i )
                  exit

               end if  ! ( ityprd==2 )

            end if  ! ( ncode(i)==1 .and. keyword(1:1)=='V' )

            icode = i
            lastitem = lastitembef+1
            exit

         end if  ! ( string(1:ncode(i))==code(i)(1:ncode(i)) )

      end do  ! i = 1, nncode
      end function sepkeyword

!     --- Check if string read is (main) keyword  (intxkeyword2)
!          Only a limited number of characters are compared

      integer function sepkeyword2 ( ) result(icode)
      integer :: i

      icode = 0

      do i = 1, nncode

         if ( keyword(1:ncode(i))==code(i)(1:ncode(i)) ) then

!        --- Text found

            icode = i
            lastitem = lastitembef+1

            if ( numchar>ncodmx(i) ) then

!           --- Too much characters in keyword, skip this keyword

               icode = 0
               go to 300

            end if  ! ( nchar>ncodmx(i) )

            if ( nwarn<mxwarn .and. numchar>ncodmx(i) ) then

!           --- Too much characters in keyword

               call errint ( nchar, 1 )
               call errint ( ncodmx(i), 2 )
               call errchr ( string(1:nchar), 1 )
               call errchr ( code(i)(1:ncodmx(i)), 2 )
               call errwar ( 1474, 2, 0, 2 )
               call errcrd

            end if  ! ( nchar>ncodmx(i) )
            exit

300      end if  ! ( string(1:ncode(i))==code(i)(1:ncode(i)) )

      end do  ! i = 1, nncode
      lastitem = lastitembef+1

      end function sepkeyword2

!     --- Check if string read is keyword  (intx01)
!          Only ncodefix characters are compared

      integer function sepkeyword3 ( ) result(icode)
      integer :: i
      icode = 0
      do i = 1, nncode
         if ( string(1:ncodefix)==code(i)(1:ncodefix) ) then
            icode = i
            exit
         end if  ! ( string(1:ncode)==code(i)(1:ncode) )
      end do  ! i = 1, nncode

      if ( icode==0 .and. ierpri==1 ) then

!     --- Error: string does not belong to code

         call errchr ( string(1:ncodefix), 1 )
         do i = 1, nncode
            call errchr ( code(i)(1:ncodefix), 1+i )
         end do
         call errsub ( 648, 0, 0, nncode+1 )
         call errcrd

      end if  ! ( icode==0 ,and. ierpri==1 )
      end function sepkeyword3

!     --- Check information of vector name read (intx00keyw1)

      integer function sepchkvecread ( jcode ) result(icode)

      icode = jcode
      ivalrd = mod(nint(realrd),10000)
      ivalrd = mod(ivalrd,5000)   ! correction for a series of vectors
      valmax = numvec
      if ( valmax==0 ) valmax = maxvc1
      valmin = 1
      if ( mainsubr==4 ) valmin = 0
      if ( ivalrd>-1000 .and. ivalrd<valmin .or. ivalrd>valmax ) then

!     --- Vector number out of range

         call errint ( ivalrd, 1 )
         call errint ( valmax, 2 )
         call errsub ( 2951, 2, 0, 0 )
         call errcrd

      end if  ! ( ivalrd<=0 .or. ivalrd>numvec )

      end function sepchkvecread
!  Meaning of some arrays in sepreadsetkeyw
!  itype    Table containing information about the numbers behind
!           the keywords in the table code
!           Possible values (short description):
!           -1, keyword, skip
!            0, keyword = integer
!            1, keyword = real
!            2, keyword, Set table to 1
!            3, keyword or keyword = integer
!            4, keyword or keyword = integer,
!               indicate both situations
!            5, keyword = keyword
!            6, keyword = 'text'
!            8, keyword = real, repeatedly
!            9, ci or -ci, i.e. keyword provided by sign
!               followed by integer number repeatedly
!           10, keyword iseq1 = j1, keyword iseq2 = j2, ...
!           11, keyword = i1, i2, i3, ...  all positive integer
!           12, keyword iseq1 = j1, keyword iseq2 = j2, ...
!               or keyword = j1 (iseq1 is set to 1)
!           13, keyword = keyword1 [keyword2], the last may
!               be empty
!           14, c1, -c3, c4, -c9, c5, i.e. list of keywords
!               followed by sequence number (or c1 to c2)
!           15, c1 v1 c2 v2 List of keyword followed by sequence
!               number followed by another keyword followed by
!               sequence number and this repeatedly
!           16, keyword = real
!               or keyword (value = real)
!               or keyword (func = i)
!               or keyword (time_func = i)
!           17, keyword = ((x1,y1,..), (x2,y2,..)  ... (xn,yn,..))
!           18, keyword = P1, P2, ... (or P1 to P2)
!           19, keyword = ( x1, y1, z1 )
!               All may be expressions
!           20, keyword or keyword keyword = i1, i2, ...
!           21, keyword (ax+by+cz=d)
!           22, keyword [keyword1] [keyword2] = ( x1, y1, z1 )
!           23, keyword keyword  set tabel to 1
!           24, keyword [keyword1] [keyword2] = ( i1, i2, i3 )
!           25, keyword iseq1 = real
!               or keyword iseq1 (value = real)
!               or keyword iseq1 (func = i)
!               or keyword iseq1 (time_func = i)
!           26, keyword = complex
!               or keyword (value = complex)
!               or keyword (func = i)
!               or keyword (time_func = i)
!               with complex = real or (real,real)
!           27, keyword = series of:
!               real
!               or keyword (value = real)
!               or keyword (func = i)
!               or keyword (time_func = i)
!           28, keyword = i1, i2, i3, ...  all integer
!           29, keyword iseq = [keyword1] i1, i2, i3, ...  all
!               integer
!           30, keyword iseq1 = c1, keyword iseq2 = c2, ...
!           31, keyword [iseq] = c1, c2, ... or c1 to c2
!               for example curves 1 = c1 to c2 or curves = c1
!           32, keyword [(i1, i2, ..)] = sj, sn, ... or
!               keyword = sj, sn, ...[, nodes =(i1, i2, ..)]
!           33, keyword iseq = ( i1, i2, i3, ... ) all integer
!           34, keyword iseq1 = j1, keyword iseq2 = j2, ...
!               Different input/output than 10
!           35, keyword iseq1 = real keyword iseq2 = real
!               or keyword iseq1 (value = real)
!               or keyword iseq1 (func = i)
!               or keyword iseq1 (time_func = i)
!               or keyword iseq2 (value = real)
!               or keyword iseq2 (func = i)
!               or keyword iseq2 (time_func = i)
!           36, keyword = integer or %name
!           37, keyword iseq [to iseq1] = [( i1, i2, i3, ... )] all integer
!           38, keyword = integer or vector name
!           39, keyword = integer or scalar name
!           40, keyword = integer or vector name repeatedly
!           41, keyword iseq [to iseq1] = [keyword1] i1, i2, i3, ...all integer
!           42, keyword iseq [to iseq1]
!           43, keyword = constpstant, scalar or vector name
!           44, see 2, but after reading the keyword, reading is stopped
!           45, keyword = integer or scalar name repeatedly
!           Possible values (long description):
!            -1, no number, the information must be skipped
!               input:  code(i) keyword
!            0, number i is of type integer
!               input:  code(i) keyword
!                       tabmin(i) minimum value
!                       tabmax(i) maximum value
!               output: table(i)  value
!            1, number i is of type real
!               input:  code(i) keyword
!                       tabmin(i) minimum value
!                       tabmax(i) maximum value
!               output: table(i)  value
!            2, no number but in table the value 1 must be set
!               input:  code(i) keyword
!               output: table(i): 1
!            3, either an integer number or no number at all
!               input:  code(i) keyword
!                       tabmin(i) minimum value
!                       tabmax(i) maximum value
!               output: table(i)  value or nothing
!            4, either an integer number or no number at all
!               input:  code(i) keyword
!                       tabmin(i) minimum value
!                       tabmax(i) maximum value
!               output: table(i) = -1000 keyword without number
!                       table(i) = iposut keyword with number
!                       tabout(iposut) = value
!            5, number is given in the form of a keyword
!               input:  code(i) keyword
!                       tabmin(i) starting position allowed keywords in codesub
!                       tabmax(i) end position allowed keywords in codesub
!                       codesub(tabmin(i) to tabmax(i))
!               output: table(i) = relative position of keyword found in
!                                  codesub i.e. from 1 to tabmax(i)-tabmin(i)+1
!            6, text between quotes
!               input:  code(i) keyword
!               output: table(i) kposut
!                       if ( >100000000 ) reference to chstrings
!                       tabmax(i) number of characters in text
!                       strout(kposut) = string
!            8, special situation of keyword followed by number, repeatedly
!               input:  code(i) keyword
!                       tabmin(i) minimum value of reals
!                       tabmax(i) maximum value of reals
!               output: table(i) = iposut
!                       tabmax(i) = m (number of reals read)
!                       tabout(iposut to iposut+m-1) = values
!            9, special situation of keyword followed by integer number,
!               repeatedly
!               the keyword may be provided by a sign, like -c8
!               input:  code(i) keyword
!                       tabmin(i) minimum value of integers
!                       tabmax(i) maximum value of integers
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!           10, special situation of keyword followed by sequence number
!               followed by number for example inpvc i = j
!               In this case the number positions
!               in the arrays code itype etc. is equal to the range of
!               the sequence numbers
!               input:  code(i to i+max-1) keyword
!                       max is tabmax(i)-tabmin(i)+1
!                       tabmin(i) minimum value i
!                       tabmax(i) maximum value i
!                       tabmin(i+1) minimum value j
!                       tabmax(i+1) maximum value j
!                       itype(i+1) = 0: j is integer
!                       itype(i+1) = 1: j is real
!               output: table(i to i+max-1) contain the values of j for
!                       respectively k=tabmin(i) to k=tabmax(i)
!           11, special situation of keyword followed by series of positive
!               integer numbers
!               Brackets are treated as separator
!               input:  code(i) keyword
!                       tabmin(i) maximum number of integers
!                       tabmax(i) maximum value of integers
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!           12, special situation of keyword followed by sequence number
!               followed by number, for example inpvc i = j or alternatively
!               keyword followed by number for example inpvc = j. i = 1 in that
!               case
!               Rest see itype(i) = 10
!           13, special situation of keyword followed by one or two keywords,
!               for example: renumber = cuthill profile
!               input:  code(i) keyword
!                       code(i+1) same keyword
!                       itype(i+1) ipostyp
!                       itype(ipostyp+2*j-2) ipmn1_j
!                       itype(ipostyp+2*j-1) ipmn2_j
!                       tabmin(i) ipmn1_1
!                       tabmax(i) ipmn2_1
!                       codesub(ipmn1_1 to ipmn2_1)
!                contains the list of first keywords allowed codesub(ipmn1_j to
!                       ipmn2_j) contains the list of second keywords allowed
!                       corresponding to first keyword "j", where j is the
!                       relative seq. number
!                       If to first keyword j no second keyword corresponds
!                       ipmn1_j and ipmn2_j must be 0
!               output: table(i) = j1
!                       table(i+1) = j2
!                       j1, j2 denote the relative ref. number corresponding
!                       to first resp. second keyword
!           14, special situation of keyword followed by number, followed by
!               same keyword followed by number and so on,
!               for example: p1, p3, p5, p8, p2
!               The keywords may be preceded by a minus sign,
!               hence c1, c3, -c5, c8 etc., in which the sequence number
!               gets the minus sign
!               input:  code(i) keyword
!                       tabmin(i) maximum number of integers
!                       tabmax(i) maximum value of integers
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!           15, special situation of keyword followed
!               by number, followed by same keyword followed by number etc.
!               However, in this case it is possible that the keyword number
!               combination is followed by other keywords, before it is
!               followed by the next keyword number combination
!               Example: c1 v1 + c2 v2
!               In this case both c and v get type number 15
!               In this case in tabout exactly tabmin(i) positions are reserved.
!               The rest of the input is exactly the same as for itype(i) = 14
!           16, special situation of keyword followed by either a value or the
!               possibilities value = v, func = ifunc, or time_func = ifunc
!               input:  code(i) keyword
!               output: table(i) = ifunc (>0) or -iposut
!                       tabout(iposut) = value
!                       if time_func = ifunc is given
!                       table(i) gets the value -ifunc-100
!           17, special situation of keyword followed by series of series of
!               numbers between brackets. Each series of local numbers
!               itself must be between brackets.
!               The number of numbers in the inner series must be constpstant.
!               input:  code(i) keyword
!                       tabmin(i) number of numbers in inner series
!                       tabmax(i) maximum number of series
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) values
!                       tabmax(i) m
!           18, special situation of keyword followed by a series of the same
!               keywords followed by sequence numbers
!               hence we have the situation keyword followed by possibility 14
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) values
!                       tabmax(i) m
!           19, special situation of keyword followed by
!               a series of numbers possibly enclosed by brackets
!               input:  code(i) keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) values
!                       tabmax(i) m
!           20, special situation of keyword which has to be set or the same
!               keyword followed by another special keyword followed by integers
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i)  iposut or -100000 if subkeyword is not present
!                       tabout(iposut to iposut+m-1) values
!                       tabmax(i) m
!           21, special situation of keyword followed by
!               (ax+by+cz=d), with a, b, c and d numbers
!               if a, b or c is omitted 1 or -1 is supposed
!               At output table(i) contains the starting
!               position of the 4 numbers a,b,c and d in that sequence in tabout
!           22, special situation of keyword followed by possibly some other
!               special keywords followed by a series of numbers
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of  numbers that may be read
!                       tabmax(i) maximum value of  |numbers|
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m) values read
!                       tabmax(i) m
!           23, special situation of keyword followed
!               by a special keyword that must be skipped
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!               output: table(i): 1
!           24, special situation of keyword followed by
!               possibly some other special keywords
!               followed by a series of positive integers See 22
!           25, special situation of keyword followed by
!               sequence number followed by either a
!               value or the possibilities value = v, func = ifunc,
!               or time_func = ifunc (See 10 and 16)
!               input:  code(i to i+max-1) keyword
!                       max is tabmax(i)-tabmin(i)+1
!                       tabmin(i) minimum value i
!                       tabmax(i) maximum value i
!               output: table(k) = ifunc (>0) or -iposut
!                       tabout(iposut) = value
!                       if time_func = ifunc is given table(k) gets the value
!                       -ifunc-100 for respectively
!                       k=tabmin(i) to k=tabmax(i)
!           26, special situation of keyword followed
!               by either a value or the possibilities
!               value = v, func = ifunc, or time_func = ifunc with v complex
!               input:  code(i) keyword
!               output: table(i) = ifunc (>0) or -iposut
!                       tabout(iposut,iposut+1) = value
!                       if time_func = ifunc is given table(i) gets the value
!                       -ifunc-100
!           27, special situation of keyword followed by a series of:
!               value or value = v, func = ifunc, or time_func = ifunc
!               input:  code(i) keyword
!                       tabmin(i) number of values expected
!               output: table(i) = iposut
!                       tabout(iposut+2*i-2) = ifunc_i
!                       if time_func = ifunc is given -ifunc_i-100
!                       if value is given then 0
!                       tabout(iposut+2*i-1) = value
!           28, special situation of keyword followed by
!               series of integer numbers. See 11
!           29, special situation of keyword followed by sequence number
!               possibly followed by another keyword followed by integers
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!           30, special situation of keyword followed by sequence number
!               followed by keyword and integer number,
!               for example obs i = cj or alternatively
!               keyword followed by keyword and integer number
!               for example obs = cj. i = 1 in that case
!               input:  itype(i+1) = iposmain
!                       codesub(iposmain) special ub keyword
!               Rest see itype(i) = 10, 12
!           31, special situation of keyword followed by
!               possibly an integer followed by followed by a series of
!               the same keywords followed by sequence numbers
!               hence we have the situation keyword
!               possibly followed by an integer followed by possibility 18
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special
!                       sub keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) values
!                       tabmax(i) m
!                       tabmin(i) integer after keyword
!                                 if not found: 0
!           32, special situation of keyword followed by
!               possibly a series of integers followed by one or two of
!               the same keywords followed by sequence numbers
!               followed by possibly the text nodes followed by integers
!               If nodes is found the first series may not be used
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of numbers that may be read in
!                       the nodes part
!                       tabmax(i) maximum value of the numbers after the
!                       sub keyword
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m+1) values
!                       the first n contain the number after the subkeyword
!                       the last m the values after nodes
!                       tabmax(i) n*10000+m
!           33, special situation of keyword followed by
!               sequence number followed by integers
!               input:  code(i) keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!           34, special situation of keyword followed
!               by sequence number followed by number, for example inpvc i = j
!               In this case 2 positions
!               in the arrays code itype etc. are used
!               i must be between 1 and max
!               input:  code(i to i+1) keyword
!                       tabmax(i) maximum value i
!                       tabmin(i+1) minimum value j
!                       tabmax(i+1) maximum value j
!                       itype(i+1) = 0: j is integer
!                       itype(i+1) = 1: j is real
!                       table(i)<=0
!               output: table(i) iposut
!                       tabout(iposut to iposut+max-1) values of j
!                       If sequence is not read tabout(iposut+i-1) = -1d30
!           35, special situation of keyword followed by
!               sequence number followed by either a
!               value or the possibilities value = v, func = ifunc,
!               or time_func = ifunc (See 10 and 16) then
!               followed by the same keyword followed by
!               sequence number followed by either a
!               value or the possibilities value = v, func = ifunc,
!               or time_func = ifunc (See 10 and 16)
!               input:  code(i ) keyword
!                       tabmin(i) minimum value i
!                       tabmax(i) maximum value i
!               output: table(i) = iposut
!                       tabout(iposut to iposut+3) = values
!           36, number i is of type integer or %name
!               input:  code(i) keyword
!                       tabmin(i) minimum value
!                       tabmax(i) maximum value
!               output: table(i)  value
!           37, special situation of keyword followed by
!               sequence number to other sequence number
!               followed by integers between brackets
!               The second sequence number may absent as
!               well as the numbers between brackets
!               input:  code(i) keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!                       The first two always refer to the sequence numbers
!            38, number i is vector name or number
!               input:  code(i) keyword
!               output: table(i)  value
!            39, number i is scalar name or number
!               input:  code(i) keyword
!               output: table(i)  value
!            40, number i is vector name or number
!                may appear more than once
!               input:  code(i) keyword
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) = values
!                       tabmax(i) number of vectors
!           41, special situation of keyword followed by
!               sequence number possibly followed by
!               another keyword followed by integers
!               input:  code(i) keyword
!                       table(i) -iposmain
!                       codesub(iposmain) special sub keyword
!                       tabmin(i) maximum number of numbers that may be read
!                       tabmax(i) maximum value of |numbers|
!               output: table(i) = iposut
!                       tabmax(i) = m (number of integers read)
!                       tabout(iposut to iposut+m-1) = values
!                       The first two always refer to the sequence numbers
!           42, special situation of keyword followed by
!               sequence number or iseq1 to iseq2
!               input:  code(i) keyword
!                       tabmax(i) maximum value of |numbers|
!               output: table(i) = iposut
!                       tabout(iposut to iposut+1) = values
!            43, number i is scalar/vector name or number
!               input:  code(i) keyword
!               output: table(i)  position in set of constpstants/scalars/vectors
!                       scalars are counted from first position in constpstants
!                       in case of vector 10000 is added o the position
!            45, number i is scalar name or number
!                may appear more than once
!               input:  code(i) keyword
!               output: table(i)  iposut
!                       tabout(iposut to iposut+m-1) = values
!                       tabmax(i) number of scalars

!  List of functions

!     icode = sepchkvecread(jcode)  ! Check information of vector name read
!     icode = sepkeyword()       ! Check if string read is (main) keyword
!     icode = sepkeyword2()      ! Check if string read is (main) keyword
!                        Only a limited number of characters are compared
!     icode = sepkeyword3()      ! Check if string read is keyword
!                        Only a fixed number of characters are compared
!     icode = sepkeywordscal()   ! Check if one of the keywords is S or Scalar
!     icode = sepkeywordstr()    ! Check if one of the keywords is String
!     icode = sepkeywordvect()   ! Check if one of the keywords is V or Vector
!     icode = sepmainkeyw()      ! Position of main keyword in codemain
!     icode = sepsubkeyw()       ! Position of sub keyword in code

!     call sepreadsetkeyw        ! Interpret a record containing keywords
                                 ! followed by data
end module sepmoduleread1
