module sepmodulesimple

   use sepmodulemat
   use sepmodulematr
   use sepmodulesolve

   type (rmatrix) :: Q          ! Q-matrix (corresponds to u-u part) (velocity)
   type (rmatrix) :: C          ! C-matrix (corresponds to p-p part) (pressure)
   type (rmatrix) :: R          ! R-matrix (special simple matrix)
   type (rmatrix) :: DG         ! matrix DG
   type (rmatrix) :: PM         ! matrix PM
   type (matrixdiv) :: D       ! D-matrix (corresponds to p-u part) (divergence)
   type (matrixgrad) :: G      ! G-matrix (corresponds to u-p part) (gradient)

   integer :: np               ! number of pressure unknowns
   integer :: nu               ! number of velocity unknowns

   double precision, pointer :: dp(:)     ! p update
   double precision, pointer :: du(:)     ! u update
   double precision, pointer :: fp(:)     ! pressure rhs
   double precision, pointer :: fu(:)     ! velocity rhs
   double precision, pointer :: uvels(:)  ! velocity vector
   double precision, pointer :: qmatprime(:) ! Diagonal of global matrix Q
   double precision, pointer :: resup(:)  ! residual for simple
   double precision, pointer :: rhsp(:)   ! right-hand side for p vector
   double precision, pointer :: rhsu(:)   ! right-hand side for u vector
   double precision, pointer :: rp(:)     ! pressure part of residual for simple
   double precision, pointer :: ru(:)     ! velocity part of residual for simple
   double precision, pointer :: pvels(:)  ! pressure vector
   double precision, pointer :: worksim(:)! work vector
   double precision, pointer :: worky1(:)! work vector
   double precision, pointer :: worky2(:)! work vector

end module sepmodulesimple
