module sepmodulesol

! --- Information of solution vectors and vectors of special structure

   use sepmodulecons

   type solvec

!  --- Defines solution vectors

      integer :: compl               ! 0: the vector is real
                                     ! 1: the vector is complex
      integer :: iprob               ! problem number
      integer :: iseqkp              ! refers to problem
      integer :: ivec                ! type of vector of special structure
      integer :: jcart               ! indicates type of coordinate system
                                     ! 0: catesian
                                     ! 1: axi-symmetric
      integer :: n                   ! number of specific unknowns
                                     ! type 116:  nelvec
                                     !      118:  ndim
                                     !      119:  n
                                     !      126:  nunkp_node
                                     !      129:  nunkp_point
      integer :: nphys               ! number of physical degrees of freedom
                                     ! per point
      integer :: nusol               ! number of degrees of freedom
      integer :: typevec             ! Defines type of vector
                                     ! 110: solution vector
                                     ! 115: vector of special structure
      double precision, pointer :: solglob(:)  ! Global solution array
                                     ! only for parallel computation
                                     ! only present at host (node 1)
      double precision, pointer :: sol(:)  ! Solution array
      integer, pointer :: isol(:)    ! integer part of solution array

      logical :: changed             ! if true the vector has changed and
                                     ! the global solution array not

   end type solvec

   integer :: iseqsols               ! sequence number of isol
   integer :: lastsol                ! last position used in ks
   integer :: nextfreesol            ! next free position in ks

   type (solvec), target :: ks(maxsoluts) ! refers to set of solution arrays
   type (solvec), pointer :: sol1
   type (solvec), pointer :: sol2
   integer :: solarr(maxsoluts)      ! indicates if  has been filled:
                                     ! 0: (i) is empty
                                     ! >0: (i) has been filled
   character *16 :: namesol(maxsoluts)  ! names of solution arrays

end module sepmodulesol
