module sepmodulesymm

   use sepmodulecomio

!    Contains global information for copy of axi-symmetric mesh

   integer :: meshsymm       ! mesh number of extended mesh
   integer :: npointsymm     ! number of nodes in complete mesh
   integer :: numcurvsymm    ! number of curves on symmetry axis
   integer :: numsymm        ! number of nodes on symmetry axis

   integer, pointer :: isolsymm      ! isol corresponding to extended mesh
   integer, pointer :: iworksymm(:)  ! nodes on symmetry axis are made
                                     ! positive, all others 0
   integer, pointer :: iworkcur(:)   ! curves on symmetry axis are made
                                     ! positive, all others 0
   integer, pointer :: kmeshmtmp(:)  ! new kmeshm (curves)
   integer, pointer :: kmeshsymm(:)  ! kmesh corresponding to extended mesh
   integer, pointer :: kprobfsymm(:) ! kprobf corresponding to extended mesh
   integer, pointer :: kprobsymm     ! kprob corresponding to extended mesh
   integer, pointer :: listsymm(:)   ! contains all nodes on symmetry axis
   integer, pointer :: listsymmc(:)  ! contains all curves on symmetry axis
   integer, allocatable :: nodesnew(:) ! contains the relation between nodes
                                     ! in old mesh and nodes in new part
   double precision, pointer :: coortmp(:,:)  ! new coordinates

end module sepmodulesymm