      subroutine printmatrix ( array, n, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 31-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxilary help subroutine only meant for debugging purposes
!    The task of prinrl1 is to print a real array in the form
!    form   seq. number:  n numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision array(n,n)
      character *(*) text

!    array    i  double precision array to be printed
!    n        i  Number of lines of the array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!    i          General loop variable
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, n
         write(irefwr,110) i,(array(i,j),j=1,min(7,n))
110      format(i4,':',ss,7(1pe10.3e2))
         if ( n.gt.7 ) write(irefwr,120) (array(i,j),j=8,n)
120      format((5x,ss,7(1pe10.3e2)))
      end do
      end
