      subroutine readscboun1 ( ibuffr, buffer, icode, kmesh, inpsep,
     +                         istart, rinsep, istrin, nprob )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-07-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpi'
      include 'SPcommon/cconst'
      include 'SPcommon/cinout'
      include 'SPcommon/cseprdnew'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibuffr(*), icode, kmesh(*), inpsep(*), istart, istrin,
     +        nprob
      double precision buffer(*), rinsep(*)

!     buffer        i/o   Buffer array
!     ibuffr        i/o   Integer buffer array in which all large data is stored
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer leninpcre, lenrincre, nmain, nextra
      parameter ( leninpcre=10, lenrincre=10, nmain = 0, nextra=6 )
      integer inpcre(leninpcre), icompl, inforinpcre(lenrincre), numint,
     +        nreal, ipkmsn, nmcode(nmain+nextra), iprob
      double precision rincre(lenrincre)
      character (len=9) codemn(nmain+nextra)
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inigettext
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
      data codemn / 6*' ' /
     +     nmcode / 6*0 /
! ======================================================================
!
      call eropen ( 'readscboun1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readscboun1'
  1      format ( a, 1x, (10i6) )
  2      format ( a, 1x, (5d12.4) )
  3      format ( a, 1x, (5("(",1pe12.4e2,",",1pe12.4e2,")")) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( kmesh(28)>0 ) then
         call ini060text ( ibuffr, -kmesh(28 ), 'kmeshn' )
         ipkmsn = inigettext ( kmesh(28), 'kmeshn')
      else
         ipkmsn = 1
      end if

!     --- Read rest of record

      nreal = 0
      icompl = 0
      lastitem = lastitem-1
      iprob = nprob
      call readc0 ( inpcre, rincre, numint, nreal, icode, icompl,
     +              kmesh, codemn, nmain, nmcode, ibuffr(ipkmsn),
     +              nextra, inforinpcre, iprob )
      call inichkarlen ( numint, leninpcre, 'inpcre' )
      call inichkarlen ( nreal, lenrincre, 'rincre' )
      if ( ierror/=0 ) go to 1000

!     --- Store information in inpsep and rinsep

      istart = istart-4
      inpsep(istart+1) = -10      ! seq number
      inpsep(istart+2) = iprob    ! problem number
      istart = istart+3
      inpsep(istart+1) = numint
      inpsep(istart+2) = nreal
      istart = istart+2
      inpsep(istart+1:istart+numint) = inpcre(1:numint)
      istart = istart+numint
      if ( nreal>0 ) then
         inpsep(istart+1:istart+nreal) = inforinpcre(1:nreal)
         rinsep(istrin+1:istrin+nreal) = rincre(1:nreal)
         istart = istart+nreal
         istrin = istrin+nreal
      end if  ! ( nreal>0 )
      istart = istart+1

1000  call erclos ( 'readscboun1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End readscboun1'

      end if  ! ( debug )

      end
