      subroutine msh603 ( i, j, coor, distan )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  3.0  date 03-09-2010 New release
!        version  2.0  date 13-04-2005 Update code
!        version  1.2  date 19-02-1993 New layout
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 05-11-1987
!
!   copyright (c) 1987-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to compute the distance between two points i and j
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision coor(3,*), distan
      integer i, j

!     coor    i    array of length ndim x npoint containing the co-ordinates
!                  of the nodal points with respect to the global numbering
!     distan  o    Euclidian distance between i and j
!     i       i    First point
!     j       i    Second point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dx, dy, dz

!     dx      length of vector in x-direction
!     dy      length of vector in y-direction
!     dz      length of vector in z-direction
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Compute distance

      dx = coor( 1, i ) - coor( 1, j )
      dy = coor( 2, i ) - coor( 2, j )
      dz = coor( 3, i ) - coor( 3, j )

!     --- Euclidian distance is

      distan = sqrt( dx*dx + dy*dy + dz*dz )

      end
