      subroutine msh605 ( dist, npoint, dismin, dismax )
! ======================================================================
!
!        programmer    Niek Praagman
!        version  3.0  date 03-09-2010 New release
!        version  2.1  date 27-06-2008 Textual adjustments
!        version  2.0  date 13-04-2005 Update code
!
!   copyright (c) 1987-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to determine the extreme distances of the volume given
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision dist(*), dismin, dismax
      integer npoint

!     dismax  o    largest distance
!     dismin  o    smallest distance
!     dist    i    array containing the representative distances
!                  for the surface-points
!     npoint  i    Number of nodal points in surface elements
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision dis

!     dis     distance considered
!     i       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      dismin =  rinfin
      dismax = -rinfin

      do i = 1, npoint
          dis = dist(i)
          if ( dis<dismin ) dismin = dis
          if ( dis>dismax ) dismax = dis
      end do

      end
