      subroutine msh626( istart, ibuur, npoint, coor )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 15-04-2005 Update code
!        version  1.4  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to create new internal mid points
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
!     neighbour
!     midpoint
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!     none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer istart(*), ibuur(*), npoint
      double precision coor(3,*)

!     coor      i/o  coordinate array
!     ibuur      i   neighbour array
!     istart     i   array with startaddresses ibuur
!     npoint    i/o  actual number of points in coor
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, jstart, jeind, j, k, l

!     i           loopvariable
!     j           loopvariable
!     jeind       endvalue neighbour loop
!     jstart      startvalue neighbour loop
!     k           nodenumber
!     l           neighbour number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    none
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    none
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Run through all points

      do i = 1, npoint - 1

!     --- Find start and end of neigbours

         jstart = istart( i     )
         jeind  = istart( i + 1 )

!        --- Check neighbours and place extra midpoints

         do j = jstart, jeind - 2, 2
            k = ibuur(j)
            l = ibuur(j+1)
            if ( k>0 ) then
               if ( l==0 ) then

!              --- New point

                  npoint = npoint + 1
                  ibuur( j + 1 ) = npoint
                  coor(1,npoint) = (coor(1,i) + coor(1,k)) / 2d0
                  coor(2,npoint) = (coor(2,i) + coor(2,k)) / 2d0
                  coor(3,npoint) = (coor(3,i) + coor(3,k)) / 2d0
               end if
            end if
         end do
      end do
      end
