      subroutine checkrange ( iparm, ilow, iupp, ientry, namevar, &
                              namearray )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 24-11-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check range of integer parameter
!
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     parameter
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iparm, ilow, iupp, ientry
      character (len=*) namevar, namearray

!     ientry         i    Entry of parameter in array
!     ilow           i    Lower bound of parameter
!     iparm          i    Value of parameter
!     iupp           i    Upper bound of parameter
!     namearray      i    Name of array
!     namevar        i    Name of variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2158   Integer parameter out of range
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( iparm<ilow .or. iparm>iupp ) then

!     --- iparm out of range

         call errint ( iparm, 1 )
         call errint ( ilow, 2 )
         call errint ( iupp, 3 )
         call errint ( ientry, 4 )
         call errchr ( namevar, 1 )
         call errchr ( namearray, 2 )
         call errsub ( 2158, 4, 0, 2 )

      end if
      end
