      subroutine erfillstrtkmc ( iwork )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 07-05-2001 Correction  for inpelm not constant
!        version  1.0  date 02-01-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Fill array iwork with number of nodes per element as well as starting
!    addresses in array kmeshc
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iwork(2,*)

!     iwork          o    integer work array of size 2 x nelem
!                         iwork2 is filled in the following way:
!                         iwork2(1,ielem) contains number of nodes of element
!                         iwork2(2,ielem) contains number of starting position
!                                         of element ielem in array kmeshc
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer inpelm, i, irelem, istart, ielem, ielgrp

!     i              Counting variable
!     ielem          Element number
!     ielgrp         element group number
!     inpelm         number of points per element
!     irelem         Relative element sequence number with respect to
!                    element group
!     istart         First position used at a part
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nelem
         iwork(1,i) = 0
         iwork(2,i) = 0
      end do

      istart = 1
      ielem = 0
      do ielgrp = 1, nelgrp
         ishape = kmeshf(ielgrp)
         inpelm = Topgrp(ielgrp)%inpelm
         inelem = Topgrp(ielgrp)%inelem
         if ( ndim==1 .or. &
              ndim==2 .and. ishape>2 .or. &
              ndim==3 .and. ishape>10 ) then

!        --- elements of highest dimension, Fill iwork

            do irelem = 1, inelem
               iwork(1,irelem+ielem) = inpelm
               iwork(2,irelem+ielem) = istart
               istart = istart+inpelm
            end do

         else

!        --- elements of lower dimension, raise istart

            istart = istart+inpelm*inelem

         end if
         ielem = ielem+inelem

      end do

      end
