      subroutine errleading ( ileading, ivalue, namearray )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-10-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check leading control integer in case of temporary array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     integer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ileading, ivalue
      character (len=*) namearray

!     ileading       i    Integer that should have the value ivalue
!     ivalue         i    Integer value
!     namearray      i    Name of array in error message
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1509   leading control integer incorrect
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'errleading' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from errleading'

      end if  ! ( debug )
      if ( ierror.ne.0 ) go to 1000
      if ( ileading.ne.ivalue ) then

!     --- leading control integer incorrect

         call errint ( ileading, 1 )
         call errint ( ivalue, 2 )
         call errchr ( namearray, 1 )
         call errsub ( 1509, 2, 0, 1 )

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End errleading'

      end if
      call erclos ( 'errleading' )

      end
