      subroutine error42 ( ielgrp, ipos, ielem, itype )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 11-02-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message 42
!
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ielgrp, ipos, ielem, itype

!     ielem          i    Element number
!     ielgrp         i    element group number
!     ipos           i    Position in array
!     itype          i    Table containing information about the numbers behind
!                         the keywords in the table code
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!      42   Array IUSER(.) has value which is too small
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call errint ( ielgrp+5, 1 )
      call errint ( ipos, 2 )
      call errint ( ielem, 3 )
      call errint ( itype, 4 )
      call errint ( ielgrp, 5 )
      call errsub ( 42, 5, 0, 0 )

      end
