      subroutine ininonempty
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-05-2007
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Find problem number with non-empty elements
!
! **********************************************************************
!
!                       KEYWORDS
!
!     find
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ielgrp, itype

!     i              Counting variable
!     ielgrp         element group number
!     itype          Table containing information about the numbers behind
!                    the keywords in the table code
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'ininonempty' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from ininonempty'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      iprob = 0
      iseqkp = kprob
      do i = 1, nprob

         kprobpart => kp(iseqkp)%kprobsub(i)
         kprobloc => kprobpart%kprobloc
         kprobc => kprobpart%kprobc

!        --- For all element groups do

         do ielgrp = 1, nelgrp

            itype = kprobc(ielgrp)  ! type number of element
            if ( itype==0 ) go to 100       ! empty type, jump to next problem

         end do  ! ielgrp = 1, nelgrp

!        --- If the program reaches this position all elements are non-empty
!            Problem found return

         iprob = i
         go to 1000

100      continue

      end do  ! i = 1, nprob

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End ininonempty'

      end if  ! ( debug )
      call erclos ( 'ininonempty' )

      end
