      subroutine inirmref ( iref )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-06-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove entry iref from the set of reference numbers used
!
! **********************************************************************
!
!                       KEYWORDS
!
!     file
!     remove
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iref

!     iref           i    File reference number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inirmref' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inirmref'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      ireffiles(iref) = 0

      if ( inextref==iref+1 ) then

!     --- Decrease inextref

         inextref = inextref-1

         do while ( ireffiles(inextref+1)==0 )
            inextref = inextref-1
         end do  ! while ( ireffiles(inextref+1)==0 )

      end if  ! ( inextref==iref+1 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inirmref'

      end if  ! ( debug )
      call erclos ( 'inirmref' )

      end
