      function inisetnewref ()
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-06-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Create new reference number
!
! **********************************************************************
!
!                       KEYWORDS
!
!     file
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulefiles
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inisetnewref

!     inisetnewref   o    New file reference number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    3147   No new entry for writing can be found
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inisetnewref' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inisetnewref'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      inisetnewref = 0

      if ( inextref<maxfilenames ) then

!     --- New reference number possible

         inisetnewref = inextref
         ireffiles(inextref) = 1
         inextref = inextref+1

      else

!     --- Maximum reference number reached, check for empty entries

         do i = 1, maxfilenames

            if ( ireffiles(i)==0 ) then

!           --- empty entry

               ireffiles(i) = 1
               inisetnewref = i
               exit        ! leave loop

            end if  ! ( ireffiles(i)==0 )

         end do  ! i = 1, maxfilenames

         if ( inisetnewref==0 ) then

!        --- No free entry in set of reference numbers found

            call errsub ( 3147, 0, 0, 0 )
            go to 1000

         end if  ! ( inisetnewref==0 )

      end if  ! ( inextref<maxfilenames )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inisetnewref'

      end if  ! ( debug )
      call erclos ( 'inisetnewref' )

      end
