      subroutine initcnparm
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.4  date 24-07-2015 Extension with type 220
!        version  1.3  date 03-02-2015 extension for type 704
!        version  1.2  date 14-11-2014 Extension with 700
!
!   copyright (c) 2009-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array cnparm for each type number that is available
!
! **********************************************************************
!
!                       KEYWORDS
!
!     initialization
!     coefficient
!     parameter
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulenparm
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nparmarr = 0
      nparmarr(100:125) = 15     ! second order elliptic equation (old)
      nparmarr(150:175) = 30     ! second order elliptic equation (complex)
      nparmarr(200:207) = 50     ! non-linear elasticity
      nparmarr(208:209) = 25     ! NBC for non-linear elasticity
      nparmarr(210:212) = 15     ! NBC for non-linear elasticity
      nparmarr(220) = 10         ! Beam element
      nparmarr(230:232) = 15     ! VIP
      nparmarr(250) = 50     ! linear elasticity
      nparmarr(251) = 45     ! NBC for 250
      nparmarr(252) = 50     ! linear elasticity
      nparmarr(253) = 45     ! NBC for 250
      nparmarr(255) = 45     ! plate element
      nparmarr(260:261) = 20     ! rubber element
      nparmarr(300) = 20     ! Reynolds
      nparmarr(302:304) = 10     ! elasticty-flow interaction (bearing)
      nparmarr(350:351) = 10     ! RTMSIM
      nparmarr(325) = 20     ! Reynolds
      nparmarr(400) = 20     ! Nav-Stokes
      nparmarr(401) = 10     ! NBC for Nav-Stokes
      nparmarr(402) = 20     ! Nav-Stokes
      nparmarr(403) = 10     ! NBC for Nav-Stokes
      nparmarr(404) = 20     ! Nav-Stokes
      nparmarr(405) = 10     ! NBC for Nav-Stokes
      nparmarr(406) = 20     ! Nav-Stokes
      nparmarr(407:408) = 10     ! NBC for Nav-Stokes
      nparmarr(410:422) = 20     ! Nav-Stokes
      nparmarr(423:428) = 10     ! NBC for Nav-Stokes
      nparmarr(429:433) = 20     ! Boussinesq
      nparmarr(437:438) = 10     ! NBC for Nav-Stokes
      nparmarr(440:448) = 20     ! Nav-Stokes
      nparmarr(450) = 20     ! Nav-Stokes
      nparmarr(500) = 3      ! freezing front
      nparmarr(501:510) = 15     ! second order elliptic equation (old)
      nparmarr(600:615) = 20     ! spectral
      nparmarr(650:652) = 15     ! mixed element
      nparmarr(661:665) = 10     ! mixed element (BC)
      nparmarr(700) = 8          ! laplace equation
      nparmarr(701) = 9          ! poisson equation
      nparmarr(702) =15          ! diffusion equation
      nparmarr(703:705) = 30          ! convection-diffusion equation
      nparmarr(800) = 30     ! second order elliptic equation
      nparmarr(801) = 20     ! nat boun cond for 800
      nparmarr(803) = 30     ! second order elliptic equation
      nparmarr(804) = 15     ! nat boun cond for 800
      nparmarr(805) = 35     ! second order elliptic equation (2 unknowns)
      nparmarr(806) = 25     ! nat boun cond for 805
      nparmarr(807) = 65     ! enthalpy
      nparmarr(808) = 65     ! second order elliptic equation (2 unknowns)
      nparmarr(810) = 30     ! enthalpy equation Nedjar approach
      nparmarr(811:812) = 10     ! Compute psi at surface
      nparmarr(813) = 30     ! second order elliptic equation
      nparmarr(814) = 5      ! minimal surface problem
      nparmarr(816) = 7      ! special right-hand side
      nparmarr(850) = 10     ! Stochastic investment
      nparmarr(900:906) = 50     ! Nav-Stokes
      nparmarr(907:928) = 15     ! Nav-Stokes (NBC)

      end
