      subroutine msh023 ( irefc, npoint, nuspnt, kmeshl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 18-08-1992 New type of error messages
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 24-09-1988 unformatted input
!        version  1.0  date 15-07-1984
!
!   copyright (c) 1984-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!  read kmesh part l from the input file (for example meshoutput)
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshl(*), irefc, npoint, nuspnt

!     irefc   i   dataset reference number for reading (>0 formatted, &
!                 <0 unformatted)
!     kmeshl  o   kmesh part l
!     npoint  i   number of nodal points
!     nuspnt  i   number of user points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ios, i

!    i       General loop variable
!    ios     IOStat status variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRINT  Puts integers in the error message
!     ERRSUB  Error messages
!     INSTOP  Stop SEPRAN
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!  252   error found in reading of nodal point numbers of user points
!  253   end of file found in reading of nodal point numbers of user points
!  254   user point has wrong nodal point number
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'msh023' )
      if ( irefc.ge.0 ) then
         read(irefc, *, iostat = ios) (kmeshl(i), i = 1, nuspnt)
         if ( ios.lt.0 ) then
            call errsub ( 253, 0, 0, 0 )
         else if ( ios.gt.0 ) then
            call errint ( ios, 1 )
            call errsub ( 252, 1, 0, 0 )
         end if
      else
         read(-irefc, iostat = ios) (kmeshl(i), i = 1, nuspnt)
         if ( ios.lt.0 ) then
            call errsub ( 253, 0, 0, 0 )
         else if ( ios.gt.0 ) then
            call errint ( ios, 1 )
            call errsub ( 252, 1, 0, 0 )
         end if
      end if
      do 100 i = 1, nuspnt
         if ( kmeshl(i).lt.0 .or. kmeshl(i).gt.npoint ) then
            call errint ( kmeshl(i), 1 )
            call errint ( npoint, 2 )
            call errsub ( 254, 2, 0, 0 )
         end if
100   continue

      call erclos ( 'msh023' )
      if ( ierror.ne.0 ) call instop
      end
