      subroutine prinin1part ( iarray, n, m, istart, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-11-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Auxiliary help subroutine only meant for debugging purposes
!     The task of prinin is to print an integer array in the
!      form   seq. number:  m numbers etc.
!     First index is istart
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(m,n), istart
      character *(*) text

!    iarray   i  integer array to be printed
!    istart   i  Rows from istart are printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  Number of lines of the integer array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!    i          General loop variable
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = istart, n
         write(irefwr,110) i,(iarray(j,i),j=1,min(m,10))
110      format(i7,':',10i7)
         if ( m.gt.10 ) &
            write(irefwr,120) (iarray(j,i),j=11,m)
120         format(8x,10i7)
      end do

      end
