      subroutine prinin3_0 ( iarray, m1, m2, m3, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 16-02-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Auxiliary help subroutine only meant for debugging purposes
!   The task of prinin3 is to print an integer array in the
!   form   seq. number:  n numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m1,m2,m3, iarray(0:m1-1,0:m2-1,m3)
      character *(*) text

!    iarray   i  integer array to be printed
!    m1       i  size of array
!    m2       i  size of array
!    m3       i  Number of entries of the integer array to be printed per line
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, k

!    i          General loop variable
!    j          General loop variable
!    k          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 0, m1-1
         do j = 0, m2-1
            write(irefwr,110) i,j,(iarray(i,j,k),k=1,min(m3,10))
110         format(2i4,':',10i7)
            if ( m3.gt.10 ) &
               write(irefwr,120) (iarray(i,j,k),k=11,m3)
120            format(9x,10i7)
         end do
      end do

      end
