      subroutine prininf ( iarray, n, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 20-06-2013 New definition file ref numbers
!        version  1.0  date 16-03-1998
!
!   copyright (c) 1998-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxiliary help subroutine only meant for debugging purposes
!    The task of prinin is to print an integer array in the
!    form   seq. number:  number etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iarray(*), n
      character *(*) text

!    iarray   i  integer array to be printed
!    n        i  Number of entries of the integer array to be printed
!    text     i  Text to be printed in the heading, also name of file
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, irefwr

!    i          General loop variable
!    irefwr     Unit number to use for "normal" writes
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inisetnewref

!     INIRMREF       Remove entry iref from the set of reference numbers used
!     INISETNEWREF   Create new reference number
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      irefwr = inisetnewref()
      open(unit=irefwr,file=text)
      write ( irefwr, 100 ) text, (i,iarray(i),i=1,n)
100   format(1x,a/(5(i7,':',i7)))
      close(unit=irefwr)
      call inirmref ( irefwr )

      end
