      subroutine prinrlf2 ( array, n, m, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 20-06-2013 New definition file ref numbers
!        version  1.0  date 16-03-1998
!
!   copyright (c) 1998-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxilary help subroutine only meant for debugging purposes
!    The task of prinrl1 is to print a real array in the form
!    form   seq. number:  n numbers etc.
!    The array is written to the file with name text
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m
      double precision array(n,m)
      character *(*) text

!    array    i  double precision array to be printed
!    m        i  Number of entries of the array to be printed per line
!    n        i  Number of lines of the array to be printed
!    text     i  Text to be printed in the heading, also name of file
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, irefwr

!    i          General loop variable
!    irefwr     Unit number to use for "normal" writes
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inisetnewref

!     INIRMREF       Remove entry iref from the set of reference numbers used
!     INISETNEWREF   Create new reference number
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      irefwr = inisetnewref()
      open(unit=irefwr,file=text)
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, n
         write(irefwr,110) i,(array(i,j),j=1,min(7,m))
110      format(i4,':',ss,7(1pe10.3e2))
         if ( m>7 ) write(irefwr,120) (array(i,j),j=8,m)
120      format((5x,ss,7(1pe10.3e2)))
      end do
      close(unit=irefwr)
      call inirmref ( irefwr )
      end
