      subroutine prinnmeshxred ( nfaces, nmeshx )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-02-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of an integer array with structure of
!     sub array of nmesh
!     No row sequence numbers are printed
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nfaces, nmeshx(*)

!     nfaces         i    Number of faces
!     nmeshx         i    nmesh part x
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, nnodes

!     i              Counting variable
!     istart         First position used at a part
!     j              Counting variable
!     nnodes         Number of nodes
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nfaces
         istart = nmeshx(i)
         nnodes = nmeshx(istart)
         write ( irefwr, 110 ) (nmeshx(istart+j), j = 1, nnodes )
110      format ( 40i7 )
      end do
      end
