      subroutine prinnmeshxspc ( nfaces, nmeshx, maxnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-02-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of an integer array with structure of
!     sub array of nmesh in the special format:
!     number of elements in row followed by maxnodes values.
!     All values following number of elements in row are set equal to 0
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nfaces, nmeshx(*), maxnodes

!     maxnodes       i    Number of nodes per face
!     nfaces         i    Number of faces
!     nmeshx         i    nmesh part x
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, j, nnodes, istore(0:maxnodes)

!     i              Counting variable
!     istart         First position used at a part
!     istore         Work array to store one line to be printed
!     j              Counting variable
!     nnodes         Number of nodes
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nfaces
         istart = nmeshx(i)
         nnodes = nmeshx(istart)
         do j = 0, nnodes
            istore(j) = nmeshx(istart+j)
         end do
         do j = nnodes+1, maxnodes
            istore(j) = 0
         end do
         write ( irefwr, 110 ) (istore(j), j = 0, maxnodes )
110      format ( 40i7 )
      end do
      end
