      subroutine readsplitkeyw ( numchar, keywordlc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 19-03-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     check whether the keyword contains numbers
!     If so we split the keyword into a part without number and a number
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     keyword
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numchar
      character (len=*) keywordlc

!     keywordlc      o    contains the keyword without number
!     numchar        o    Number of characters in keyword
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readsplitkeyw' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readsplitkeyw'
         write(irefwr,1) 'lastitem', lastitem
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      keywordlc = ' '
      numchar = 0
      do while ( numchar<nchar .and. &
                 ( string(numchar+1:numchar+1)<'0' .or. &
                   string(numchar+1:numchar+1)>'9' ) )

!     --- string contains numbers, store text part into keyword

         numchar = numchar+1

      end do  ! while ( numchar<nchar .and. ... )
      keywordlc(1:numchar) = string(1:numchar)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'lastitem', lastitem
         write(irefwr,*) 'string ', string(1:nchar)
         write(irefwr,*) 'keyword ', keywordlc(1:numchar)
         write(irefwr,*) 'End readsplitkeyw'

      end if  ! ( debug )
      call erclos ( 'readsplitkeyw' )

      end
