      subroutine seperr1305 ( icoef, var, namevar )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-05-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message 1305
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: icoef
      double precision :: var
      character (len=*) :: namevar

!     icoef          i    Coefficient sequence number
!     namevar        i    Name of variable
!     var            i    Value of variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1305   Coefficient has wrong value
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seperr1305' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from seperr1305'

      end if  ! ( debug )

      call errint ( icoef, 1 )
      call errint ( E%itype, 2 )
      call errint ( E%ielgrp, 3 )
      call errint ( E%ielem, 4 )
      call errint ( var, 5 )
      call errchr ( namevar, 1 )
      call errsub ( 1305, 5, 0, 1 )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End seperr1305'

      end if  ! ( debug )
      call erclos ( 'seperr1305' )

      end subroutine seperr1305
