      subroutine sepfillmatstr2
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.0  date 14-12-2015
!
!   copyright (c) 2015-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill parameters in module sepmodulematstr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_structure
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulematstr
      use sepmodulekprob
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillmatstr2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillmatstr2'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( debug ) &
         write(irefwr,1) 'typecoupl, nrusol, ninterface', &
                          typecoupl, nrusol, ninterface

      if ( typecoupl>0 ) then

!     --- We need an adaptation in case of dirichlet-dirichlet coupling

         kprobr => kprobhdd
         kprobh => kprobhdd
         kprobhinv => kprobhddinv
         nrusol = nrusol-ninterface
         indprh = kprobpar(4)

      else

!     --- neumann-neumann coupling

         ninterface = 0

      end if  ! ( parallel .and. iincommt(14)>0 ) then

      if ( debug ) &
         write(irefwr,1) 'iprint, nrusol', iprint, nrusol

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillmatstr2'

      end if  ! ( debug )
      call erclos ( 'sepfillmatstr2' )

      end subroutine sepfillmatstr2
