      integer function sepkeywordvect ( )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-03-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      Check if one of the keywords is V or Vector
!      In that case it might be a vectorname with number
!      Old subroutine  intxvector
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i, lastitemsav, icodesav
      logical ::  vectorfound

!     i              Counting variable
!     icodesav       Help parameter to save the value of icode
!     lastitemsav    Help parameter to save the value of lastitem
!     vectorfound    If true vector or scalar is a keyword
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     READNAMEVEC    Read name of vector in common cpost5
!     SEPREADTYPE38  Read number or vector name (itype=38, 40)
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepkeywordvect' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepkeywordvect'
         write(irefwr,1) 'lastitem', lastitem
         call prinin ( typeitems, nitems, 'typeitems' )
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      icode = 0
      do i = 1, nncode

         vectorfound = ncode(i)==1 .and. code(i)=='V' .or. &
                       ncodmx(i)==6 .and. code(i)=='VECTOR'
         jcode = i
         if ( vectorfound ) exit

      end do  ! i = 1, nncode

      if ( debug ) write(irefwr,*) 'vectorfound ', vectorfound

      if ( vectorfound ) then

!     --- The keyword vector is present

         lastitemsav = lastitem
         call readnamevec

         if ( debug ) &
            write(irefwr,1) 'jcode, ityprd, lastitemsav',&
                             jcode, ityprd, lastitemsav

         if ( ityprd==2 ) then

!        --- vector name found

            if ( itype(jcode)==40 ) then

!           --- itype(jcode) = 40, more than one vector allowed

               lastitem = lastitemsav
               icodesav = icode
               icode = jcode
               call sepreadtype38 ( lastitemsav )
               icode = icodesav

            else

               icode = sepchkvecread ( jcode )

            end if  ! ( itype(icode)==40 )

         end if  ! ( ityprd==2 )

      end if  ! ( vectorfound )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'vectorfound ', vectorfound
         write(irefwr,1) 'ityprd, icode, lastitem', &
                          ityprd, icode, lastitem
         write(irefwr,*) 'End sepkeywordvect'

      end if  ! ( debug )
      call erclos ( 'sepkeywordvect' )

      sepkeywordvect = icode

      end function sepkeywordvect
