      subroutine sepreadcofscal
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-04-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Special case: coefficient is a scalar
!     Help subroutine for sepreadsetkeyw
!     Old subroutine intx02cofscal
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
!     variable
!     coefficient
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadcofscal' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadcofscal'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      table(1) = nint(realrd)
      nseqkeyw = nseqkeyw+1
      iseqkeyw(nseqkeyw) = 0
      readnx = .true.

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepreadcofscal'

      end if  ! ( debug )
      call erclos ( 'sepreadcofscal' )

      end subroutine sepreadcofscal
