      subroutine sepreadminus
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-04-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check for the presence of minus sign and closing brackets
!     Closing brackets are skipped
!     Help subroutine for sepreadsetkeyw
!     Old subroutine intx02minus
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKNXT         Read next item from the standard input file
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadminus' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadminus'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      readnx = .true.  ! next item must be read
      if ( ityprd==6 ) then

!     --- minus sign found

         minusg = -1
         call asknxt  ! read next item
         if ( debug ) then
            write(irefwr,1) 'ityprd, istop, lastitem/2a', &
                             ityprd, istop, lastitem
            if ( ityprd==4 ) &
               write(irefwr,*) 'string ', string(1:nchar)
         end if  ! ( debug )

      end if

      do while ( ityprd==7 )

!     --- Closing bracket found

         call asknxt  ! read next item
         if ( ierror/=0 ) go to 1000
         if ( istop/=2 .and. lastitem==nitems .and. ityprd==7 ) &
            ityprd = 1  ! read next record

      end do  ! while ( ityprd==7 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepreadminus'

      end if  ! ( debug )
      call erclos ( 'sepreadminus' )

      end subroutine sepreadminus
