      subroutine sepreadseterr ( finished )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-04-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Give error message that keyword is not recognized
!     Help subroutine for sepreadsetkeyw
!     Old subroutine intx02error
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      logical :: finished

!     finished       i    Indicates if the loop has finished (true) or not
!                         (false)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRCRD         Prints the last record read and underlines the errorneous
!                    part
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1868   Text not recognized
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadseterr' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadseterr'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( .not. keywordfound .and. iretur==-10000 ) then

!     --- iretur = -10000, so we must return with iretur = -10001
!         minus sign must be read again

         if ( minusg==-1 ) lastitem = lastitem-1
         lastitem = lastitem-1  ! last item must be reread
         iretur = -10001
         go to 1000

      end if  ! ( iretur==-10001 )
      do i = 1, abs(nmain)
         call errchr ( codemain(i), i )
      end do
      do i = 1, nncode
         call errchr ( code(i)(1:ncodmx(i)), i+abs(nmain) )
      end do
      call errsub ( 1868, 0, 0, abs(nmain)+nncode )
      call errcrd
      iretur = -1
      finished = .true.

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepreadseterr'

      end if  ! ( debug )
      call erclos ( 'sepreadseterr' )

      end subroutine sepreadseterr
