      subroutine sepreadtype06 ( finished )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-04-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read keyword = text
!     for subroutine sepreadsetkeyw
!     Old subroutine intx0206
! **********************************************************************
!
!                       KEYWORDS
!
!     interpret
!     keyword
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      logical finished

!     finished      i/o   Indicates if the loop has finished (true) or not
!                         (false)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKNXT         Read next item from the standard input file
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRSUB         Error messages
!     READSTRINGS    Check if name read corresponds to one of the strings
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1628   Keyword found more than one for the same problem
!    1879   Not a text found after the keyword
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepreadtype06' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepreadtype06'
         write(irefwr,1) 'iretur, icode', iretur, icode
  1      format ( a, 1x, (10i6) )
  2      format ( a, 1x, (5d12.4) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call asknxt
      if ( icountkey(icode)/=0 ) then
          call errchr ( code(icode), 1 )
          call errsub ( 1628, 0, 0, 1 )
      else
         icountkey(icode) = icountkey(icode)+1
      end if

      if ( debug ) write(irefwr,1) 'ityprd', ityprd

      if ( ityprd==4 ) then

!     --- text found, check if it is one of the strings in chstrings

         call  readstrings

         if ( debug ) write(irefwr,2) 'realrd', realrd
         if ( ityprd==15 .or. ityprd==16 ) then

!        --- string found

            table(icode) = realrd

         else

!        --- error no string found

            iretur = -1

         end if  ! ( ityprd==15 .or. ityprd==16 )

      else if ( ityprd==5 ) then

         kposut = kposut + 1
         if ( debug ) write(irefwr,1) 'kposut, nstrng', kposut, nstrng
         if ( kposut>nstrng ) go to 1000
         strout(kposut) = string(1:nchar)
         tabmax(icode) = nchar
         table(icode) = kposut
         if ( debug ) write(irefwr,*) 'string ', string(1:nchar)

      else

!     --- not a text found

         iretur = -1

      end if  ! ( ityprd==4 )

      if ( iretur==-1 ) then

!     --- not a text found

         call errchr ( code(icode), 1 )
         call errsub ( 1879, 0, 0, 1 )
         finished = .true.

      end if  ! ( iretur==-1 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'iretur', iretur
         write(irefwr,*) 'End sepreadtype06'

      end if
      call erclos ( 'sepreadtype06' )

      end subroutine sepreadtype06
