      subroutine topq00 ( help, khelp, npoint, indi )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 2.2    date   23-01-1995 New call to prsort, remove ispace
!        version 2.1    date   25-02-1994
!        version 2.0    date   01-01-1993 Renamed subroutine PLT369
!        version 1.0    date   02-02-1988
!
!
!
!   copyright (c) 1988-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!    DESCRIPTION
!
!    Subroutine to determine and cancel all double elements in array
!    help . Triple elements are not cancelled : one is left. Array
!    is also sorted
! ********************************************************************
!
!    KEYWORDS
!
!    mesh
!    sort
!    cancel
!
! ********************************************************************
!
!     INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer npoint, khelp(npoint), indi
      double precision help(npoint)

!     help    i    array to be sorted, length npoint
!     indi    i    indicator, see khelp
!     khelp   o    array to indicate new order.If a value appears
!                  more than once in help all these entries are
!                  cancelled in khelp i.e. are set 0, if indi=1, &
!                  else only one entry is left.
!     npoint  i    length of both arrays
!
! ********************************************************************
!
!     COMMON BLOCKS
!
! ********************************************************************
!
!     LOCAL PARAMETERS
!
      double precision value, xval
      integer i

!     i       counting variable
!     value   value of last element considered in help
!     xval    value of element considered in help
!
! ********************************************************************
!
!     SUBROUTINES CALLED
!
!     PRSORT  Sort real array for increasing sequence
!
! ********************************************************************
!
!     I/O
!
! ********************************************************************
!
!     ERROR MESSAGES
!
! ********************************************************************
!
!     PSEUDO CODE
!
!     trivial
!
! ======================================================================

      if ( npoint.lt.2 ) return

!     first array help is sorted

      call prsort ( help, khelp, npoint )

!     double values are cancelled

      value = help ( khelp ( 1 ) )

      do 100 i = 2, npoint

           xval = help ( khelp (i) )
           if ( abs(value-xval).lt.0.1d0 ) then
                help( khelp ( i ) )   = 0
                value = 0d0
                if ( indi.eq.1 ) help( khelp (i-1) )   = 0
           else
                value = xval
           end if

100   continue

      end
