      subroutine writb1
! ======================================================================
!
!        programmer     Niek Praagman
!        version 2.3    date  24-07-1998 include commons
!        version 2.2    date  18-11-1991 Delete use of ibuffr
!        version 2.1    date  22-08-1991 Zdenek: no dimension, cdc, ce
!
!
!   copyright (c) 1984-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   writb1 writes ifree2, inew and iwork3 to
!   backing storage
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpack
      use sepmodulefiles
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: work(1000)

!     work       worl array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERTRACE        Prints trace back of subroutines
!     WRITFL         Write array to backing storage
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! ======================================================================
!
      call eropen ( 'writb1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from writb1'
         call ertrace
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 .or. (parallel .and. inodenr>1) ) go to 1000

!     --- Store first record consisting of ifree2, inew, (iwork3(k),k=1,998)
!         into work array work
!         ini000 treats work as if it is an integer array

      work(1) = ifree2
      work(2) = inew
      work(3:1000) = iwork3(1:998)
      call writfl ( 1, 1, 1000, 1, 2, work )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'ifree2, inew', ifree2, inew
         write(irefwr,*) 'End writb1'

      end if  ! ( debug )
      call erclos ( 'writb1' )

      end subroutine writb1
