      subroutine writmshi ( iinput, rinput, irefmesh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.1  date 30-07-2012 iinput and rinput from position 6
!        version  3.0  date 02-09-2010 Remove intarmsh
!        version  2.1  date 19-02-2000 Enlarge intarmsh
!
!   copyright (c) 1997-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write contents of arrays iinput and rinput in original form back to
!     an input file with reference number irefmesh
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     input
!     write
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), irefmesh
      double precision rinput(*)

!     iinput     i    integer input array
!     irefmesh   i    Reference number of file to which the mesh description
!                     must be written
!     rinput     i    Real input array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer krenum(10), ichois

!     ichois     Choice parameter
!     krenum     Type of renumbering
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     MSH000    Fill some parameters from array IINPUT
!     MSHWRINP  Write contents of arrays iinput and rinput in original form
!               back to an input file with reference number irefmesh
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'writmshi' )
      jcoars = iinput(11)
      ichois = 1
      call msh000 ( iinput, krenum, ichois )
      call mshwrinp ( iinput, rinput, irefmesh, krenum )
      call erclos ( 'writmshi' )
      end
