      subroutine askclk
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.2  date 29-05-2014 Use wall clock and cpu
!        version  5.1  date 28-02-2004 Correct wall clock time
!        version  5.0  date 04-02-2004 Complete revision
!
!   copyright (c) 1982-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      the actual time since the preceding call of iniclk is printed
!      time in seconds
!      This subroutine is machine dependent
! **********************************************************************
!
!                       KEYWORDS
!
!     timing
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecpu
      use sepmodulecpack
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      real timeloc
      integer timing(8)
      character (len=5) zone
      character (len=8) date_start
      character (len=10) time_start

!     date_start     Dummy parameter for date_and_time
!     time_start     Dummy parameter for date_and_time
!     timeloc        Real parameter giving the time in seconds
!     timing         Dummy parameter for date_and_time
!     zone           Dummy parameter for date_and_time
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     CPU_TIME       Retruns with cpu time since start of program
!     DATE_AND_TIME  Returns with date and time
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      tim2 = tim3
      tim2wall = tim3wall

!     --- General time subroutine in various versions available
!         For some computers local

      call cpu_time ( timeloc )

      tim3 = timeloc - tim1

      if ( .not. cputiming ) then

!     --- Use the wall clock time

         call date_and_time(date_start,time_start,zone,timing)
         timeloc = timing(5)*3600+timing(6)*60+timing(7)+timing(8)*1e-3
         tim3wall = timeloc - tim1wall

      end if  ! ( .not. cputiming )

      end
