      subroutine askprikprob ( inpsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.1  date 12-08-2014 Extension with par
!        version  3.0  date 04-05-2014 Remove istart
!        version  2.0  date 22-03-2014 Use local inpsep
!
!   copyright (c) 2013-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read the information following print kprob and store in inpsep
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpsep(0:*)

!     inpsep        i/o   The integer input read is stored in array INPSEP
!                         For a description, see subroutine askprisca
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKNXT         Read next item from the standard input file
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'askprikprob' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from askprikprob'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      call asknxt  ! read next item

!     --- Fill inpsep

      inpsep(1) = 0  ! No variables
      inpsep(2) = -1001  ! print kprobg

      if ( ityprd/=4 ) then

!     --- No letter found

         inpsep(3) = 0  ! print complete kprob

      else

!     --- letter found

         if ( string(1:nchar)=='B' .or. string(1:nchar)=='I' ) then
            inpsep(3) = 11  ! print complete kprob B and i
         else if ( string(1:nchar)=='F' ) then
            inpsep(3) = 12  ! print complete kprob f
         else if ( string(1:nchar)=='E' ) then
            inpsep(3) = 13  ! print complete kprob e
         else if ( string(1:nchar)=='G' ) then
            inpsep(3) = 15  ! print complete kprob g
         else if ( string(1:nchar)=='H' ) then
            inpsep(3) = 14  ! print complete kprob h
         else if ( string(1:nchar)=='K' ) then
            inpsep(3) = 16  ! print complete kprob k
         else if ( string(1:nchar)=='L' ) then
            inpsep(3) = 17  ! print complete kprob l
         else if ( string(1:nchar)=='M' ) then
            inpsep(3) = 18  ! print complete kprob m
         else if ( string(1:nchar)=='N' ) then
            inpsep(3) = 19  ! print complete kprob n
         else if ( string(1:nchar)=='O' ) then
            inpsep(3) = 22  ! print complete kprob o
         else if ( string(1:nchar)=='P' ) then
            inpsep(3) = 23  ! print complete kprob p
         else if ( string(1:nchar)=='R' ) then
            inpsep(3) = 24  ! print complete kprob r
         else if ( string(1:nchar)=='S' ) then
            inpsep(3) = 25  ! print complete kprob s
         else if ( string(1:nchar)=='V' .or. string(1:nchar)=='W' ) then
            inpsep(3) = 26  ! print complete kprob v and w
         else if ( string(1:nchar)=='X' ) then
            inpsep(3) = 27  ! print complete kprob x
         else if ( string(1:nchar)=='Y' ) then
            inpsep(3) = 28  ! print complete kprob y
         else if ( string(1:nchar)=='AA' ) then
            inpsep(3) = 29  ! print complete kprob aa
         else if ( string(1:nchar)=='AB' ) then
            inpsep(3) = 52  ! print complete kprob ab
         else if ( string(1:nchar)=='PAR' ) then
            inpsep(3) = 51  ! print complete kprob par
         end if  ! ( string(1:nchar)=='B' .or. string(1:nchar)=='I' )

      end if  ! ( ityprd/=4 )

1000  call erclos ( 'askprikprob' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End askprikprob'

      end if  ! ( debug )

      end
