      subroutine ercopcor ( coor, coorcp, ndim, numnodes, nodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 11-04-2007 Layout
!        version  1.0  date 01-11-1997
!
!   copyright (c) 1997-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy the contents of array coor into array coorcp for all points
!     in array nodes
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     coordinate
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numnodes, ndim,  nodes(numnodes)
      double precision coor(ndim,*), coorcp(ndim,*)

!     coor       i    array of length ndim x npoint containing the co-ordinates
!                     of the nodal points with respect to the global numbering
!     coorcp     i    Contains the copy of the coordinates for a set of nodes
!     ndim       i    Dimension of the space.
!     nodes      i    Contains the node numbers that must be filled
!     numnodes   i    Number of nodal points in array nodes
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, nodp

!     i          Counting variable
!     j          Counting variable
!     nodp       Nodal point sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, numnodes
         nodp = nodes(i)
         do j = 1, ndim
            coorcp(j,i) = coor(j,nodp)
         end do
      end do

      end
