      subroutine inichinpsol ( iinput, niinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 11-03-2014 correction for expressions
!        version  1.1  date 22-11-2004 Fortran 90
!        version  1.0  date 08-03-1999
!
!   copyright (c) 1999-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Change all integers in iinput with the value larger than 100000
!    by the value in the corresponding scalar
! **********************************************************************
!
!                       KEYWORDS
!
!     input
!     variable
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons 
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), niinp

!     iinput         i    integer input array
!     niinp          i    Length of integer input array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, iseq

!     i              Counting variable
!     iseq           Sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, niinp
         if ( iinput(i)>100000000 .and. iinput(i)< 200000000 ) then
            iseq = iinput(i)-100000000
            iinput(i) = nint(scalars(iseq))
         end if
      end do
      end
