      subroutine plindf ( namefl, phcpcp, lastps )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date 11-12-1993
!
!
!
!   copyright (c) 1993,1993  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!       Remove all present SEPRAN neutral plotting files
!       Construct name of SEPRAN neutral plotting file
! **********************************************************************
!
!                       KEYWORDS
!
!   interactive
!   plot
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      use sepmodulemach
      implicit none
      character *(*) namefl, phcpcp
      integer lastps

!     lastps  i    Last non-blank position in namefl
!     namefl  i    Name of default SEPRAN neutral plotting file
!     phcpcp  i    Help variable to store the default value of devhcp
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical ready, check
      integer i, iref

!     check   Indicates if the file exist (true) or not
!     i       Counting variable
!     iref    File reference number
!     ready   Indicates if the loop has been finished (true) or not (false)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    Set codes for plotting devices
!    Remove all present SEPRAN neutral plotting files:
!       ready := false
!       while ( not ready ) then
!          Construct name of next file
!          Inquire if file exists
!          if ( file exists ) then
!             delete file
!          else ( file does not exist )
!             ready := true
!    Construct name of SEPRAN neutral plotting file
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Set codes for plotting devices

      posdev(1:2) = devdis(1:2)
      phcpcp(1:2) = devhcp(1:2)
      iplotf = 1

      ready = .false.

!     --- remove all present SEPRAN neutral plotting files

      lastps = index ( namepl, ' ' ) + 3

!     --- While loop ready

      i = 0
      iref = abs(irefpl)
      namefl(1:lastps) = namepl(1:lastps-4)//'.001'

100   if ( .not. ready ) then

         i = i + 1
         write(namefl(lastps-2:lastps), 110 ) i
110      format ( i3.3 )
         inquire ( file=namefl(1:lastps), exist=check )
         if ( check ) then

!        --- file exists, delete

            open ( unit=iref, file=namefl(1:lastps) )
            close ( unit=iref, status='delete' )

         else

!        --- File does not exist, ready

            ready = .true.

         end if
         go to 100

      end if

!     --- Construct name of SEPRAN neutral plotting file

      namefl(1:lastps) = namepl(1:lastps-4)//'.001'

      end
