      subroutine pradapintbn2d2 ( numendpoints, istore, concentration )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-12-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Adapt concentration
!
! **********************************************************************
!
!                       KEYWORDS
!
!     level_set
!     boundary
!     interface
!     2d
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numendpoints, istore(2,*)
      double precision concentration(*)

!     concentration i/o   Contains concentration in the nodes
!     istore         i    Work array to store end points of interface
!                         istore(1,i) contains i-th end point
!                         istore(2,i) contains its neighbor
!     numendpoints   i    Number of end points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'pradapintbn2d2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from pradapintbn2d2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      do i = 1, numendpoints
         concentration(istore(1,i)) = concentration(istore(2,i))
      end do  ! i = 1, numendpoints

1000  call erclos ( 'pradapintbn2d2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End pradapintbn2d2'

      end if  ! ( debug )

      end
