      subroutine preset ( ireset )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.13 date 01-09-2006 Extension of cpost1
!        version  1.12 date 05-12-1992 Enlarge maxclr
!        version  1.11 date 22-12-1991 Set maxclr depending on oper. system
!
!   copyright (c) 1988-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    This subroutine is used to reset some the reference
!    default values for program SEPPOST
!    Help subroutine for program SEPPOST
! **********************************************************************
!
!                       KEYWORDS
!
!     default
!     plot
!     plot_contour
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepost
      use sepmodulecons
      use sepmoduleconsts
      use sepmodulemach
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ireset

!      ireset   i   Choice parameter indicating which parameters must be reset
!                   Possible values
!                   0   Set all parameters
!                   1   Set parameters in CPOST3 and CPOST4
!                   2   Set array INDCOL
!                   3   Set array iinputpst
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!      i         Loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    none
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Set defaults

      if ( ireset==0 .or. ireset==1 ) then

!     --- ireset = 1,  Reset parameters in commons CPLOT3 and CPLOT4

         iaxisr = 0
         jmaxrf = 0
         plotrf = defplo
         yfacrf = 0d0
         isymrf = 0
         kiesxr = -1
         kiesyr = -1
         nstxrf = 10
         nstyrf = 10
         isigxr = 2
         isigyr = 2
         irotrf = 1
         minclr = 1
         if ( stoper(1:5)=='msdos' ) then
            maxclr = 16
         else
            maxclr = 256
         end if
         ibounr = 1
         icontr = 0
         innerr = 0
         iboldr = 0
         ielemr = 0
         inoder = 0
         imarkr = 0
         xprorf = 0d0
         yprorf = 0d0
         zprorf = 0d0
         heigrf = 0.25d0
         dcolrf = 0
         refvrf = 0d0

!        --- reset iinputpst

      end if
      if ( ireset==0 .or. ireset==2 ) then

!     --- ireset = 2,  Reset INDCOL

         do i = 1, 100
            indcol(i+5) = i
         end do

      end if
      if ( ireset==0 .or. ireset==3 ) then

!     --- ireset = 3,  Reset iinputpst

         do i = 1,43
            iinputpst(i) = 0
         end do
         do i = 46,100
            iinputpst(i) = 0
         end do
         iinputpst(37) = 1
         iinputpst(38) = 1
         iinputpst(48) = 1
      end if
      if ( ireset==0 ) then
         iinputpst(44) = 0
         iinputpst(45) = 0
      end if
      end
