      subroutine prsettime ( inpsep, rinsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 30-08-2006 New definition of cpost5
!        version  1.1  date 22-11-2004 Fortran 90
!        version  1.0  date 04-02-2004
!
!   copyright (c) 2004-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Set time in main program sepcomp or sepfree
!
! **********************************************************************
!
!                       KEYWORDS
!
!     set_time
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      use sepmodulecons
      use sepmoduleplot
      use sepmoduletexts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpsep(*)
      double precision rinsep(*)

!     inpsep         i    The integer input read is stored in array INPSEP
!                         Pos. 1 position of value in rinsep
!     rinsep         i    Array containing the real input for this subroutine
!                         Contains the value of the time
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipos

!     ipos           Position in array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsettime' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsettime'

      end if
      if ( ierror/=0 ) go to 1000
      ipos = inpsep(1)
      if ( ipos>100000000 ) then

!     --- ipos>100000000, hence scalar

         t = scalars(ipos-100000000)

      else

!     --- ipos<100000000, hence value stored in rinsep

         t = rinsep(ipos)

      end if

1000  call erclos ( 'prsettime' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsettime'

      end if

      end
