      subroutine readcons
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  1.4  date 08-12-2013 Extension with compcons and princons
!        version  1.3  date 17-03-2009 New call to readco
!        version  1.2  date 22-11-2004 Fortran 90
!
!   copyright (c) 1999-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    read the list of constants from the input file and store the
!    result in common block cusname and module cons
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons 
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ASKNXT         Read next item from the standard input file
!     COMPCONS       User subroutine to compute constants
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINCONS       Print all constants, variables and vector names
!     READCO         Read constants
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readcons' )

!     --- read first record

      ityprd = 1
      call asknxt

!     --- check for 'CONSTANTS'

      if (ityprd==4 .and. string(1:4)=='CONS') then

!     --- ok, 'CONSTANTS' found

         call readco

!        --- constants found, call user subroutine to compute constants

         call compcons

!        --- Print a list of all constants, variables, reals and vector names

         call princons

      end if

      call erclos ( 'readcons' )
      end
