      subroutine readgenconsts
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 05-11-2013 New bounds on accuracy_obstacle
!        version  1.1  date 22-11-2011 Change of minimum
!        version  1.0  date 24-01-2001
!
!   copyright (c) 2001-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Read the general constants from the input file until an end is found
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      use sepmodulegen
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPREADSETKEYW Interpret a record containing keywords followed by data
!     SEPSETMAINEND  Fill keyword END as first main keyword and set nmain to 1
! **********************************************************************
!
!                       I/O
!
!      The following records are recognized
!
!      accuracy_obstacle = eps
!      end
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readgenconsts' )
      call sepsetmainend                  ! Fill END as main keyword
      code(1) = 'ACCURACY_OBSTACLE'
      ncode(1) = 13
      ncodmx(1) = 17
      itype(1) =  1
      tabmin(1) = 0d0
      tabmax(1) = 0.5d0
      iretur = 0
      table(1) = 0.3d0
      ityprd = 1
      istop = 2
      call sepreadsetkeyw
      accuracy_obstacle = table(1)
      istop = 0
      call erclos ( 'readgenconsts' )
      end subroutine readgenconsts
