      subroutine readscchprob ( istart, inpsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 17-12-2015 New parameter list
!        version  1.0  date 09-03-2005
!
!   copyright (c) 2005-2051  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Read the input following the following the keyword
!   NEW_PROBLEM_DESCRIPTION
!   with respect to subroutine readsc
!   The input is stored in array inpsep and the real array rinsep
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     problem_definition
!     change
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      use sepmoduletexts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer istart, inpsep(*)

!     inpsep        i/o   The integer input read is stored in array INPSEP
!                         This part contains:
!                         2: Sequence number COMMAT input
!     istart        i/o   Next free position in inpsep
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     SEPREADSETKEYW Interpret a record containing keywords followed by data
! **********************************************************************
!
!                       I/O
!
!       NEW_PROBLEM_DESCRIPTION, SEQUENCE_NUMBER = s,
!           skip_adapt_matrix_description
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!

!     code2   Table with sub keywords corresponding to some keywords
!             Values:
!             1:  SEQ_STRUCTURE
!             2:  SKIP_ADAPT_MATRIX_DESCRIPTION
! ======================================================================
!
      call eropen ( 'readscchprob' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readscchprob'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      inpsep(istart) = icode

      nncode = 2
      code(1) = 'SEQUENCE_NUMBER'
      code(2) = 'SKIP_ADAPT_MATRIX_DESCRIPTION'
      ncode(1) =  7
      ncode(2) = 3
      ncodmx(1) = 15
      ncodmx(2) = 29
      itype(1) =  0
      itype(2) =  2
      tabmin(1) = 1d0
      tabmin(2) = 0d0

      tabmax(1:nncode) = 10d0
      table(1:nncode) = 0d0
      iretur = 0
      nmain = 0
      call sepreadsetkeyw
      if ( ierror/=0 ) go to 1000

      inpsep(istart+1) = nint(table(1))
      inpsep(istart+2) = nint(table(2))
      istart = istart + 3

1000  if ( debug ) then

!     --- Debug information

         call prinin ( inpsep(istart), 3, 'inpsep' )
         write(irefwr,*) 'End readscchprob'

      end if  ! ( debug )
      call erclos ( 'readscchprob' )

      end subroutine readscchprob
