      subroutine sepfillinpsol1
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-10-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill arrays inpsol and rinsol with default values
!     These values are extended with variables found before
!     Special case: profile storage (hence direct)
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     linear_solver
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleintmat
      use sepmodulesolve
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: iseq
      type (intmatrix), pointer :: IM

!     IM             Refers to intmt(intmat)
!     iseq           Sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer :: sepgetnamevar

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPGETNAMEVAR  Get sequence number of scalar, real or integer
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillinpsol1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillinpsol1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      IM => intmt(intmat)

      iseq = sepgetnamevar ( 'POSITIVE_DEFINITE' )
      if ( iseq>0 ) inpsol(2,1) = 1    ! positive_definite found

      if ( IM%mumps ) inpsol(3,1) = 19

1000  call erclos ( 'sepfillinpsol1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillinpsol1'

      end if  ! ( debug )

      end subroutine sepfillinpsol1
