      subroutine sepkmkpcofs
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 19-02-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill some quantities for coefficients corresponding to kmesh and
!     kprob
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: nelgrpkprob

!     nelgrpkprob    Number of element groups including boundary groups
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepkmkpcofs' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepkmkpcofs'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      indprx = kprobloc(11)
      numnat = kprobloc(12)
      indprb = kprobloc(15)
      if ( indprx>0 ) then
         nglgrp = kprobx(1)
      else
         nglgrp = 0
      end if
      nelgrpkprob = nelgrp+numnat+nglgrp
      if ( indprb>0 ) kprobb => kprobpart%kprobb
      kprobc => kprobpart%kprobc

      if ( kprobloc(80)<icountkprob ) icountkprob = icountkprob+1

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepkmkpcofs'

      end if  ! ( debug )
      call erclos ( 'sepkmkpcofs' )

      end subroutine sepkmkpcofs
