      subroutine msh029 ( iinput, ivolm, ifirst, iinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.2  date 12-10-2001 Allow empty volumes
!        version  2.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.0  date 20-05-1986
!
!   copyright (c) 1985-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compute position of volume in array iinput
!     relative with respect to iinp5
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), ifirst, iinp, ivolm

!     ifirst         i    indication whether a new volume number is given
!                         (ifirst=0) or that the next one is needed
!                         (ifirst>0)
!     iinp          i/o   starting position in array iinput relative to iinp5
!                         when ifirst = 0  iinp is computed
!                         when ifirst > 0  iinp must have a value at input
!                           in that case it is raised for one volume
!                           when ivolm = 1  iinp=0
!     iinput         i    array iinput containing the user input
!                         with respect to the volumes  (iinp5)
!     ivolm          i    volume number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ih, is

!     i              Counting variable
!     ih             Help variable to store a constant temporarily
!     is             Defines type of volume
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MSH050         Raise iinp as function of ivolm
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( ifirst.gt.0 ) then
         ih = 1
      else
         iinp = 0
         if ( ivolm.eq.1 ) go to 1000
         ih = ivolm-1
      end if
      do i = 1, ih
         iinp = iinp+1
         is = iinput(iinp)
         call msh050 ( iinput, iinp, is )
         iinp = iinp-1
      end do
1000  end
