      subroutine mshcoprem ( newentry, oldentry )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-09-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy newentry in oldentry
!     If oldentry has been filled before, delete oldentry
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer newentry, oldentry

!     newentry       i    sepran mm seq number of entry in new kmesh
!     oldentry      i/o   sepran mm seq number of entry in old kmesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshcoprem' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshcoprem'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- remove array in ibuffr corresponding to old entry if it exists

!      if ( oldentry/=0 ) call seprmibuf ( oldentry, 'kmeshpart' )

!     --- Copy

      oldentry = newentry

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshcoprem'

      end if  ! ( debug )
      call erclos ( 'mshcoprem' )

      end
