      subroutine mshg08 ( coor, npoint, levelp )
! ======================================================================
!
!        programmer    niek praagman
!        version  2.0  date 07-10-2017
!        version  1.0  date 11-02-1985
!
!   copyright (c) 1985-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     refill coor according to the new numbering
!
! **********************************************************************
!
!                       KEYWORDS
!
!     coordinate
!     renumbering
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: npoint, levelp(npoint)
      double precision :: coor(2,npoint)

!     coor          i/o   array of length ndim x npoint containing the
!                         co-ordinates
!     levelp         i    array with renumbering
!     npoint         i    Number of nodal points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision :: work(2,npoint)

!     work           Work array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshg08' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshg08'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      work = coor  ! copy

      coor(:,:) = work(:,levelp)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshg08'

      end if  ! ( debug )
      call erclos ( 'mshg08' )

      end subroutine mshg08
