      subroutine msho82 ( ndim, coor, nx, ny, nz, rinput )
! ======================================================================
!
!        programmer     Niek Praagman
!        version 1.0    date   27-06-1996
!
!
!
!   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to compute the coordinates of the nodes in case of
!     a structured mesh in 2d or 3d
! **********************************************************************
!
!                       KEYWORDS
!
!     coordinate
!     mesh_generation
!     2d
!     3d
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ndim, nx, ny, nz
      double precision coor(ndim, *), rinput(*)

!     coor    o    array containing the Euclidian coordinates of the
!                  nodes as computed
!     ndim    i    dimension of space considered
!     nx      i    number of nodes in x-direction
!     ny      i    number of nodes in y-direction
!     nz      i    number of nodes in z-direction
!     rinput  i    array with origin and steps in x-, y- and z-direction
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, k, ip

!     i       loop variable
!     ip      local point number indicator
!     j       loop variable
!     k       loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Run through the whole mesh and place the points
!
!     column by column, row by row and plane by plane
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Number of points is zero at start

      ip = 0

      do 300 k = 1 , nz

      do 200 j = 1 , ny

      do 100 i = 1 , nx

         ip = ip + 1

!        --- Compute x-coordinate of point ip

         coor( 1, ip ) = rinput( 1 ) + (i-1) * rinput( 4 )

!        --- Compute y-coordinate of point ip

         coor( 2, ip ) = rinput( 2 ) + (j-1) * rinput( 5 )

!        --- Compute z-coordinate of point ip

         if ( ndim.eq.3 ) coor( 3, ip ) = rinput( 3 ) + (k-1) * rinput( 6 )

100   continue

200   continue

300   continue

      end
