      subroutine mshsp2( ndim, xp, xm, dx, xn )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 1.0    date   25-03-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     compute co-ordinates of point by reflection. The reflection line or plane
!     is defined by the first ndim user points of the new curve
! ***********************************************************************
!
!     KEYWORDS
!
!     mesh
!     reflection
!     node
! ***********************************************************************
!
!     INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer ndim
      double precision xp(ndim), xm(ndim), dx(ndim), xn(ndim)

!     dx      i   direction of vector
!     ndim    i   dimension of space
!     xm      i   point in reflection plane
!     xn      o   new (reflected) point
!     xp      i   point to be reflected
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i
      double precision para, dist

!     dist   Euclidin distance
!     i      loop variable
!     para   parameter to determine position of point
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     I/O
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     trivial
! =======================================================================

      para  = 0d0
      dist  = 0d0

      do 100 i = 1 , ndim
          para  =  para + dx(i) * ( xp(i) - xm(i) )
          dist  =  dist + dx(i) * dx(i)
100   continue

      para  =  -para / dist

      do 200 i = 1 , ndim

          xn(i) =  xp(i) + 2 * para * dx(i)

200   continue

      end
