      function mshz02 ( k1, k2, npoint, Coor )
      double precision mshz02
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                   PURPOSE
!
!     Distance of two meshpoints, in the physical plane
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      integer k1, k2, npoint
      double precision Coor ( 2, npoint )

!     Coor     i    Real array (2,npoint).
!                   Physical coordinates of all meshpoints
!     k1, k2   i    Global nodenumbers
!     npoint   i    Current number of all meshpoints
!
! **********************************************************************
!

      mshz02 = sqrt ( ( Coor(1,k1) - Coor(1,k2) ) ** 2 &
                    + ( Coor(2,k1) - Coor(2,k2) ) ** 2 )

      end
