      subroutine mshz23 ( iQ, n1, n2, n3, n4 )
!
! **********************************************************************
!
!       programmer      Zdenek Vlasek
!       version 2.0     date 31-07-1990  extra parameters n1..4
!       version 1.0     date 14-02-1990
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                  PURPOSE
!
!   To change the values iQ(2..14) in the record iQ, &
!   when the orientation is to be changed.
!   To update n1=iQ(2), n2=iQ(3), n3=iQ(4), n4=iQ(5).
!
!   The first vertex remains the same, &
!   thus the new side 1 is the reverse old side 4.
!
! **********************************************************************
!
!                  INPUT / OUTPUT  PARAMETERS

      integer iQ ( 14 ), n1, n2, n3, n4

!     iQ       io   Integer array of length 14 to be updated.
!                   It is the first part of the record iQ which
!                   describes boundary of a quadrilateral region
!                   ( see mshz21 ).
!     n1,n2,n3,n4
!             o     On output there are iQ(2..5)
!
! **********************************************************************
!
!                  LOCAL VARIABLES

      integer iR ( 14 ), i

!     i     Loop control
!     iR    Integer scratch array of length 14 to keep old values iQ
!
! **********************************************************************
!

      do 10 i = 2, 13
         iR ( i ) = iQ (i )
   10 continue

      do 20 i = 2, 5
         iQ ( i ) = iR ( 7 - i )
   20 continue

      do 30 i = 6, 13
         iQ ( i ) = iR ( 19 - i )
   30 continue

      iQ ( 14 ) = - iQ ( 14 )

      n1 = iQ(2)
      n2 = iQ(3)
      n3 = iQ(4)
      n4 = iQ(5)

      end
