      subroutine msh307(bcord,ist1,ist2,ist3,ds)
! ======================================================================
!
!        programmer    niek praagman
!        version  1.2  date 27-11-2012 Long integers
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 07-01-1985
!
!   copyright (c) 1985-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compute sum of distances ist1-ist2 and ist1-ist3
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ist1,ist2,ist3
      double precision bcord(*), ds

!     bcord          i    array containing the coordinates of the boundaries
!     ds             o    sum of distances
!     ist1           i    ?
!     ist2           i    ?
!     ist3           i    ?
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dx, dy, dz

!     dx             length of vector in x-direction
!     dy             length of vector in y-direction
!     dz             length of vector in z-direction
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      dx=bcord(ist1+1)-bcord(ist2+1)
      dy=bcord(ist1+2)-bcord(ist2+2)
      dz=bcord(ist1+3)-bcord(ist2+3)
      ds=sqrt(dx*dx+dy*dy+dz*dz)
      dx=bcord(ist1+1)-bcord(ist3+1)
      dy=bcord(ist1+2)-bcord(ist3+2)
      dz=bcord(ist1+3)-bcord(ist3+3)
      ds=ds+sqrt(dx*dx+dy*dy+dz*dz)

!     --- ds determined

      return
      end
