      subroutine msh435(i1,i2,i3,new,base1,base2,help,npoint, &
                        x1,x2,x3,y1,y2,y3,coorh,crit)
! * &
! ***********************************************************************
! * &
! *   Subroutine to fill coordinates of new created nodes on line i1-i3
! *   in array COORH
! * &
! ***********************************************************************
!
!
!         programmer   niek praagman
!
!         version 2.0  date  10-01-1990 relative and absolute crit
!         version 1.0  date  05-12-1989
!
!
!
!   copyright (c) 1989-1990  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
! * &
! *   GLOBAL Parameters
! * &
      double precision base1,base2,help(*),x1,x2,x3,y1,y2,y3,coorh(*)
      double precision crit(*)
      integer i1,i2,i3,new,npoint
! * &
! *   Meaning of parameters
! * &
! *   i1,i2,i3       (i)  :  nodenumbers of line to be considered
! *   base1,base2    (i)  :  base numbers to fill array help
! *   help           (i)  :  array with values  ia * base1 + &
! *                          ib *base2 + inew
! *   new            (i)  :  total number of new created points
! *   npoint         (i)  :  number of nodes in starting mesh
! *   x1,x2,x3       (i)  :  x-coordinates of nodes
! *   y1,y2,y3       (i)  :  y-coordinates of nodes
! *   coorh         (i,o) :  coordinate array
! *   crit          (i,o) :  criterium array
! * &
! ***********************************************************************
! * &
! *   Local variables
! * &
      double precision base
      integer ipoint
! * &
! ***********************************************************************
! * &
! *   Compute base
! * &
      if ( i1.lt.i3 ) then
! * &
           base = i1 * base1 + i3 * base2
! * &
      else
! * &
           base = i3 * base1 + i1 * base2
! * &
      end if
! * &
      help(new + 1) = base + new + 1d0
      help(new + 2) = base + new + 2d0
! * &
      ipoint = npoint + new + 1
! * &
      if ( i1.lt.i3 ) then
! * &
           coorh(2*ipoint-1) = ( x1+x2 ) / 2d0
           coorh(2*ipoint  ) = ( y1+y2 ) / 2d0
! * &
           crit (  ipoint  ) = (crit(i1)+crit(i2))/2d0
! * &
           coorh(2*ipoint+1) = ( x2+x3 ) / 2d0
           coorh(2*ipoint+2) = ( y2+y3 ) / 2d0
! * &
           crit (  ipoint+1) = (crit(i2)+crit(i3))/2d0
! * &
      else
! * &
           coorh(2*ipoint-1) = ( x2+x3 ) / 2d0
           coorh(2*ipoint  ) = ( y2+y3 ) / 2d0
! * &
           crit (  ipoint  ) = (crit(i2)+crit(i3))/2d0
! * &
           coorh(2*ipoint+1) = ( x1+x2 ) / 2d0
           coorh(2*ipoint+2) = ( y1+y2 ) / 2d0
! * &
           crit (  ipoint+1) = (crit(i1)+crit(i2))/2d0
! * &
      end if
! * &
      end
