      subroutine msh451 ( kelem , nelem , kelemh, ibrpnt, istart, &
                          npoint )
! =======================================================================
!
!
!        programmer     Niek Praagman
!        version 2.0    date   14-02-1995 Use neighbours
!        version 1.0    date   27-03-1992
!
!
!
!   copyright (c) 1992-1995  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Create quadratic triangular elements from linear elements
!     New points have already been created and are stored in array ibrpnt
!
! ***********************************************************************
!
!     KEYWORDS
!
!     2d
!     create_quadratic_element
!     mesh
!
! ***********************************************************************
!
!     INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer kelem(*), ibrpnt(*), istart(*), nelem, kelemh(*), npoint

!     ibrpnt  i   array with neighbours and new points
!     istart  i   array with starting positions in ibrpnt
!     kelem   i   element array
!     kelemh  o   new element array
!     nelem   i   number of elements
!     npoint  i   number of points in original mesh
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i, ip(6)
!
!     i        loop variable
!     ip       node numbers
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
!     MSH403   Determine node number of point in middle of line
!     MSH406   Place element in element array
!
! ***********************************************************************
!
!     I / O
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     Run through all elements of MESHTP = 3
!        Check node numbers in middle of sides
!        Create new elements of MESHTP = 4
!
! =======================================================================

!     Check each element , and place nodenumbers of new element in array
!     kelemh

      do 100 i = 1 , nelem

          ip(1) =  kelem( 3 * i - 2 )
          ip(2) =  kelem( 3 * i - 1 )
          ip(3) =  kelem( 3 * i     )

!         Compute middle node numbers

          call msh403( npoint, ip(1), ip(2), ibrpnt, istart, ip(4) )
          call msh403( npoint, ip(2), ip(3), ibrpnt, istart, ip(5) )
          call msh403( npoint, ip(3), ip(1), ibrpnt, istart, ip(6) )

!         Fill new element

          call msh406( kelemh, i, ip(1), ip(4), ip(2), ip(5), &
                       ip(3), ip(6) )

100   continue

      end
