      subroutine mshfl2 ( npoloc, nelloc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  4.0  date 02-09-2010 Remove intarmsh
!        version  3.2  date 13-03-2006 Debug statements
!        version  3.1  date 01-08-2001 new definition kmesh part h
!
!   copyright (c) 1987-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Compute length of various arrays for subroutine mshfil
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulemesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoloc, nelloc

!     nelloc     o    Maximal number of elements in subsurface
!     npoloc     o    Maximal number of points in subsurface
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer isub, isubsf, ndefsf, jstart

!     isub
!     isubsf         Sequence number of subsurface
!     jstart         Starting address in KMESH part r
!     ndefsf         Number of curves in surface
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inidln

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INIDLN         Compute length of array in BUFFER
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshfl2' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshfl2'

      end if
      if ( ierror/=0 ) go to 1000

      npoloc = 0
      nelloc = 0
      jstart = kmeshr(isurnr)
      ndefsf = kmeshr(isurnr+1) - jstart
      do isub = 1,ndefsf
         isubsf = abs( kmeshr(jstart+isub) )
         npoloc = max ( npoloc, kmeshh(1,isubsf+1) )
         nelloc = max ( nelloc, kmeshh(2,isubsf+1) )
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshfl2'

      end if
      call erclos ( 'mshfl2' )

      end
