      subroutine mshpavupdbnd03 ( ibndnr, maxbounds, nowbnd, newbnd )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-11-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Update the boundary ibndnr corresponding stored in nowbnd, using
!     the information stored in newbnd
!     Adapt array markboun if necessary
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
!     paver
!     triangle
!     boundary
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibndnr, maxbounds, nowbnd(maxbounds,*), newbnd(*)

!     ibndnr         i    i'th boundary in nowbnd
!     maxbounds      i    Max number of loops in nowbnd
!     newbnd         i    temp array containing the boundary nodes for one loop
!     nowbnd        i/o   array containing the boundary nodes for each closed
!                         part
!                         This array is two-dimensional of size (imxlps,*), &
!                         where implxs defines the maximum number of loops
!                         and * is at most the number of nodes in the boundary+1
!                         Pos. (i,1) contains the number of nodes in the closed
!                            boundary part i
!                         Pos. (i,j+1) contains the j-th node number along this
!                            boundary
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Copy newbnd to nowbnd
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshpavupdbnd03' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshpavupdbnd03'

      end if
      if ( ierror.ne.0 ) go to 1000

!     --- Copy newbnd to nowbnd

      do i = 1, newbnd(1)+1
         nowbnd(ibndnr,i) = newbnd(i)
      end do

1000  call erclos ( 'mshpavupdbnd03' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshpavupdbnd03'

      end if

      end
