      subroutine mshspecreord05 ( kmeshc, inelem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-01-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Reorder elements of shape 5 in case of spectral elements
!     without fill-in (one element group only)
! **********************************************************************
!
!                       KEYWORDS
!
!     spectral
!     reordering
!     quadrilateral
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshc(4,*), inelem

!     inelem         i    Number of elements in a specific element group
!     kmeshc        i/o   kmesh part c, contains the nodal points
!                         corresponding to the elements
!                         One element group only
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ih, i

!     i              Counting variable
!     ih             Help variable to store a constant temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Switch nodes 3 and 4 for all elements
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshspecreord05' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshspecreord05'

      end if
      if ( ierror.ne.0 ) go to 1000
      do i = 1, inelem
         ih = kmeshc(4,i)
         kmeshc(4,i) = kmeshc(3,i)
         kmeshc(3,i) = ih
      end do

1000  call erclos ( 'mshspecreord05' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshspecreord05'

      end if

      end
