      subroutine mshwriteint ( irefc, text, intarr, lenintarr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 16-04-2003 Adaptation for empty arrays
!        version  1.0  date 04-02-2002
!
!   copyright (c) 2002-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write integer array to file irefc
!
! **********************************************************************
!
!                       KEYWORDS
!
!     write
!     write_mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer irefc, intarr(*), lenintarr
      character *(*) text

!     intarr         i    Array containing the integers to be written
!     irefc          i    dataset reference number for reading (>0 formatted, &
!                         <0 unformatted)
!     lenintarr      i    Length of array intarr
!     text           i    String variable containing some text
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshwriteint' )

      if ( irefc.ge.0 ) then

!     --- irefc > 0, formatted

         write(irefc,100) text
100      format(a)
         write(irefc,110) lenintarr
110      format(10i8)
         if ( lenintarr.gt.0 ) &
            write(irefc,110) (intarr(i),i=1,lenintarr)

      else

!     --- irefc < 0, unformatted

         write(-irefc) text
         write(-irefc) lenintarr
         if ( lenintarr.gt.0 ) &
            write(-irefc) (intarr(i),i=1,lenintarr)

      end if
      call erclos ( 'mshwriteint' )
      end
