      subroutine mshobstms04 ( kmeshcnew, kmeshnnew, &
                               ipointobstnew, ielemobstnew, &
                               kmeshmnew, coornew, iinput )
! ======================================================================
!
!        programmer    Guus Segal
!        version  4.0  date 19-09-2013 New parameter list
!        version  3.0  date 22-11-2011 Complete new subroutine
!        version  2.0  date 20-09-2006 Extra parameter ipkmsmnew
!
!   copyright (c) 2004-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Put control integers around the temporary arrays in mshobstsms
!     In this way overwriting of arrays can be checked
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     obstacle
!     check
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmeshcnew(0:*), kmeshnnew(0:*), iinput(*), &
              ipointobstnew(0:*), ielemobstnew(0:*), &
              kmeshmnew(0:*)
      double precision coornew(0:*)

!     coornew       i/o   Array containing the new coordinates of the nodes
!     ielemobstnew   i    New array ielemobst
!     iinput         i    integer input array
!                         See subroutine mshobstms23d
!     ipointobstnew i/o   New array ipointobst
!     kmeshcnew     i/o   New kmesh part c
!     kmeshmnew     i/o   New array kmeshm
!     kmeshnnew     i/o   New array kmeshn
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer lenkmscnew, lenkmsnnew, lenkmsmnew, lencoornew, &
              lenipointobst, lenielemobst

!     lencoornew     Estimated length of array coornew
!     lenielemobst   Computed length of array ielemobst
!     lenipointobst  length of array ipointobst
!     lenkmscnew     Length of array kmshcnew
!     lenkmsmnew     Length of array kmshmnew
!     lenkmsnnew     Length of array kmshnnew
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshobstms04' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshobstms04'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      lenkmsmnew = iinput(7)
      lenkmsnnew = iinput(8)
      lenkmscnew = iinput(12)
      lencoornew = iinput(14)
      lenipointobst = iinput(15)
      lenielemobst = iinput(17)

      kmeshcnew(0) = 10002
      kmeshcnew(lenkmscnew+1) = 10002
      kmeshnnew(0) = 10003
      kmeshnnew(lenkmsnnew+1) = 10003
      coornew(0) = 10006d0
      coornew(lencoornew+1) = 10006d0
      ipointobstnew(0) = 10008
      ipointobstnew(lenipointobst+1) = 10008
      ielemobstnew(0) = 10009
      ielemobstnew(lenielemobst+1) = 10009
      kmeshmnew(0) = 10011
      kmeshmnew(lenkmsmnew+1) = 10011

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshobstms04'

      end if
      call erclos ( 'mshobstms04' )

      end
