      subroutine checkusp ( iuserp, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-06-1993
!
!   copyright (c) 1993-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Print nodal point number of one user point
!   Subroutine is only meant for checking
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     mesh
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iuserp
      character *(*) text

!     iuserp  i    User point number to be printed
!     text    i    text heading to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer list
      double precision dummy

!     dummy   Dummy parameter
!     list    List of user point numbers to be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PR0030  Print information of user points
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,*) text
      if ( iuserp<1 .or. iuserp>nuspnt ) then
         write(irefwr,100) iuserp, nuspnt
100      format(' User point', i5, 'out of range'/ &
                ' Maximal number of user points',i6)
      else
         list = iuserp
         call pr0030 ( 20, kmeshl, dummy, list, 1, ndim, nuspnt )
      end if
      end
