      subroutine er0004 ( vector, kprobf, indprf, npoint, &
                          inunkp, text, compl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  3.3  date 09-06-2010 Change of layout
!        version  3.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  3.1  date 04-04-1990  New type format
!
!   copyright (c) 1984-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print array   nunkp positions in each row; npoint rows
!                   the sequence of the unknowns may be changed
!                   the number of unknowns in a nodal point may be variable
!     layout=4
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character text *(*)
      logical compl
      integer kprobf(*), indprf, npoint, inunkp
      double precision vector(*)

!     compl      i    indication whether the arithmetic is real (false)
!                     or complex (true)
!     indprf     i    indication if kprob part f has been filled (>0) or not (0)
!     inunkp     i    number of elements in a row
!     kprobf     i    KPROB part f: contains the number of unknowns per point
!                     accumulated
!     npoint     i    Number of nodal points
!     text       i    text to be printed in the heading
!     vector     i    array to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, iknpt, iunder, iupper, iuppr1, leng

!     i          Counting variable
!     iknpt      Nodal point number
!     iunder     Lower bound of array
!     iupper     Upper bound of array
!     iuppr1
!     leng       Help variable to compute the length of some arrays
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
  2   format(' vector ',a)
  4   format(i10,2x,8(ss,1pe14.6e2))
  5   format(12x,8(ss,1pe14.6e2))

      write(irefwr,2) text

      iunder=1
      if(compl) then
        leng=2
       else
        leng=1
      end if
      inunkp=leng*inunkp
      do iknpt=1,npoint
         if(indprf>0) inunkp=(kprobf(iknpt+1)-kprobf(iknpt))*leng
         if(inunkp==0) goto 300
         iupper=iunder+inunkp-1
         iuppr1=iupper
         if(iupper>iunder+7) iuppr1=iunder+7
         write(irefwr,4) iknpt,(vector(i),i=iunder,iuppr1)
         if(iuppr1>=iupper) goto 200
         iuppr1=iuppr1+1
         write(irefwr,5) (vector(i),i=iuppr1,iupper)
200      iunder=iupper+1
300   end do
      end
