      subroutine ertran ( usol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 30-11-2012 Long integers
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 29-03-1988
!
!   copyright (c) 1988-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Transform from polar co-ordinates to cartesian co-ordinates
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision usol(*)

!     usol       i    Solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision phi, r, uphi, ur

!     i          Counting variable
!     phi
!     r
!     uphi
!     ur
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1,npoint
         r = coor(1,i)
         phi = coor(2,i)
         coor(1,i) = r * cos(phi)
         coor(2,i) = r * sin(phi)
         ur   = usol ( kprobpi(i,1) )
         uphi = usol ( kprobpi(i+npoint,1) )
         usol ( kprobpi(i,1) ) = cos(phi) * ur - sin(phi) * uphi
         usol ( kprobpi(i+npoint,1) ) = sin(phi) * ur + cos(phi) * uphi
      end do
      end
