      subroutine pr0017 ( amat, irowsip, icolsip, nbound, nusol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 11-11-1996 New definition of intmat
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 04-04-1990 New type format
!        version  1.0  date 27-03-1986
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      print matrix corresponding to boundary conditions
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: irowsip(*), icolsip(*), nbound, nusol
      double precision, intent(in) :: amat(*)

!     amat       i    part of the matrix to be printed
!     icolsip    i    part 2 of array intmat
!     irowsip    i    first part of array intmat
!     nbound     i    Number of essential boundary conditions
!     nusol      i    Total number of unknowns
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: nh, i, jstart, jend, m, j

!     i          Counting variable
!     j          Counting variable
!     jend
!     jstart
!     m
!     nh
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'pr0017' )
      debug = .false. .and. ioutp>=0
     if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from pr0017'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      nh=nusol-nbound
      do 200 i=1,nbound
         jstart=irowsip(i)+1
         jend=irowsip(i+1)
         m=min(jstart+3,jend)
         write(irefwr,110) i+nh,(icolsip(j),amat(j),j=jstart,m)
110      format(1x,i6,':',4(i5,':',ss,1pe12.5e2))
         if(m.lt.jend) write(irefwr,120) &
              (icolsip(j),amat(j),j=m+1,jend)
120      format((8x,4(i5,':',ss,1pe12.5e2)))
200   continue

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End pr0017'

      end if  ! ( debug )
      call erclos ( 'pr0017' )

      end subroutine pr0017
