      subroutine pr0019 ( amat, nel, i )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.3  date 14-11-1996 New memory management
!        version  2.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.1  date 04-04-1990 New type format
!        version  2.0  date 13-06-1986
!
!   copyright (c) 1982-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      print row of complex matrix
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision, intent(in) :: amat(*)
      integer, intent(inout) :: nel, i

!     amat       i    array containing the row of the large matrix, &
!                     from position 1
!     i          i    row number
!     nel        i    number of elements in the row
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nh, j, nel1

!     j          Counting variable
!     nel1       Number of elements to be printed still
!     nh         Upper bound for array to be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nh=nel*2
      if(nh.eq.2) then
         write(irefwr,3) i,(amat(j),j=1,nh)
  3      format(1x,i5,':','(',ss,1pe14.7e2,',',ss,1pe14.7e2,')')
      else
         if(nh.gt.4) nh=4
         write(irefwr,1) i,(amat(j),j=1,nh)
  1      format(1x,i5,':',2('(',ss,1pe14.7e2,',',ss,1pe14.7e2,')'))
         nel1=2*nel
         if(nel1.le.4) return
         if(mod(nel1,4).eq.0) then
            nh=0
         else
            nel1=nel1-2
            nh=2
         end if
         if(nel1.gt.4) write(irefwr,2) (amat(j),j=5,nel1)
  2      format((7x,2('(',ss,1pe14.7e2,',',ss,1pe14.7e2,')')))
         if(nh.eq.0) return
         write(irefwr,4) (amat(j),j=nel1+1,nel1+2)
  4      format((7x,'(',ss,1pe14.7e2,',',ss,1pe14.7e2,')'))
      end if
      end
