      subroutine prinfaceelms ( iface )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 30-11-2012 Long integers
!        version  1.1  date 08-11-2004 Adapt comments
!        version  1.0  date 11-02-2002
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print all elements corresponding to a face
!
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     element
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: iface

!     iface          i    Face number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!
      integer ipstart, i, nelem_face

!     i              Counting variable
!     ipstart        Starting address in array
!     nelem_face     number of elements corresponding to face
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLKMESHAA Fill first part of array KMESH part aa
!     SEPFILLNMESHF  Fill array nmeshf
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Activate array
!     Compute starting address
!     Actual printing
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinfaceelms' )

!     --- Activate array

      if ( kelmaa==0 ) call sepfillkmeshaa
      if ( nmesh(36)==0 ) call sepfillnmeshf

!     --- Actual printing

      ipstart = nmeshf(iface)
      nelem_face = nmeshf(ipstart)
      write ( irefwr,100 ) iface, (nmeshf(ipstart+i), i=1,nelem_face)
100   format ( 'Elements corresponding to face ', i8, ' are'/ &
               (10i8) )

      call erclos ( 'prinfaceelms' )

      end
