      subroutine prinfacenodes ( iface )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 30-11-2012 Long integers
!        version  1.1  date 08-11-2004 Rename subroutine
!        version  1.0  date 11-02-2002
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print all nodes corresponding to a face
!
! **********************************************************************
!
!                       KEYWORDS
!
!     face
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iface

!     iface          i    Face sequence number of face to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipstart, i, nnode_face

!     i              Counting variable
!     ipstart        Starting address in array
!     nnode_face     Number of nodes corresponding to a face
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLKMESHAA Fill first part of array KMESH part aa
!     SEPFILLNMESHG  Fill array nmeshg
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Activate array
!     Compute starting address
!     Actual printing
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinfacenodes' )

!     --- Activate array

      if ( kelmaa==0 ) call sepfillkmeshaa
      if ( nmesh(37)==0 ) call sepfillnmeshg

!     --- Actual printing

      ipstart = nmeshg(iface)
      nnode_face = nmeshg(ipstart)
      write ( irefwr,100 ) iface, (nmeshg(ipstart+i), i=1,nnode_face)
100   format ( 'Nodes corresponding to face ', i8, ' are'/ &
               (10i8) )

      call erclos ( 'prinfacenodes' )

      end
