      subroutine prinin2row ( iarray, n, m, irow,  text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-11-2007
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Auxiliary help subroutine only meant for debugging purposes
!     The task of prinin1row is to print one row of a 2d integer array
!     in the form   seq. number:  m numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(n,m), irow
      character (len=*) text

!    iarray   i  integer array to be printed
!    irow     i  row number to be printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  First index of array
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer j

!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      write(irefwr,110) (iarray(irow,j),j=1,min(m,10))
110   format(i7,':',10i7)
      if ( m>10 ) &
         write(irefwr,120) (iarray(irow,j),j=11,m)
120      format(8x,10i7)

      end
