      subroutine prinkprobpar2
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 12-08-2014 Extra debug
!        version  1.0  date 13-08-2014
!
!   copyright (c) 2014-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print array kprobhsend
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     parallel
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulecomio
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i, istart

!     i              Counting variable
!     istart         First position used at a part
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinkprobpar2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinkprobpar2'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Loop over cpu's

      do i = 1, iacnodes

         write(irefwr,1) 'Node number', i
         istart = kprobhsend(i)
         if ( istart==0 ) exit
         nrusol = kprobhsend(istart)
         call prinin ( kprobhsend(istart+1), nrusol, 'kprobhsend' )

      end do  ! i = 1, iacnodes

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinkprobpar2'

      end if  ! ( debug )
      call erclos ( 'prinkprobpar2' )

      end subroutine prinkprobpar2
