      subroutine prinmap1 ( npoint )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-03-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of the mapping arrays imap and rmap
!
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     mapping_array
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemap
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoint

!     npoint         i    Number of nodal points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ndim, j

!     i              Counting variable
!     j              Counting variable
!     ndim           Dimension of the space.
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, * ) 'mapping array'
      write ( irefwr, * ) 'node number: nodes and factors'
      do i = 1, npoint
         ndim = imap(i,1)
         write(irefwr,100) i,( imap(i,j+1), rmap(i,j), j = 1, ndim )
100      format ( i6, ':', 20 ( i6, d12.3 ) )
      end do

      end
