      subroutine prinnmeshl ( npoint, nmeshl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-05-2013 New call
!        version  1.0  date 20-12-2000
!
!   copyright (c) 2000-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array nmesh part l
!     Edge numbers of edges connected to a node
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoint, nmeshl(*)

!     nmeshl         i    nmesh part m
!     npoint         i    Number of nodal points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, nnode_edge, inode

!     i              Counting variable
!     inode          Node sequence number
!     istart         First position used at a part
!     nnode_edge     number of nodes in edge
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 )
100   format ( ' Edge numbers of the nodes'/ )
      do inode = 1, npoint
         istart = nmeshl(inode)
         nnode_edge = nmeshl(istart)
         write ( irefwr, 110 ) inode, &
            (nmeshl(istart+i), i = 1, nnode_edge )
110      format ( i6,':', 40i7 )
      end do
      end
