      subroutine prinrl_ind ( array, nrow, indrow, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 24-04-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print part of a 1d real array
!     The part printed is given by an index array
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nrow, indrow(*)
      double precision array(*)
      character (len=*) text

!     array          i    double precision array to be printed
!     indrow         i    Array containing the row numbers to be printed
!     nrow           i    Number of rows to be printed
!     text           i    Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinrl_ind' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinrl_ind'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write ( irefwr, 100 ) text
100   format(1x,a)

      write(irefwr,110) (indrow(i),array(indrow(i)),i=1,nrow)
110   format(5(i4,':',ss,1pe12.3e2))

1000  call erclos ( 'prinrl_ind' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinrl_ind'

      end if  ! ( debug )

      end
