      subroutine prinrlnonzero ( array, nusol, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 11-12-2007
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Auxilary help subroutine only meant for debugging purposes.
!     print a real array in the form   seq. number:  number etc.
!     Zero values are skipped
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision array(*)
      integer nusol
      character (len=*) text

!     array          i    double precision array to be printed
!     nusol          i    Number of entries of the integer array to be printed
!     text           i    Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istore(nusol), icount
      double precision store(nusol)

!     i              Counting variable
!     icount         Counter
!     istore         Work array to store the entries corresponding to
!                    the non-zero values
!     store          Work array to store the non-zero values
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Store non-zero entries in istore and store

      icount = 0
      do i = 1, nusol
         if ( abs(array(i))>0d0 ) then

!        --- Non-zero entry found

            icount = icount+1
            istore(icount) = i
            store(icount) = array(i)

         end if
      end do  ! i = 1, nusol

      if ( icount>0 ) then

!     --- icount>0

         write(irefwr,100) text, ( istore(i), store(i), i=1,icount)
100      format(1x,a/(5(1x,i4,':',ss,1pe10.3e2)))

      end if  ! ( icount>0 )

      end
