      subroutine printsepar2file ( mmarray, namefile )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 30-11-2012 Long integers
!        version  1.0  date 27-08-2004
!
!   copyright (c) 2004-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write sepran real array stored in buffer (unformatted) to file named
!     namefile
!     First record is length (integer)
!     Second record array
! **********************************************************************
!
!                       KEYWORDS
!
!     write
!     print
!     file
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer mmarray
      character *(*) namefile

!     mmarray        i    Memory management sequence number of array
!     namefile       i    String variable containing name of the file
!                         to which the result is written
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINTRL2FILE   Write real array of size length (unformatted) to file
!                    named namefile
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'printsepar2file' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from printsepar2file'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      usoltemp => ks(mmarray)%sol
      call printrl2file ( usoltemp, size(usoltemp), namefile )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End printsepar2file'

      end if
      call erclos ( 'printsepar2file' )

      end subroutine printsepar2file
