      subroutine prrota (coor, angdeg, NPOINT)
!************************************************************************
!******
!        version 1.4   date   22-08-1991 Zdenek: no dimension, cdc, ce
!******  Version 1.3
!******
!******  Date: 1 july 87
!******
!******  Last Change: 24 06 88
!******
!******  Prog: Jos van Kan
!******
!************************************************************************
!******
!****** rotate rotates it over angdeg degrees.
!****** it is the equivalent of putting sight lines in coor.
!****** Using rotate before calkey effectively makes calkey calculating
!****** a sortkey with respect to the rotated direction.
!******
!************************************************************************
!******
!****** Parameters
!******
!****** coor          i          nodal coordinates
!******
!****** angdeg        i          (double prec) angle of rotation in degrees
!******
!****** NPOINT        i          Number of nodal POINTs.
!******
!************************************************************************
!******
!****** Local Variables
!******
!****** pi          3.1415....
!******
!****** si, co      sin (phi) and cos(phi) in which phi is rotation angle
!******             in radians
!******
!****** xi, yi      temporary storage of x and y coordinates
!******
!**********************************************************************
!******
      implicit none
      integer  NPOINT
      double precision coor(2,NPOINT), angdeg
      double precision pi, si, co, xi, yi
      integer i
      pi = 4d0 * atan (1d0)
      si = sin (pi * angdeg / 180d0)
      co = cos (pi * angdeg / 180d0)
      do 100 i = 1, NPOINT
         xi = coor ( 1,i )
         yi = coor ( 2,i )
         coor (1, i) = xi * co + yi * si
100      coor (2, i) = -xi * si + yi * co
      return
      end
