      subroutine sepderindex2 ( ikelmc, ipkproba )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 30-12-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      fill index2 with positions of degrees of freedom in element ielem
!      as stored in vector denoted by ivectr
!      for ivectr (ivectr(2)=110,115,116.126)
!      Old subroutine to0038
! **********************************************************************
!
!                       KEYWORDS
!
!     derivative
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulesol
      use sepmodulekprob
      use sepmodulebuild
      use sepmoduleelm
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ikelmc, ipkproba

!     ikelmc         i    Last position in KMESH part c that has been used
!     ipkproba       i    start address in kprob part a for element group
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: ivec

!     ivec           Help variable to store a constant temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPDERINDEX    fill index2 with positions of degrees of freedom in element
!                    ielem as stored in vector denoted by ivectr
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepderindex2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepderindex2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( ks(E%islold(iseqi1))%typevec==115 ) then
         ivec = ks(E%islold(iseqi1))%ivec
         kprobatmp => kprobe(ipkproba:,ivec)
      else
         if ( indpra>0 ) kprobatmp => kproba(ielgrp)%arr
      end if  ! ( ks(E%islold(iseqi1))%typevec==115 )

      posinp = ikelmc
      index25 => index2
      indexh => index4(1,:)
      kprobflc => kprobfi
      call sepderindex ( E%islold(iseqi1), nunkpi, indprfi )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepderindex2'

      end if  ! ( debug )
      call erclos ( 'sepderindex2' )

      end subroutine sepderindex2
