      subroutine to0020c ( nusol, vector, weight )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 16-03-1998
!
!   copyright (c) 1998-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    reduce vector with weight in all degrees of freedom
!    Complex verion
! **********************************************************************
!
!                       KEYWORDS
!
!     derivative
!     average
!     complex
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol
      double precision weight(*)
      double complex vector(*)

!     nusol      i    Total number of unknowns
!     vector    i/o   Contains the output vector to be averaged
!     weight     i    weight vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
       integer i

!     i          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nusol
         if ( weight(i).gt.epsmac ) vector(i)=vector(i)/weight(i)
      end do
      end
