      subroutine to0080 ( xloc, Bmat, b, xstart, ystart, zstart, ndim )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.1   date   91-03-21 adjusted for NDIM = 3
!        version 1.0   date   90-11-14
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   The global coordinates of the point (xloc(1),xloc(2)) are computed
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none
      integer ndim
      double precision b(ndim), Bmat(ndim,ndim), xloc(ndim), xstart, &
       ystart, zstart

!
!     b        i  real vector, the translation vector of the mapping
!
!     Bmat     i  real matrix, the mapping to a reference element
!
!     ndim     i  the dimension of space
!
!     xloc     i  real array, the local coordinates of (xstart,ystart)
!
!     xstart   o  real, the x-coordinate of the point
!
!     ystart   o  real, the y-coordinate of the point
!
!     zstart   o  real, the z-coordinate of the point
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      double precision x(3)

!                                          ^
!     x           real array, containing B x
!
! ********************************************************************
!
!                              METHOD
!     _     ^   _
!     x = B x + b
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!     ELM655    multiplies two matrices and stores the result in the third
!
! ********************************************************************

      call eropen ( 'to0080' )

!                 ^
!     calculate B x

      call elm655 ( Bmat, ndim, ndim, xloc, ndim, 1, x )

!         _
!     add b

      xstart = x(1) + b(1)
      ystart = x(2) + b(2)
      if ( ndim.eq.2 ) then
         zstart = 0d0
      else if ( ndim.eq.3 ) then
         zstart = x(3) + b(3)
      end if

      call erclos ( 'to0080' )

      end
