      subroutine topmaptetra14 ( kmeshc, kmeshcnew, inpelm, inelem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-11-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy elements of shape 14 into new elements of shape 11
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     interpolation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduletypes
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpelm, inelem, kmeshc(inpelm,inelem), kmeshcnew(64,*)

!     inelem         i    Number of elements in a specific element group
!     inpelm         i    number of points per element
!     kmeshc         i    kmesh part c, contains the nodal points
!                         corresponding to the elements
!     kmeshcnew      o    New kmesh part c
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ielem, istart

!     i              Counting variable
!     ielem          Element number
!     istart         Starting address in array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topmaptetra14' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from topmaptetra14'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      istart = ishstr(14)
      do ielem = 1, inelem
         do i = 1, 64
            kmeshcnew(i,ielem) = kmeshc(ishsub(istart+i),ielem)
         end do  ! i = 1, 4
      end do  ! ielem = 1, inelem

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End topmaptetra14'

      end if  ! ( debug )
      call erclos ( 'topmaptetra14' )

      end
