      subroutine topmaptrian4 ( kmeshc, kmeshcnew, inpelm, inelem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-04-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy elements of shape 4, 7 into new elements of shape 3
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     interpolation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduletypes
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpelm, inelem, kmeshc(inpelm,inelem), kmeshcnew(12,*)

!     inelem         i    Number of elements in a specific element group
!     inpelm         i    number of points per element
!     kmeshc         i    kmesh part c, contains the nodal points
!                         corresponding to the elements
!     kmeshcnew      o    New kmesh part c
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer istart

!     istart         First position used at a part
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     PRININ1        print 2d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topmaptrian4' )
      debug = .false.
      istart = ishstr(4)
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from topmaptrian4'
         write(irefwr,1) 'istart', istart
         call prinin ( ishsub(istart+1), 12, 'ishsub' )
         call prinin1 ( kmeshc, 3, 6, 'kmeshc' )
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kmeshcnew(1:12,1:inelem) = &
         kmeshc(ishsub(istart+1:istart+12),1:inelem)

1000  if ( debug ) then

!     --- Debug information

         call prinin1 ( kmeshcnew, 12, 3, 'kmeshcnew' )
         write(irefwr,*) 'End topmaptrian4'

      end if  ! ( debug )
      call erclos ( 'topmaptrian4' )

      end
