      function inipl1(getal)
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.2  date 28-06-1999 Produce nicer numbers
!        version  2.1  date 28-03-1999 Layout
!        version  2.0  date 10-07-1985
!
!   copyright (c) 1983-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      find largest "nice" number larger than getal
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision getal
      integer inipl1

!     getal    i   positive number to be rounded
!     inipl1   o   smallest "nice" number larger than 100*getal
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( getal.lt.0.01d0 ) then
         inipl1 = 0
      else
         inipl1 = int(getal*1d2*(1d0-1d1*epsmac))
         if ( getal*1d2-inipl1.gt.sqreps ) inipl1 = inipl1+1
         if ( inipl1.ne.100*(inipl1/100) ) inipl1=100*(inipl1/100+1)
      end if
      end
