      function inipl2(x)
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.4  date 26-10-2011 Correction x=0
!        version  2.3  date 25-05-2010 Adaptation around 1
!        version  2.2  date 24-06-1999 Use int instead of nint
!
!   copyright (c) 1983-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compute exponent of real number
!
! **********************************************************************
!
!                       KEYWORDS
!
!     exponent
!     number
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision x
      integer inipl2

!     inipl2  o  exponent of x
!     x       i  real number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision b, c

!     b        Help variable to store a constant temporarily
!     c        Help variable to store a constant temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      b=abs(x)
      if ( b<=0d0 ) then
         inipl2 = 1
      else
         c=log10(b*(1d0+sqreps))
         inipl2=int(c)
         if ( c<0 ) then
            if ( abs(10d0**(-inipl2)*b-1d0)>sqreps ) inipl2=int(c)-1
         end if  ! ( c<0 )
      end if  ! ( b<=0d0 )
      end
