      subroutine pl0010(coor,usol,kprobf,ikprbf,coordt, &
           npoint,factor,idgfd1,idgfd2,nunkp)
      implicit double precision (a-h,o-z)
      integer kprobf(*)
      double precision coor(*), usol(*), coordt(*)
!
! ********************************************************************
!
!
!        programmer   guus segal
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   16-02-1986
!
!
!
!   copyright (c) 1985  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!      compute the new co-ordinates of a distorted mesh according to
!      the formula:
!
!         xnew = x + factor * u
!         ynew = y + factor * v
!
! ********************************************************************
!
!                      *  input / output
!
!    coor      i   co-ordinates of the mesh
!
!    usol      i   solution vector
!
!    kprobf    i   kprob part f
!
!    ikprbf    i   indication whether kprobf has been filled (ikprbf>0)
!                  or not (ikprbf<0)
!
!    coordt    o   array containing the co-ordinates of the distorted mesh
!
!    npoint    i   number of nodal points in the mesh
!
!    factor    i   the co-ordinates of the distorted mesh are given by:
!                  xnew = x + factor * u
!                  ynew = y + factor * v
!
!    nunkp     i   maximum number of degrees of freedom in a nodal point
!
!
!    idgfd1,idgfd2  i  the displacement u,v is given by the idegfd1 th and
!                      idgfd2 th degree of freedom in the nodal point
!
! ********************************************************************
!
      inunkp=nunkp
      maxdeg=max(idgfd1,idgfd2)
      do 100 iknpt=1,npoint
         x=coor(2*iknpt-1)
         y=coor(2*iknpt)
         if(ikprbf.gt.0) then
            ipsol=kprobf(iknpt)
            inunkp=kprobf(iknpt+1)-kprobf(iknpt)
         else
            ipsol=(iknpt-1)*inunkp
         end if
         if(inunkp.ge.maxdeg) then
            ipsol1=ipsol+idgfd1
            ipsol2=ipsol+idgfd2
            x=x+factor*usol(ipsol1)
            y=y+factor*usol(ipsol2)
         else
            call ertrap('plotdt',611,12,iknpt,0,0)
         end if
         coordt(2*iknpt-1)=x
         coordt(2*iknpt)=y
100   continue
      end
