      subroutine plaf02 ( getal, charac, i1, nchar )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 07-03-2007 Layout
!        version  2.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.0  date 24-08-1988
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     the number getal is converted to character format and stored in
!     the character charac from position nchar
!     at output the value of nchar is raised
! **********************************************************************
!
!                       KEYWORDS
!
!     plot
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer i1, nchar
      double precision getal
      character (len=80) charac

!     charac        i/o   character of length 80 in which the number to be
!                         converted is stored from position nchar
!     getal          i    number to be converted to character format
!     i1             i    number of digits in getal behind the decimal point
!                         that must be stored in charac
!                         when i1=-1 the number getal is stored as integer
!     nchar         i/o   Number of characters in a word
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i2, ih, nc
      character (len=16) cardrd

!     cardrd         Help quantity to store string
!     i              Counting variable
!     i2             Help variable to store integer
!     ih             Help variable to store a constant temporarily
!     nc             number of significant characters
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'plaf02' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from plaf02'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      if (i1==-1) then

!     --- integer number

         i2=int(getal)
         write (cardrd,10) i2
 10      format (i16)
      else if (i1==0) then

!     --- real number with i1 digits behind the decimal point
!         not more than 6 digits are allowed

         write (cardrd,100) nint(getal)
100      format (i16)
      else if (i1==1) then
         write (cardrd,101) getal
101      format (f16.1)
      else if (i1==2) then
         write (cardrd,102) getal
102      format (f16.2)
      else if (i1==3) then
         write (cardrd,103) getal
103      format (f16.3)
      else if (i1==4) then
         write (cardrd,104) getal
104      format (f16.4)
      else if (i1==5) then
         write (cardrd,105) getal
105      format (f16.5)
      else
         write (cardrd,106) getal
106      format (f16.6)
      end if

!     --- now delete spaces and compute number of characters

      nc=16
      do i=1,15
         if (cardrd(i:i)/=' ') go to 210
         nc=nc-1
      end do  ! i=1,15
210   ih=16-nc
      do i = 1, nc
         charac(i+nchar:i+nchar)=cardrd(ih+i:ih+i)
      end do  ! i = 1, nc
      nchar=nchar+nc

1000  call erclos ( 'plaf02' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End plaf02'

      end if  ! ( debug )

      end
