      subroutine plaf03(getal,charac,i1,nchar,amax)
!
! ********************************************************************
!
!        programmer    Guus Segal
!        modified by   Eef Hartman
!
!        version 3.1     date   17-02-1989  Deletion of superfluous parameters
!        version 3.0     date   24-08-1988
!        modifications:
!        - adapted to implicit none and common documentation
!
!
!   copyright (c) 1986-1989  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!        the number getal is converted to character format and stored in
!        the character charac from position nchar
!
!        depending on the value of getal fixed point format or
!        floating point format is used
!
!        at output the value of nchar is raised
!
! ********************************************************************
!
!                      *  input / output
!
!    getal     i   number to be converted to character format
!
!    charac   i/o  character of length 80 in which the number to be
!                  converted is stored from position nchar
!
!    i1        i   number of digits in getal behind the decimal point
!                  that must be stored in charac
!                  when i1=-1 the number getal is converted to an integer
!
!    nchar    i/o  number of characters that is stored in charac
!
!    amax      i   if the absolute value of the number is larger than
!                  amax or smaller than 1/amax (0 excluded), then
!                  a floating point format is used
!
! ********************************************************************
!
      implicit none
      integer i1, nchar, iexp
      double precision amax, getal, a, f
      character * 80 charac

      if (getal.eq.0 .or. abs(getal).lt.amax.and.abs(getal).gt.1d0/amax) &
         then
!
!     * fixed point format
!
         call plaf02(getal,charac,i1,nchar)
      else
!
!     * floating point format
!
         a=getal
         a=log10(abs(a))
         iexp=a
         f=getal/10d0**iexp
         call plaf02(f,charac,abs(i1),nchar)
         nchar=nchar+1
         charac(nchar:nchar)='E'
         f=iexp
         call plaf02(f,charac,-1,nchar)
      end if
      end
