      subroutine plbc04 ( kmeshc, nelem, funk, w, itria )
! ======================================================================
!
!
!        programmer     Niek Praagman
!        version 1.2    date  20-01-1996 New layout
!        version 1.1    date  22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0    date  10-08-1986
!
!
!   copyright (c) 1986-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!  subroutine to fill array itria. In this array it is indicated
!  whether triangle ielem contains a part of the contour with value w
! ***********************************************************************
!
!                      KEYWORDS
!
!   2d
!   plot_contour
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer kmeshc(3,*), itria(*), nelem
      double precision funk(*), w

!     funk       i    array with function values in the nodes
!     itria      o    array with indicators
!                     if itria(ielem)=1 the contour crosses element
!                     ielem, if itria(ielem)=0 it does not
!     kmeshc     i    kmesh part c, contains the nodal points corresponding
!                     to the elements
!     nelem      i    Number of elements
!     w          i    contour value
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, i1, i2, i3
      double precision f1, f2, f3, ftek, fket

!     f1
!     f2
!     f3
!     fket
!     ftek
!     i          Counting variable
!     i1
!     i2
!     i3
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
!     --- determine values of itria for each element

      do 100 i=1,nelem

         i1=kmeshc(1,i)
         i2=kmeshc(2,i)
         i3=kmeshc(3,i)

         f1=funk(i1)-w
         f1=f1/abs(f1)
         f2=funk(i2)-w
         f2=f2/abs(f2)
         f3=funk(i3)-w
         f3=f3/abs(f3)

         ftek=f1*f2
         fket=f2*f3

         if ( ftek.gt.0d0 .and. fket.gt.0d0 ) then
            itria(i)=0
         else
            itria(i)=1
         end if

100   continue

      end
