      subroutine plbc22(coor,ital,icirc)
! ======================================================================
!
!        programmer    Niek Praagman
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.1  date 16-02-1989 Minor correction
!        version  1.0  date 16-10-1986
!
!   copyright (c) 1986-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     subroutine to consider the length of the spline pieces ; if a
!     piece has length smaller than diagonal/1000 a point is removed .
!     parameters : see subroutine PLBC14
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision coor(*)
      integer ital, icirc

!     coor       i    array of length ndim x npoint containing the co-ordinates
!                     of the nodal points with respect to the global numbering
!     icirc      i    indicator whether curve is open (icirc=0) or
!                     closed (icirc=1)
!     ital       i
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, jtal
      double precision dafst, diag, dx, dy, x1, x2, y1, y2

!     dafst
!     diag
!     dx         length of vector in x-direction
!     dy         length of vector in y-direction
!     i          Counting variable
!     jtal
!     x1         x-coordinate of first point in curve
!     x2         x-coordinate of last point in curve
!     y1         y-coordinate of first point in curve
!     y2         y-coordinate of last point in curve
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      dx=xmax-xmin
      dy=ymax-ymin
      diag=sqrt(dx*dx+dy*dy)*1.d-3

      x1=coor(1)
      y1=coor(2)
      jtal=1

      do 100 i=2,ital
          x2=coor(2*i-1)
          y2=coor(2*i  )
          dx=x2-x1
          dy=y2-y1
          dafst=sqrt(dx*dx+dy*dy)
          if ( dafst.gt.diag ) then
               jtal=jtal+1
               coor(2*jtal-1)=x2
               coor(2*jtal  )=y2
               x1=x2
               y1=y2
          end if

100   continue

      if ( icirc.eq.1 ) then
           x1=coor(1)
           y1=coor(2)
           coor(2*jtal-1)=x1
           coor(2*jtal  )=y1
      end if

      ital=jtal

      end
