      subroutine plbc40( kelem, nelem, line, iline )
! =======================================================================
!
!
!         programmer   niek praagman
!         version 1.1  date   09-11-1994 norms
!         version 1.0  date   13-04-1990
!
!
!
!   copyright (c) 1990-1994 "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Place all sides of quadrilaterals in line array
!
! ***********************************************************************
!
!     KEYWORDS
!
!     quadrilateral
!     line
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kelem(*),nelem,line(*),iline

!     iline    o   number of lines in line array
!
!     kelem    i   element array (quadrilaterals)
!
!     line     o   array containing lines
!
!     nelem    i   number of elements
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS
!
      integer i, i1, i2, i3, i4
!
!     i        loop variable
!     i1       first node
!     i2       second node
!     i3       third node
!     i4       fourth node
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     PSEUDO CODE
!
!     trivial
!
! =======================================================================
!
!     --- Run through all elements and place lines in array line

      iline = 0

      do 100 i = 1 , nelem

          i1 = kelem( 4 * i - 3 )
          i2 = kelem( 4 * i - 2 )
          i3 = kelem( 4 * i - 1 )
          i4 = kelem( 4 * i     )

          iline = iline + 4

          line(2*iline-7) = i1
          line(2*iline-6) = i2
          line(2*iline-5) = i2
          line(2*iline-4) = i3
          line(2*iline-3) = i3
          line(2*iline-2) = i4
          line(2*iline-1) = i4
          line(2*iline  ) = i1

100   continue

      end
