      subroutine plcol0 (color)
! ======================================================================
!
!        programmer    Eef Hartman
!        version  1.3  date 16-05-2003 Layout
!        version  1.2  date 20-04-1999 Inlcude commons
!        version  1.1  date 13-08-1995 Extra stroke in setcolor
!
!   copyright (c) 1994-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Routine to look at color and set it if changed since last call
!   Currently only for PostScript, to be extended for other color devices
! **********************************************************************
!
!                       KEYWORDS
!
!     machine_dependent
!     plot
!     postscript
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemach
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer color

!    color   i   number indicating the type of colour to be used
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      real bweqv

!     bweqv     black&white equivalent of RGB value in table
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if (color.ne.curcol) then

!     --- color has been changed, store new default color

         curcol = color

!        --- now the machine dependant part
!            PostScript, set new default drawing color

         if (posdev(1:2).eq.'ps' .or. posdev(1:2).eq.'pl' .or. &
             posdev(1:2).eq.'pc' .or. posdev(1:2).eq.'pw') then

!           --- color number must be between 1 and ncolor, use default (black)
!               otherwise

            if (color.le.1 .or. color.gt.ncolor) then
               write ( irefps,100) 0.0
100            format (1x,f8.6,' setgray')
            else if (posdev(2:2).eq.'s' .or. posdev(2:2).eq.'l') then

!           --- black & white, average out RBG values

               bweqv = ( colors(1,color) + colors(2,color) + &
                         colors(3,color) ) / 3.0
               write ( irefps, 100 ) bweqv
            else

!           --- real color postscript, use RGB values themselves

               write ( irefps, 110 ) colors(1,color),colors(2,color) &
                                    ,colors(3,color)
110            format (1x,'s',3(1x,f8.6),' setrgbcolor')
            end if
         end if
      end if
      end
