      subroutine plgl1 (xpos, ypos, isymb)
!
! **********************************************************************
!
!    * Subroutine draws marker symbol round coordinates (xpos,ypos) for
!      HP-GL plotter device
!
! **********************************************************************
!
!        routine       plgl1
!        computer      HP9000, running HP-UX
!        programmer    Eef Hartman
!
!        version 1.1     date   16-07-1991 (Change reference number for writing)
!        version 1.0     date   28-02-1990
!
!
!   copyright (c) 1990,1991  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   All rights reserved. No part of this publication may be reproduced,
!   stored in a retrieval system (e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
      use sepmodulemach
      implicit none

!    * arguments
      real xpos, ypos
      integer isymb
!
! **********************************************************************
!
!                           COMMON BLOCKS

! **********************************************************************
!
!                            LOCAL PARAMETERS

      real is1, is2, is3
      integer irefgl

!
!    irefgl     Reference number for HPGL file
!
! **********************************************************************
!
      irefgl = abs(irefpl)+1

!    * first calculate some offsets.
!      these are interrelated: is2 = is1 * sqrt(3) / 2, is3 = is1 / 2

      is1 = 0.1
      is2 = 0.087
      is3 = 0.05

!    * choose right symbol and select routine to draw it
      go to (10, 20, 30, 40, 50, 60, 70, 10, 80, 50), isymb
      return

!    * symbol 1, plus (and plus in symbol 8)
10    write (irefgl,5010) xpos-is1,ypos, xpos+is1,ypos, &
                     xpos,ypos-is1, xpos,ypos+is1
5010  format (2(' pu',f6.2,',',f6.2,'pd',f6.2,',',f6.2),';')
      if (isymb.eq.8) go to 60
      return

!    * symbol 2, star
20    write (irefgl,5020) xpos,ypos-is1, xpos,ypos+is1, &
                     xpos-is2,ypos-is3, xpos+is2,ypos+is3, &
                     xpos-is2,ypos+is3, xpos+is2,ypos-is3
5020  format (3(' pu',f6.2,',',f6.2,'pd',f6.2,',',f6.2),';')
      return

!    * symbol 3, hexagon
30    write (irefgl,5030) xpos,ypos-is1, xpos-is2,ypos-is3, &
                     xpos-is2,ypos+is3, xpos,ypos+is1, &
                     xpos+is2,ypos+is3, xpos+is2,ypos-is3,xpos,ypos-is1
5030  format (' pu',f6.2,',',f6.2,6('pd',f6.2,',',f6.2),';')
      return

!    * symbol 4, cross
40    write (irefgl,5010) xpos-is1,ypos-is1, xpos+is1,ypos+is1, &
                     xpos-is1,ypos+is1, xpos+is1,ypos-is1
      return

!    * symbol 5, triangle (and first triangle of symbol 10)
50    write (irefgl,5050) xpos,ypos+is1, xpos-is2,ypos-is3, &
                     xpos+is2,ypos-is3, xpos,ypos+is1
5050  format (' pu',f6.2,',',f6.2,3('pd',f6.2,',',f6.2),';')
      if (isymb.eq.10) go to 80
      return

!    * symbol 6, square (and second part of symbol 8)
60    write (irefgl,5060) xpos-is1,ypos-is1, xpos+is1,ypos-is1, &
                     xpos+is1,ypos+is1, xpos-is1,ypos+is1, &
                     xpos-is1,ypos-is1
5060  format (' pu',f6.2,',',f6.2,4('pd',f6.2,',',f6.2),';')
      return

!    * symbol 7, diamond
70    write (irefgl,5060) xpos-is1,ypos, xpos,ypos-is1, &
                     xpos+is1,ypos, xpos,ypos+is1, xpos-is1,ypos
      return

!    * symbol 9, delta (and second triangle of symbol 10)
80    write (irefgl,5050) xpos,ypos-is1, xpos-is2,ypos+is3, &
                     xpos+is2,ypos+is3, xpos,ypos-is1
      return

      end
