      subroutine pllegn ( height )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.4  date 29-08-2002 Plot text along axis
!        version  1.3  date 28-12-1991 Angle deleted
!        version  1.2  date 08-08-1991 Text shifted
!
!   copyright (c) 1990-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Plot subroutine to plot text at the bottom of the plot
!     as well as axis if necessary
!     Help subroutine for subroutine SEPPS1 (SEPPOST)
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepost
      use sepmodulecons
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision height

!    height    i   Height of the text in cm's
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ntextl

!    ntextl    Number of characters in text
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PLAFP7    Plot text (low level subroutine)
!     PLSCLS    Subroutine to plot scales and axis at a picture
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Plot bottom text

      ntextl = len_trim (textid(1))
      call plafp7 ( 1d0, 0.25d0, textid(1), 0d0, height, ntextl )

!     --- PLot axis if necessary

      if ( iinputpst(40)>=1 ) then
         if(kiesx==-1) then
            axmin=xmin-0.5d0*xfct
            axmax=xmax+0.5d0*xfct
         end if
         if(kiesy==-1) then
            aymin=ymin-0.5d0*yfct
            aymax=ymax+0.5d0*yfct
         end if
         call plscls( 1, 1 )
      end if

      end
