      subroutine plt302(npoint,nunkp,kprbf,kprobf, &
                        amag,usol,compl,number,ispec)
      implicit double precision (a-h,o-z)
      integer kprobf(*)
      double precision amag(*), usol(*)
      logical compl
! *******************************************************************
! * &
! *   subroutine to create an array of npoint positions with the
! *   function values in the nodal points of the number'th component
! *   of array isol .
! * &
! ********************************************************************
!
!        programmer   niek praagman
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   30-08-1985
!
!
!
!   copyright (c) 1985  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ************************************************************************
! * &
! *   meaning of parameters
! * &
! *   npoint        (i)     :  number of nodal points in mesh
! *   nunkp         (i)     :  maximal number of degrees of freedom
! *                            in a nodal point
! *   kprbf         (i)     :  indication whether kprobf is used or not
! *   kprobf        (i)     :  array containing number of degrees of
! *                            freedom in all nodal points when not
! *                            constant .
! *   kprbh         (i)     :  indication whether renumbering has
! *                            been performed or not .
! *   kprobh        (i)     :  array containing the new numbering if
! *                            renumbering has been performed .
! *   amag          (o)     :  array to be filled with magnitudes
! *                            of function to be plotted .
! *   usol          (i)     :  solution vector to be plotted .
! *   compl         (i)     :  indicator whether usol is complex
! *                            or real .
! *   number        (i)     :  the number'th component of usol has
! *                            to be put in amag .
! *   ispec         (o)     :  indicator whether in all nodal points
! *                            or only in the vertices values are given
! * &
! ********************************************************************
      nh=number
      if (compl) then
          nh=(nh+1)/2
          nh1=nh-number/2
      end if
      ispec=0
! * &
! * &
      do 100 iknpt=1,npoint
! * &
          if (kprbf.eq.0) then
              inusol=(iknpt-1)*nunkp+nh
          else
              inusol=kprobf(iknpt)+nh
              if (inusol.gt.kprobf(iknpt+1)) then
                  ispec=1
                  goto 100
              end if
          end if
! * &
          if (compl) inusol=2*inusol-nh1
! * &
          amag(iknpt)=usol(inusol)
! * &
100   continue
! * &
      end
