      subroutine plt352(ivis,tst,ten,view,iview)
      implicit double precision (a-h,o-z)
      double precision view(*)
! * &
! ***********************************************************************
! *                                                                     * &
! *   Subroutine to cancel parts of segment ( 0,1 ) in t-coordinate     * &
! *   which are not seen.                                               * &
! *                                                                     * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer     Niek Praagman                                  * &
!                                                                       * &
!         version 2.4    date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 2.3    date  06-03-1990  extra test tst < ten )        * &
!         version 2.2    date  08-09-1989  small changes)                * &
!         version 2.1    date  17-02-1989  Deletion of superfl. parms)   * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1987,1990  "Ingenieursbureau SEPRA"                   * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "Ingenieursbureau SEPRA".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *   Meaning of parameters :                                           * &
! *                                                                     * &
! *   ivis        (i,o)  : indicator which situation is present         * &
! *                        ivis = 0 : start, set array view             * &
! *                        ivis = 1 : whole line is visible, do nothing * &
! *                        ivis = 2 : nothing visible, do nothing       * &
! *                        ivis = 3 : part (tst,ten) is visible         * &
! *                        ivis = 4 : part (tst,ten) is not visible     * &
! *   (tst,ten)    (i)   : see ivis = 3,4                               * &
! *   view        (i,o)  : array with the visible parts of the line     * &
! *   iview       (i,o)  : number of visible parts in view              * &
! *                                                                     * &
! ***********************************************************************
! * &
      if ( ivis.eq.0 ) then
! * &
           do 100 i=1,20
               view(i) = 0.d0
100        continue
! * &
           view(2) = 1.d0
           iview   = 1
           return
      end if
! * &
      if ( ivis.eq.3 ) then
! * &
           if ( ten.le.tst ) return
! * &
           if ( tst.gt.0 ) then
! * &
                call plt359(0.d0,tst,view,iview)
! * &
           else if ( ten.lt.1.d0 ) then
! * &
                call plt359(ten,1.d0,view,iview)
! * &
           end if
! * &
      end if
! * &
      if ( ivis.eq.4 ) call plt359(tst,ten,view,iview)
! * &
      total = 0.d0
! * &
      do 200 i=1,iview
          ta    = view(2*i-1)
          tb    = view(2*i  )
          total = total + tb - ta
200   continue
! * &
      if ( total.lt.1.d-4 ) ivis = 2
! * &
      end
