      subroutine plt357(xp,xq,yp,yq,xa,xb,ya,yb,t)
! ======================================================================
!
!        programmer    niek praagman
!        version  1.0  date 27-06-1987
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Subroutine to compute the t-value of the intersection point of the
!     A - B   and  P - Q .
!    Parameter t is used for line  A - B :  a + t * ( b - a )
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision t, xa, xb, xp, xq, ya, yb, yp, yq

!     t          o    see description
!     xa         i    x-coordinate A
!     xb         i    x-coordinate B
!     xp         i    x-coordinate P
!     xq         i    x-coordinate Q
!     ya         i    y-coordinate A
!     yb         i    y-coordinate B
!     yp         i    y-coordinate P
!     yq         i    y-coordinate Q
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision above, below, eps

!     above
!     below
!     eps        Local accuracy
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      eps  =  epsmac

      above  = xp*yq - xq*yp + (yp-yq)*xa+(xq-xp)*ya
      below  = (yq-yp)*(xb-xa) + (xp-xq)*(yb-ya)

      if ( abs(below).lt.eps ) then

           t      = 1000d0
      else
           t      = above / below

      end if

      end
