      subroutine plt359(tst,ten,view,iview)
! ======================================================================
!
!        programmer    niek praagman
!        version  1.1  date 23-05-1990  erase small extra parts
!        version  1.0  date 27-06-1987
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Subroutine to place interval (tst,ten), which is not visible, in
!   array view.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision tst, ten, view(*)
      integer iview

!     iview    i/o    number of intervals in array view
!     ten       i     interval which is not visible
!     tst       i     interval which is not visible
!     view     i/o    visibility array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer igeval, i, jv, j
      double precision ta, tb, epsext

!     epsext
!     i          Counting variable
!     igeval
!     j          Counting variable
!     jv         Indicates if the view point has been filled (1) or not (0)
!     ta
!     tb
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PLT360    determine which relation intervals ( tst,ten ) and
!               ( ta,tb ) have to each other
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      jv = 0

      do 10 i = 1 , iview

          ta = view(2*i-1)
          tb = view(2*i  )

          if ( tb - ta.gt.1d-4 ) then

               jv = jv + 1

               view(2*jv-1) = ta
               view(2*jv  ) = tb

          end if

10    continue

      iview = jv

      epsext = 1d3 * epsmac

      do 100 i=1,iview
          ta = view(2*i-1)
          tb = view(2*i  )
          call plt360(tst,ten,ta,tb,igeval)

          if ( igeval.eq.1 ) then
               iview = iview + 1
               do 50 j=iview,i+2,-1
                   view(2*j-1) = view(2*j-3)
                   view(2*j  ) = view(2*j-2)
50             continue

               view(2*i-1) = ta
               view(2*i  ) = tst - epsext
               view(2*i+1) = ten + epsext
               view(2*i+2) = tb
               return
          end if
          if ( igeval.eq.2 ) then
               view(2*i-1) = ta
               view(2*i  ) = tst - epsext
          end if
          if ( igeval.eq.3 ) then
               view(2*i-1) = ten + epsext
               view(2*i  ) = tb
               return
          end if
          if ( igeval.eq.4 ) then
               view(2*i  ) = ta
          end if
          if ( igeval.eq.6 ) return

100   continue

      end
