      subroutine pltjcm ( coor, npoint, cmin, cmax, icvalu )
! ======================================================================
!
!
!        programmer     Jos van Kan
!        version 1.0    date   20-01-1995
!
!
!
!   copyright (c) 1995-1995 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!       pltjcm finds the maximum & minimum value in array coor of the x- or y- &
!       coordinate depending on icvalu (1 or 2).
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer npoint, icvalu
      double precision coor (2, npoint), cmax, cmin

!     cmax    o    maximum coordinate
!     cmin    o    minimum coordinate
!     coor    i    array of coordinates
!     icvalu  i    coordinate  (1 = x, 2 = y)
!     npoint  i    number of nodal points in coor
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                      LOCAL PARAMETERS
!
      integer ipoint

!     ipoint  Array of length nparts+1 containing the starting addresses
!             in array inodes of the various parts the boundary consists
!             of.
!             ipoint(1) = 1, &
!             number of nodes at part i = ipoint(i+1)-ipoint(i)
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
! ********************************************************************
!
!                      I/O
!
! ********************************************************************
!
!                      ERROR MESSAGES
!
! ********************************************************************
!
!                      PSEUDO CODE
!
!   trivial
! ======================================================================
!
      cmin = coor (icvalu, 1)
      cmax = coor (icvalu, 1)
      do 100 ipoint = 1, npoint
         if (coor (icvalu, ipoint).gt.cmax) cmax = coor (icvalu, &
            ipoint)
         if (coor (icvalu, ipoint).lt.cmin) cmin = coor (icvalu, &
            ipoint)
100   continue
      end
