      subroutine pltjdc ( hptr, nptr, optr )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjdc changes the 'decrement register' of the cell at
!       hptr, effectively changing the pointer to the next cell
!       nptr is the new cell pointer, optr the old cell pointer
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer hptr, nptr, optr

!     hptr    i    celnumber to be changed
!     nptr    i    new pointer to next HEADER
!     optr    i    auxiliary variable to temporarily store a pointer
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjcd

!     ERCLOS
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJCD  To find cellpointer to next cell
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1267   Trying to change dec register of atom
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjdc')
      if (hptr.eq.nil) then
        call errsub (1267, 0, 0, 0)

!       --- Error : Trying to change dec register of atom

        goto 99999

      end if
      optr = pltjcd (hptr)
      dcrg (hptr) = nptr
99999 continue
      call erclos ('pltjdc')
      end
