      subroutine pltjen ( frstcl, lastcl )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjen finds the end of a segment starting at frstcl
!       last cell number in lastcl
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer lastcl, frstcl

!     frstcl  i    starting cell number
!     lastcl  o    ending cell number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjcd

!     ERCLOS
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJCD  To find cellpointer to next cell
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1268   pltjrm called with Empty segment.
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjen')
      lastcl = frstcl
      if (frstcl.eq.nil) then
         call errsub (1268, 0, 0, 0)

!        --- Error: pltjen called with empty list.

         goto 99999

!        --- Signify fatal error and exit

      end if

!     --- while {.not. end-of-segment}
!            get next cell
!         endwhile

95    if (pltjcd (lastcl).eq.nil) goto 100
      lastcl = pltjcd (lastcl)
      goto 95
100   continue
99999 continue
      call erclos ('pltjen')
      end
