      subroutine pltjex ( nextra, kextra, iseg, stend, icint, at )
! ======================================================================
!
!
!        programmer     Jos van Kan
!        version 1.0    date   20-01-1995
!
!
!
!   copyright (c) 1995-1995 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!       Auxiliary subroutine to pltjan (see description)
!       nextra & kextra get filled according to description in analyse
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer nextra (2, *), kextra (2, 2, *), iseg, stend, icint, at

!     at      i    index denotin at what level extra point must be added
!                   (-1, 0, or 1)
!     icint   i    index to xcint & zcint (see analys)
!     iseg    i    last index to nextra & kextra
!     kextra  i/o    see analys
!     nextra  i/o    see analys
!     stend   i    index denoting start (1) or end (2) of segment
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                      LOCAL PARAMETERS
!
! ********************************************************************
!
!                      SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRINT  Put integer in error message
!     ERRSUB  Error messages
! ********************************************************************
!
!                      I/O
!
! ********************************************************************
!
!                      ERROR MESSAGES
!
!    1261   ?
!    1262   empty plotlist.
! ********************************************************************
!
!                      PSEUDO CODE
!
!   trivial
! ======================================================================
!
      call eropen ('pltjex')
      if (mod (nextra (stend, iseg), 10).eq.0) then

!       generic case. this point has no extra point so far

         nextra (stend, iseg) = nextra (stend, iseg) + 1
         kextra (stend, 1, iseg) = icint
         kextra (stend, 2, iseg) = at
      else if (mod (nextra (stend, iseg) ,10).eq.1) then
         if (kextra (stend, 2, iseg).eq.at) then

!       two extra points of the same type
!       this may only happen if at = 0

            if (at.ne.0) then
!       ERROR
               call errint (iseg, 1)
               call errint (at, 2)
               call errsub (1261, 2, 0, 0)
            else
!       Nothing has to be done
               goto 9999
!       9999: return point
            end if
         else if (kextra (stend, 2, iseg).gt.at) then
            nextra (stend, iseg) = 5 + kextra (stend, 2, iseg) + 3 * at
            kextra (stend, 2, iseg) = icint
         else
            nextra (stend, iseg) = 5 + at + 3 * kextra (stend, 2, iseg)
            kextra (stend, 2, iseg) = kextra (stend, 1, iseg)
            kextra (stend, 1, iseg) = icint
         end if

!       By this coding the high extra point always is in kextra (*,1,*)
!       and the low extra point in kextra (*, 2, *)

      else

!       ERROR 2: this point already has two extra points

         call errsub (1262, 0, 0, 0)
      end if
9999  continue
      call erclos ('pltjex')
      end
