      subroutine er0006 ( usol, iu1, u1, compl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.1  date 05-12-2012 Fortran90
!        version  5.0  date 27-11-1992 Removal of iu2 and u2
!        version  4.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     actual filling of function in vector
!     this subroutine is called by fillvc
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      logical compl
      integer iu1(*)
      double precision usol(*), u1(*)

!     compl          i    indication whether the arithmetic is real (false)
!                         or complex (true)
!     iu1            i    see creavc
!     u1             i    see creavc
!     usol           o    Solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i2, ih, iknpt, inunkp, inusol, jnusol, k
      double precision value, x, y, z

!     i              Counting variable
!     i2
!     ih             Help variable to store a constant temporarily
!     iknpt          Nodal point number
!     inunkp         Number of degrees of freedom in point
!     inusol         Position of unknown in array USOL
!     jnusol         Position of unknown in array USOL
!     k              Counting variable
!     value
!     x              x co-ordinate of point
!     y              y co-ordinate of point
!     z              z co-ordinate of point
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      double precision func

!     FUNC           Computes the value of the vector in a point as function of
!                    the co-ordinates
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!

      inunkp=nunkpo
      if (indprpo>0) inunkp=nphyso
      ih=0
      do iknpt=1,npoint
         x=coor(1,iknpt)
         if ( ndim>1 ) y=coor(2,iknpt)
         if ( ndim>2 ) z=coor(3,iknpt)
         if(indprpo==0) then

            if (indprfo==0) then

!           --- indprfo = 0   constant number of unknowns

                inusol=(iknpt-1)*inunkp

            else

!           --- indprfo>0    number of unknowns not constant

               inusol=kprobfo(iknpt)
               inunkp=kprobfo(iknpt+1)-inusol
            end if  ! (indprfo==0)
         end if  ! (indprpo==0)
         do i=1,inunkp
            if (indprpo>0) then
               jnusol=kprobpo(iknpt,i)
               if (jnusol<=0 ) goto 190
            else
               jnusol=inusol+i
            end if
            if(compl) goto 150
            if ( iu1(i)<0 ) go to 190
            if(iu1(i)>0) goto 120

!           --- iu1(i) = 0

              value=u1(i)
              goto 130

!             --- iu1(i)>0

120           value=func(iu1(i),x,y,z)
130         usol(jnusol)=value
            goto 190

!           --- complex = true   complex arithmetic

150         i2=2*(i-1)
            jnusol=2*(jnusol-1)
            do k=1,2
               if ( iu1(i2+k)<0 ) go to 180
               if(iu1(i2+k)>0) goto 160

!              --- iu1(i2+k) = 0

                 value=u1(i2+k)
                 goto 170

!                --- iu1(i2+k)>0

160              value=func(iu1(i2+k),x,y,z)
170            usol(jnusol+k)=value
180          end do
190       end do
         ih=ih+ndim
      end do
      end
