      subroutine sepfilloverrl
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-03-2016
!
!   solyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to soly or distribute this software or documentation
!   in hard soly or soft soly granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photosoly,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill parameters from inpsol and rinsol into sepmodulesolve
!     Special case: overrelaxation
! **********************************************************************
!
!                       KEYWORDS
!
!     linear
!     linear_solver
!     solve
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons
      use sepmodulesolve
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfilloverrl' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfilloverrl'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( inpsol(15,1)/=0 ) niter1 = inpsol(15,1)
      if ( inpsol(16,1)/=0 ) niter2 = inpsol(16,1)
      if ( inpsol(15,1)==-3 ) niter1 = 0
      if ( rinsol(3,1)>0d0 ) alpha = rinsol(3,1)
      if ( rinsol(4,1)>0d0 ) beta  = rinsol(4,1)
      if ( rinsol(5,1)>0d0 ) omega = rinsol(5,1)
      if ( rinsol(6,1)>0d0 ) alam  = rinsol(6,1)

   !   epsacc = rinsol(1,1)
   !   if ( inpsol(11,1)==2 ) epsacc = -epsacc

1000  call erclos ( 'sepfilloverrl' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfilloverrl'

      end if  ! ( debug )

      end subroutine sepfilloverrl
