      subroutine sepfillsmf1 ( islold, numold )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 22-12-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill part of input for subroutine SEPBUILD in SMF
!
! **********************************************************************
!
!                       KEYWORDS
!
!     right_hand_side
!     stiffness_matrix
!     derivative
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulesmf
      use sepmodulekprob
      use sepmodulemain
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, target :: islold(*)
      integer, intent(in) :: numold


!     SMF            o    Contains all input for subroutine SEPBUILD
!     islold         i    User input array in which the user puts information
!                         of all preceding solutions
!                         Integer array of length 5 x numold
!     numold         i    Number of vectors that are stored in islold
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillsmf1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillsmf1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      SMF%islold => islold(1:numold)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillsmf1'

      end if  ! ( debug )
      call erclos ( 'sepfillsmf1' )

      end subroutine sepfillsmf1
