      subroutine sepnullifyelm
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-01-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Nullify all pointers associated with E
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepnullifyelm' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepnullifyelm'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      nullify ( E%mat, E%matshift, E%vec, E%wvec, E%mmat, E%coor )
      nullify ( E%user, E%coeffs, E%coeffsnode, E%coeffcp, E%veloc )
      nullify ( E%gamma, E%uvel, E%difftensor, E%diffvec, E%rho )
      nullify ( E%ugauss, E%ielvec, E%iuser, E%nodes, E%islold )
      nullify ( E%ich, E%ind, E%ist, E%mst, E%ivecnums )
      nullify ( E%ccoeffs, E%ccoeffsnode )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepnullifyelm'

      end if  ! ( debug )
      call erclos ( 'sepnullifyelm' )

      end subroutine sepnullifyelm
