      subroutine prcopyctimen ( iincop, rincop )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 26-01-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy contents of ctimen into iincop and rincop
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     time_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iincop(8)
      double precision rincop(10)

!     iincop         o    Copy of integer part of ctimen
!     rincop         o    Copy of real part of ctimen
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prcopyctimen' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prcopyctimen'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      rincop(1) = t
      rincop(2) = tout
      rincop(3) = tstep
      rincop(4) = tend
      rincop(5) = t0
      rincop(6) = theta
      rincop(7) = toutinit
      rincop(8) = toutend
      rincop(9) = toutstep
      rincop(10) = toutnext
      iincop(1) = iflag
      iincop(2) = icons
      iincop(3) = itimdep
      iincop(4) = itimloop
      iincop(5) = ioutact
      iincop(6) = itiminterval
      iincop(7) = icalltim
      iincop(8) = maxcalltim

1000  call erclos ( 'prcopyctimen' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prcopyctimen'

      end if  ! ( debug )

      end
