      subroutine prsavectimen
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-06-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Save the parameters in ctimen
!
! **********************************************************************
!
!                       KEYWORDS
!
!     timing
!     reset
!     time_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      integer inttimsav
      double precision realtimsav
      common /ctimensav/ realtimsav(10), inttimsav(8)
      save /ctimensav/

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsavectimen' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsavectimen'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      realtimsav(1) = t
      realtimsav(2) = tout
      realtimsav(3) = tstep
      realtimsav(4) = tend
      realtimsav(5) = t0
      realtimsav(6) = theta
      realtimsav(7) = toutinit
      realtimsav(8) = toutend
      realtimsav(9) = toutstep
      realtimsav(10) = toutnext
      inttimsav(1) = iflag
      inttimsav(2) = icons
      inttimsav(3) = itimdep
      inttimsav(4) = itimloop
      inttimsav(5) = ioutact
      inttimsav(6) = itiminterval
      inttimsav(7) = icalltim
      inttimsav(8) = maxcalltim

1000  call erclos ( 'prsavectimen' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsavectimen'

      end if  ! ( debug )

      end
