      subroutine prupev ( iter, lambda, alpha, ntrunk )
! ======================================================================
!
!        programmer    Rik Kaasschieter
!        version  2.0  date 12-02-1997 Extra parameter ntrunk
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 06-02-1991
!
!   copyright (c) 1991-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Estimate eigenvalue of matrix by Lanczos method
!     Information produced by prcg
! **********************************************************************
!
!                       KEYWORDS
!
!     eigenvalue
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ntrunk, iter
      double precision lambda, alpha(ntrunk,2)

!     alpha      i    array of ntrunk x 2 containing the factors alpha
!     iter       i    iteration level
!     lambda     i    estimate of eigenvalue
!     ntrunk     o    Maximal number of iterations used to estimate lambda
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision zz, xx, yy

!     xx
!     yy
!     zz
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      logical prcg17

!     PRCG17
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( iter.eq.1 ) then
         lambda = 1d0 / alpha ( 1,1 )
      else
         zz=lambda
         if (prcg17(iter,alpha(1,1),alpha(1,2),zz)) then
            lambda=zz
         else
            yy=0d0
   21       if (zz-yy.gt.1d-2*yy) then
               xx=(yy+zz)/2
               if (prcg17(iter,alpha,alpha(1,2),xx)) then
                  yy=xx
               else
                  zz=xx
               end if
               go to 21
            end if
            lambda=xx
         end if
      end if
      end
