      subroutine septimefr02
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-11-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Adapt time parameters at end of time step for septimefr
!     Old subroutine prtimefr02
! **********************************************************************
!
!                       KEYWORDS
!
!     time_dependent
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'septimefr02' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from septimefr02'
         write(irefwr,2) 't, tout, toutnext, toutstep/1', &
                          t, tout, toutnext, toutstep
  1      format ( a, 1x, (10i6) )
  2      format ( a, 1x, (5d12.4) )

      end if
      if ( ierror/=0 ) go to 1000

      if ( keeptim<=1 .or. nocomputationtim ) then

!     --- Not reuse time parameters

         ioutact = 0

         if ( toutnext-sqreps*tend<t ) then
            ioutact = 1
200         toutnext = toutnext+toutstep
            if ( toutnext-sqreps>toutend ) toutnext = tend + 1d3
            if ( toutnext+sqreps<t .and. toutnext+sqreps<toutend ) &
               go to 200
         end if  ! ( toutnext-sqreps<t )

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'ioutact', ioutact
         write(irefwr,2) 't, tout, toutnext, toutstep/2', &
                          t, tout, toutnext, toutstep
         write(irefwr,*) 'End septimefr02'

      end if
      call erclos ( 'septimefr02' )

      end
