      function inibit ( idf, icount )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 12-06-2002 Layout
!        version  1.2  date 02-01-1992 New type of error messages
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 10-01-1983
!
!   copyright (c) 1983-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    give inibit the value of the bit pattern indicated by idf
!
! **********************************************************************
!
!                       KEYWORDS
!
!     bit_pattern
!     compress
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer idf(*), inibit, icount

!     icount         i    Length of array idf
!     idf            i    array containing the degrees of freedom that are
!                         prescribed
!     inibit         o    Computed bit pattern
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ih, j, ihelp(20)

!     i              Counting variable
!     ih             Help variable to store a constant temporarily
!     ihelp          integer work array of length 20, containing pwoers of 2
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     171   wrong degree of freedom prescribed
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
      data ihelp /1, 2, 4, 8, 16,  32, 64 , 128, 256, 512, &
           1024, 2048, 4096, 8192, 16384, 32768, 65536, 131072, 262144, &
           524288/
! ======================================================================
!
      if ( icount.eq.0 ) then

!     --- icount = 0

        inibit=0

      else

!     --- icount > 0

         ih=0
         do i = 1, icount
            j = idf(i)
            if ( j.le.0 .or. j.gt.20 ) then
              call eropen ( 'inibit' )
              call errint ( j, 1 )
              call errsub ( 171, 1, 0, 0 )
              call erclos ( 'inibit' )
            end if
            ih=ih+ihelp(j)
         end do
         inibit=ih

      end if

      end
