      subroutine prob05skip ( iskippoint )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 13-10-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill KPROB part g with information concerning the essential boundary
!     for skip elements
! **********************************************************************
!
!                       KEYWORDS
!
!     boundary_condition
!     essential
!     problem_definition
!     skip
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iskippoint(*)

!     iskippoint     i    Array of length nskip+1 containing the points to
!                         be skipped
!                         Position 1 contains nskip (number of points to be
!                                    skipped
!                         The next positions contain the node numbers to be
!                         skipped
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ibit2, nskip, i

!     i              Counting variable
!     ibit2          Maximal bit pattern
!     nskip          Number of points that must be skipped
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inibt0

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INIBT0         Compute bit pattern
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prob05skip' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prob05skip'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      ibit2  = inibt0(nunkp)

      nskip = iskippoint(1)
      do i = 1, nskip
         nkbnd = nkbnd+1
         kprobg(1,nkbnd) = iskippoint(i+1)
         kprobg(2,nkbnd) = ibit2
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prob05skip'

      end if  ! ( debug )
      call erclos ( 'prob05skip' )

      end
