      subroutine sepfa01
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  1.0  date 10-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     creates the faces part 1 pointers and initialization
!     Old subroutine topfa01
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
!     face
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipa, ielgrp, ielem

!     ielem          Element number
!     ielgrp         element group number
!     ipa            pointer in kmeshaaa
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     TOPFA011       Create the pointers for nmesha for one specific element
!                    group
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ipa = nelem + 1
      ielem = 0

!     --- Loop over element groups

      do ielgrp = 1, nelgrp

!     --- Fetch number of elements in this group (inelem)
!               number of faces per element (nfapel)
!               element type (ishape)

         inelem = Topgrp(ielgrp)%inelem
         nfapel = sepgetnfapel(ielgrp)
         if ( nfapel==-1 ) nfapel = 0

!        --- Loop over the elements in this group

         call topfa011 ( nmesha, inelem, ielem, ipa, nfapel )

      end do

      length = ipa - 1
      end
