      subroutine sepfillelobs
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Fill array elemobst for each element with a 1 when the element is
!    external, a 3 when it is internal and a 2 when it intersects the boundary
!    Old subroutine mshfillelobs
! **********************************************************************
!
!                       KEYWORDS
!
!     3d
!     element
!     obstacle
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i, iobst, numinelmobst, istart, numbnelmobst

!     i              Counting variable
!     iobst          Obstacle sequence number
!     istart         First position used at a part
!     numbnelmobst   Number of elements that are partly within the obstacle
!     numinelmobst   Number of elements that are completely within the obstacle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Clear array elemobst

      elemobst(1:nelem) = 1

      do iobst = 1, numobst

!     --- Fill array elemobst

         istart = ielemobst(iobst)
         numinelmobst = ielemobst(istart)+ielemobst(istart+1)
         numbnelmobst = ielemobst(istart+2)
         istart = istart+2
         do i = 1, numinelmobst
            elemobst(ielemobst(istart+i)) = 3
         end do
         istart = istart+numinelmobst
         do i = 1, numbnelmobst
            elemobst(ielemobst(istart+i)) = 2
         end do

      end do

      end
