      subroutine topfa011 ( nmesha, inelem, ielem, ipa, nfapel )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  1.0  date 06-05-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   creates the faces part 1 pointers and initialization for one specific
!   element group
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
!     face
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nmesha(*), ielem, inelem, ipa, nfapel

!     ielem         i/o   Element number
!                         At input last one used
!                         At output last one used
!     inelem         i    Number of elements in a specific element group
!     ipa           i/o   pointer in nmesha
!     nfapel         i    number of faces in one element
!     nmesha         o    nmesh part a
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer irelem, iface

!     iface          Face sequence number
!     irelem         Relative element sequence number with respect to
!                    element group
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Loop over the elements in this group

      do irelem = 1, inelem
         ielem = ielem + 1

!        --- Set pointer to second part of nmesha

         nmesha( ielem ) = ipa

!        --- Initialize second part of nmesha

         nmesha(ipa) = nfapel*2
         do iface = 1, nfapel
            nmesha( ipa + iface ) = 0
            nmesha( ipa + nfapel + iface ) = 0
         end do

!        --- Update pointer ipa

         ipa = ipa + 2*nfapel + 1
      end do

      end
