      subroutine topfaces01 ( nmesha, length, nelem, nfapel )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-05-2002
!
!   copyright (c) 1998-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   creates the faces part 1 pointers and initialization
!   In this case it concerns one specific volume
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
!     face
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nmesha(*), length, nelem, nfapel

!     length        i/o   input: declared length of nmesha
!                         output: actual length of nmesha
!     nelem          i    Number of elements
!     nfapel         i    number of faces in one element
!     nmesha         o    nmesh part a
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipa, ielem

!     ielem          Element number
!     ipa            pointer in kmeshaaa
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     TOPFA012       Create the pointers for nmesha for one specific element
!                    group
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      ipa = nelem + 1
      ielem = 0
      call topfa012 ( nmesha, nelem, ielem, ipa, nfapel )

      length = ipa - 1

      end
