      subroutine funcnonlin1 ( ibuffr, buffer, iinput, isol, kmesh, &
                               kprob )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-09-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     User subroutine to perform actions during the iteration of a non-linear
!     iteration process
! **********************************************************************
!
!                       KEYWORDS
!
!     non_linear
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibuffr(*), iinput(*), isol(5,*), kmesh(*), kprob(*)
      double precision buffer(*)

!     buffer        i/o   Buffer array
!     ibuffr        i/o   Integer buffer array in which all large data is stored
!     iinput         i    integer input array with the following contents
!                         1:   ieqnt (equation sequence number)
!                         2:   niter (iteration sequence number)
!                         3:   icalluser (value following call_func in input)
!     isol           i    Standard SEPRAN array containing information of the
!                         solution arrays
!     kmesh          i    Standard SEPRAN array containing information of the
!                         mesh
!     kprob          i    Standard SEPRAN array, containing information of
!                         the problem
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
!     INSTOP         Stop the program
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1930   Value of ichoice not implemented in user subroutine
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'funcnonlin1' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from funcnonlin1'
         call prinin ( iinput, 3, 'iinput' )

      end if  ! ( debug )
      if ( ierror.ne.0 ) go to 1000

      if ( iinput(3).gt.0 ) then

!     --- Error, this option has not yet been programmed

         call errchr('funcnonlin1',1)
         call errint ( iinput(3), 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end if  ! ( iinput(3).gt.0 )

1000  call erclos ( 'funcnonlin1' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End funcnonlin1'

      end if

      end
