      subroutine el6006 ( f, vec1, vec2, vec3, vec4, vec5, vec6, &
                          vec7, vec8, vec9,eta, m, ichois )
! ======================================================================
!
!        programmer    Patrick Anderson
!        version  1.1  date 24-05-2001 Layout
!        version  1.0  date 14-04-1997
!
!   copyright (c) 1997-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compose f out of nine vec and eta
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m, ichois
      double precision f(m), vec1(m), vec2(m), vec3(m), vec4(m), &
                     vec5(m), vec6(m), vec7(m), vec8(m), vec9(m), eta(m)

!     eta       i     viscosity
!     f         o     resulting vector
!     ichois    i     choice parameter for component
!     m         i     number of integration points
!     vec1      i     input vector
!     vec2      i     input vector
!     vec3      i     input vector
!     vec4      i     input vector
!     vec5      i     input vector
!     vec6      i     input vector
!     vec7      i     input vector
!     vec8      i     input vector
!     vec9      i     input vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, m
         if (ichois.eq.1) f(i) = 2*eta(i)*vec1(i)         - f(i)
         if (ichois.eq.2) f(i) = eta(i)*(vec4(i)+vec2(i)) - f(i)
         if (ichois.eq.3) f(i) = eta(i)*(vec7(i)+vec3(i)) - f(i)
         if (ichois.eq.4) f(i) = 2*eta(i)*vec5(i)         - f(i)
         if (ichois.eq.5) f(i) = eta(i)*(vec8(i)+vec6(i)) - f(i)
         if (ichois.eq.6) f(i) = 2*eta(i)*vec9(i)         - f(i)
      end do

      end
