      subroutine el6028(f, vec1, vec2, vec3, m)
! ======================================================================
!
!        programmer    Patrick Anderson
!        version  1.0  date 12-12-1996
!
!   copyright (c) 1996-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compose f out of vec1, vec2 and vec3
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m
      double precision f(3*m), vec1(m), vec2(m), vec3(m)

!     f         o     resulting vector
!     m         i     number of integration points
!     vec1      i     first input vector
!     vec2      i     second input vector
!     vec3      i     third input vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, m
         f(3*i-2) = vec1(i)
         f(3*i-1) = vec2(i)
         f(3*i)   = vec3(i)
      end do
      end
