       subroutine el6207 ( coor,index1,x1, x2, x3, d1, det, p1, p2, &
                           p3, p4, p5, p6, p7, p8, p9, sol, xref, &
                           wref, d1ref, d2ref, user, mone, m )
! ======================================================================
!
!        programmer     Patrick Anderson
!        version 1.1    date   28-01-1996 Layout
!        version 1.0    date   10-08-1995
!
!   copyrigth (c) 1995-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rigths reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     compute L2 norm for 3D element
!***********************************************************************
!
!                      KEYWORDS
!     spectral
!    norm
!***********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer index1(*), mone, m
      double precision coor(3,*),x1(mone,mone,mone),x2(mone,mone,mone), &
                       x3(mone,mone,mone), d1(mone,mone), &
                       det(mone,mone,mone), p1(mone,mone,mone), &
                       p2(mone,mone,mone), p3(mone,mone,mone), &
                       p4(mone,mone,mone), p5(mone,mone,mone), &
                       p6(mone,mone,mone), p7(mone,mone,mone), &
                       p8(mone,mone,mone), p9(mone,mone,mone),sol(*), &
                       user(*),xref(mone),d1ref(mone),d2ref(mone), &
                       wref(mone)

!     coor    i    array of length ndim x npoint containing the co-ordinates
!                  of the nodal points with respect to the global numbering
!     d1      i    array of length modecl x modecl contaning the values of the
!                  derivatives of the basisfunctions in the x-direction
!     d1ref   i    ?
!     d2ref   i    ?
!     det     i    array of length modecl x modecl containing the
!                  transformation determinant
!     index1  i    Array of length inpelm containing the point numbers
!                  of the nodal points in the element
!     m       i    number of integration points
!     mone    i    number of integration points in one dimension
!     p1      i    arrays of length m containing the partial
!                  derivatives of the coordinates due to transformation
!     p2      i    See p1
!     p3      i    See p1
!     p4      i    See p1
!     p5      i    See p1
!     p6      i    See p1
!     p7      i    See p1
!     p8      i    See p1
!     p9      i    See p1
!     sol     i    ?
!     user    o    Real user array to pass user information from
!                  main program to subroutine. See STANDARD PROBLEMS
!     wref    i    array of length m containing the Legendre
!                  Gauss-Lobatto weights for numerical integration
!     x1      i    x-coordinate of first point in curve
!     x2      i    x-coordinate of last point in curve
!     x3      i    Third component of co-ordinate vector
!     xref    i    array of length m containing the coordinates of
!                  Legendre-Gauss-Lobatto points
!***********************************************************************
!
!                     COMMON BLOCKS
!
! **********************************************************************
!
!                     LOCAL PARAMETERS

      integer i, j, k,ijk

!     i       Counting variable
!     ijk     Help variable
!     j       Counting variable
!     k       Counting variable
!***********************************************************************
!
!             SUBROUTINES CALLED
!
!     ELP640    compute basisfunctions, derivatives and weights for
!               numerical integration corresponding to the reference
!               element (element independent)
!     ELP646    compute transformation determinant and
!               partial derivatives  in 3-D
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
!     --- calculate the determinat

      call elp646(coor, index1, x1, x2, x3, d1, det, p1, p2, &
                        p3, p4, p5, p6, p7, p8, p9, mone)

!     --- calculate the weights

      call elp640(0, xref, wref, d1ref, d2ref, mone)
      k=1
      do 30, k=1,mone
         do 25, j=1,mone
            do 20, i=1,mone
               ijk = i + (j-1)*mone+(k-1)*m
               user(50) = user(50) + wref(i)*wref(j)*wref(k)* &
                          det(k,j,i)*sol(ijk)
   20       continue
   25    continue
   30 continue
      end
