      subroutine elerrintcoef ( iseqcoef, itype, ielgrp, ielem, ival, &
                                namevar )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-07-2007
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Give error message if integer coefficient out of range
!
! **********************************************************************
!
!                       KEYWORDS
!
!     coefficient
!     check
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseqcoef, itype, ielgrp, ielem, ival
      character (len=*) namevar

!     ielem          i    Element number
!     ielgrp         i    element group number
!     iseqcoef       i    Sequence number of coefficients input
!     itype          i    Table containing information about the numbers behind
!                         the keywords in the table code
!     ival           i    Reference to position in rincof
!     namevar        i    Name of variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1305   Coefficient has wrong value
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'elerrintcoef' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from elerrintcoef'

      end if  ! ( debug )

      call errint ( iseqcoef, 1 )
      call errint ( itype, 2 )
      call errint ( ielgrp, 3 )
      call errint ( ielem, 4 )
      call errint ( ival, 5 )
      call errchr ( namevar, 1 )
      call errsub ( 1305, 5, 0, 1 )

      call erclos ( 'elerrintcoef' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End elerrintcoef'

      end if  ! ( debug )

      end
