      subroutine elflar(ivalue,ivalh,user,result,x,y,z,uold,nloc, &
          mloc,index1, istart,istep)
      use sepmodulecactl
      implicit none
      integer index1(*)
      double precision result(*), user(*), uold(*), x(*), y(*), z(*), &
             uoldh(10)
      integer ivalue,ivalh, nloc,mloc, istart,istep
!
! ********************************************************************
!
!
!        programmer   guus segal
!        version 2.2  date   25-01-1992 Save added
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   10-07-1984
!
!
!
!   copyright (c) 1982,1992  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!      fill function values in array result for nodal points in
!      array index1
!
! ********************************************************************
!
!         input / output parameters
!
!      ivalue      result of subroutine eluser (ivalue>0)
!
!      ivalh       result of subroutine eluser when ivalue>2000
!                  when ivalh < 0 then the function values must be evaluated
!                  in the gauss points instead of the nodal points
!                  this possibility may only be used for ivalue = 1001
!                  in that case array uold must be filled with array phi
!                  containing the values of the basis functions in the
!                  gauss points in the following way:
!                  phi( (i-1)*n +k ) = phi i (xk)
!                  with xk the k th gauss point and n the number of basis
!                  functions
!
!      result      array containing the function in the integration points
!
!      x,y,z       arrays containing the co-ordinates in the integration points
!                  of the element
!
!      user        see subroutine system
!
!      uold        array containing the old solution in the nodal points
!
!      n           number of integration points
!
!      m           number of degrees of freedom in the points in uold
!                  hence uold((i-1)*m+j) is jth degree of freedom in
!                  nodal point i
!
!      istart      index of first integration point in the arrays x, y etc.
!
!      istep       only the istep th integration points are filled
!
! ********************************************************************
!
      double precision f, h, xc, yc, zc
      integer i, inunkp, j, ihi, ihst
      double precision funcc1, funccf
      save inunkp
      if(ifirst.eq.0) inunkp=icount/inpelm
      if(ivalue.le.1000) then
!
!        0 < ivalue < 1000
!
          do 100 i=istart,nloc,istep
             xc=x(i)
             yc=y(i)
             zc=z(i)
100          result(i)=funccf(ivalue,xc,yc,zc)
      else if(ivalue.le.2000) then
!
!        1000 < ivalue < 2000
!
          ihst=0
          do 200 i=istart,nloc,istep
             xc=x(i)
             yc=y(i)
             zc=z(i)
             do 150 j=1,inunkp
150             uoldh(j)=uold(ihst+j)
             ihst=ihst+inunkp
200          result(i)=funcc1(ivalue-1000,xc,yc,zc,uoldh)
!
      else if(ivalue.eq.2001) then
!
!        * ivalue = 2001
!
          if(ivalh.gt.0) then
!
!          * ivalh > 0
!
             do 250 i=istart,nloc,istep
250             result(i)=user(ivalh+index1(i))
          else
!
!          *  ivalh < 0
!
             do 260 i=1,nloc
260             result(i)=0d0
             ihi=0
             do 280 i=1,inpelm
                f=user(-ivalh+index1(i))
                do 270 j=1,nloc
270                result(j)=result(j)+f*uold(ihi+j)
280             ihi=ihi+nloc
          end if
      else if(ivalue.eq.2002) then
!
!        * ivalue = 2002
!
          h=user(ivalh+irelem)
          do 310 i=istart,nloc,istep
310          result(i)=h
      end if
      end
