      subroutine elp950(gradl,gradph,itcoor)
      implicit double precision (a-h,o-z)
      double precision gradl(*), gradph(*)
!
! ********************************************************************
!
!        programmer   Guus Segal
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   15-02-1987
!
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     fill array gradph (dphi/dx or dphi/dy) where gradl (d lambda/dx or dy)
!     is given
!     quadratic basis functions (triangle with straight side)
!
! ********************************************************************
!
!        input / output
!
!    gradl   i  deivative of lambda
!
!    gradph  o  derivative of basis functions
!
!    itcoor  i  indication of type of co-ordinates
!               0:  cartesian co-ordinates
!               1:  axi-symmetric co-ordinates
!               2:  only the vertices are filled
!
! ********************************************************************
!
      if(itcoor.eq.2) goto 100
!
      h=gradl(1)
      gradph(2)=h
      gradph(4)=-h
      gradph(6)=h
      h=2d0*h
      gradph(10)=h
      gradph(22)=-h
      gradph(34)=h
      h=gradl(2)
      gradph(14)=h
      gradph(16)=h
      gradph(18)=-h
      h=2d0*h
      gradph(12)=h
      gradph(24)=h
      gradph(36)=-h
      h=gradl(3)
      gradph(26)=-h
      gradph(28)=h
      gradph(30)=h
      h=2d0*h
      gradph(8)=-h
      gradph(20)=h
      gradph(32)=h
!
      if(itcoor.eq.0)  return
100   gradph(1)=3d0*gradl(1)
      gradph(3)=-gradl(1)
      gradph(5)=-gradl(1)
      gradph(7)=4d0*gradl(2)
      gradph(9)=4d0*gradl(1)
      gradph(11)=0d0
      gradph(13)=-gradl(2)
      gradph(15)=3d0*gradl(2)
      gradph(17)=-gradl(2)
      gradph(19)=0d0
      gradph(21)=4d0*gradl(3)
      gradph(23)=gradph(7)
      gradph(25)=-gradl(3)
      gradph(27)=-gradl(3)
      gradph(29)=3d0*gradl(3)
      gradph(31)=gradph(21)
      gradph(33)=0d0
      gradph(35)=gradph(9)
      end
