      subroutine sepcopycelem ( elemmt, elemvc, elemmt2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-07-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy information of complex elements in type element
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     element
!     assembly
!     matrix
!     vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecactl
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double complex, target :: elemmt(icount,icount), elemvc(icount)
      double complex, target :: elemmt2(icount,icount)

!     elemmt         i    Element matrix
!     elemmt2        i    Second element matrix
!     elemvc         i    Element vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopycelem' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopycelem'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      E%cmat => elemmt                     ! element matrix
      E%cmat2 => elemmt2                   ! element matrix
      E%cvec => elemvc                     ! element vector

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopycelem'

      end if  ! ( debug )
      call erclos ( 'sepcopycelem' )

      end subroutine sepcopycelem
