      subroutine sepcopycelvec ( elemvclc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-07-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy information of complex elements in type element
!     Only element vector
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     element
!     assembly
!     matrix
!     vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecactl
      use sepmoduleelm
      use sepmodulebuild
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double complex, target :: elemvclc(icount)

!     elemvclc       i    Element vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLCVECOLD Make relation between complvector and cvecold
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopycelvec' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopycelvec'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      E%cvec => elemvclc                     ! element vector
      length = size(vecold)/2
      call sepfillcvecold ( vecold, length )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopycelvec'

      end if  ! ( debug )
      call erclos ( 'sepcopycelvec' )

      end subroutine sepcopycelvec
