      subroutine el2013(jmeth,jdiag,s,m,nu,nt,lrow,phi,psi,psix,w,u, &
            dudx,work,rho,cp)
      implicit double precision (a-h,o-z)
      double precision s(*), w(*), work(*), phi(*), psi(*), psix(*), &
             u(*), dudx(*), cp(*)
!
! ********************************************************************
!
!
!        programmer   Guus Segal
!        version 3.0  date   05-02-1992 New call of el2001;
!                                      Removal of jcoor and x)
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   15-12-1986
!
!
!
!   copyright (c) 1985,1992  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!    *  compute contribution of convective term to Boussinesq equations
!       for Picard or Newton iteration   2D only  (Temperature part)
!
!
! ********************************************************************
!
!                            input/output
!
!      jmeth     i   choice parameter. Possibilities:
!
!                    1:  Picard method
!                    2:  Newton iteration
!                    3:  successive substitution
!
!      jdiag     i   choice parameter. Possibilities:
!
!                    1:  Newton-Cotes integration rule
!                    2:  Gauss integration
!
!      s        i/o  element matrix  ( lrow x lrow )
!                    s(i,j)=s((i-1)*lrow+j)  1-d storage
!
!      m         i   number of integration points
!
!      nu        i   number of basis functions phi
!
!      nt        i   number of basis functions psi
!
!      lrow      i   number of rows in s
!
!      phi       i   array containing the values of the basis functions phi
!                    in the integration points
!                    phi i (xk) = phi((i-1)*m+k)  1-d storage
!
!      psi       i   array containing the values of the basis functions psi
!                    in the integration points
!                    psi i (xk) = psi((i-1)*m+k)  1-d storage
!
!      psix      i   array containing the derivatives of the basis functions psi
!                    in the integration points
!                    d psi i / dx  (xk) = psix((i-1)*m+k)  1-d storage
!                    d psi i / dy  (xk) = psix((i-1)*m+m+k)  1-d storage
!
!      w         i   array containing the weights for the numerical integ.
!
!      u         i   array containing the preceding solution
!
!      dudx      i   array containing the derivatives of the preceding solution
!
!      work          work array of length ....
!
!      rho       i   constant density
!
!      x         i   x-values in integration points
!
!      cp        i   values of the funtion cp in the integration points
!
! ********************************************************************
!
!
      do 100 i=1,m
100      work(i)=w(i)*rho*cp(i)
!
!                                       n           n+1
!  *  first Picard term     /  rho cp  u  .  grad  T      de
!                           e
!
!     must be stored in S
!                        TT
!
!    At this moment only cartesian co-ordinates!
!
      if(jmeth.ne.3) then
         call el2001(1,2,u,s(2*nu*(lrow+1)+1),work,psi,psix,nt,m, &
              2,lrow,work(m+1),.true.)
      end if
!
!  *  then successive substitution part
!
!                 n
!     S   =  /  rho cp  dT / dx  psi  phi   de
!      Tu    e              i    j
!
!
!                 n
!     S   =  /  rho cp  dT / dy  psi  phi   de
!      Tv    e              i    j
!
!
      if(jmeth.ne.1) then
         if(jdiag.eq.1) then
            jdia=2
         else
            jdia=3
         end if
         call el2012(2,jdia,dudx(4*m+1),s(2*nu*lrow+1),work,psi,phi, &
            nt,nu,m,lrow,work(m+1))
         call el2012(2,jdia,dudx(5*m+1),s(2*nu*lrow+1+nu),work,psi,phi, &
            nt,nu,m,lrow,work(m+1))
      end if
      end
