      subroutine el4033 (ichint,itcoor,rho,uold,duoldx,w,xg,phig, &
                         vector,nstart,n,m,ndim,psig,n1)
      implicit double precision (a-h,o-z)
      double precision uold(*), duoldx(*), w(*), xg(*), phig(*), &
             vector(*), psig(*)
!
!*********************************************************************
!
!    the element vector due to convective acceleration is computed
!
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   11-01-1985
!        version 4    date   22-05-1985 itcoor=3
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     for variables see elp220 , elm400
!
!     vector   element vector to be supplemented
!
!     nstart     number of test function to start with integration
!                (1 : navier-stokes; n : pressure gradient)
!
!     n          number of nodal points including the centroid
!
!     m     number of integration points
!
!********************************************************************
!
!
!     right hand side vector for convective acceleration
!
!     newton linearization for computation of velocities, &
!     or convective acceleration  for computation of pressure gradient
!
      m2=m+m
      m3=m2+m
      if ((ndim.eq.2).and.(ichint.eq.0).and. &
          (itcoor.eq.0).and.(n.eq.m)) then
!
!*  newton-cotes integration / n=m !
!
         do 10 i=nstart,n
            rhow=rho*w(i)
            vector(i)=vector(i)+rhow*(uold(i)*duoldx(i) &
                                     +uold(m+i)*duoldx(m+i))
            vector(n+i)=vector(n+i)+rhow*(uold(i)*duoldx(m2+i) &
                                         +uold(m+i)*duoldx(m3+i))
10       continue
!
!*  gauss integration / itcoor=0,1  and itcoor=2
!
      else if ((ndim.eq.2).and.(ichint.eq.1).and. &
               ((itcoor.eq.0).or.(itcoor.eq.1))) then
         do 120 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 110 k=1,m
               rhow=phig(ik)*w(k)
               sum1=sum1+rhow*(uold(k)*duoldx(k)+uold(m+k)*duoldx(m+k))
               sum2=sum2+rhow*(uold(k)*duoldx(m2+k) &
                               +uold(m+k)*duoldx(m3+k))
               ik=ik+1
110         continue
            vector(i)=vector(i)+rho*sum1
            vector(i+n)=vector(i+n)+rho*sum2
120      continue
      else if ((ndim.eq.2).and.(ichint.eq.1).and.(itcoor.eq.2)) then
!
!*  polar coordinates / gauss integration
!
         do 220 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            sum3=0.0d0
            sum4=0.0d0
            ik=(i-1)*m+1
            do 210 k=1,m
               rhow=phig(ik)*w(k)
               sum1=sum1+rhow*(uold(k)*duoldx(k) &
                               +uold(m+k)*duoldx(m+k)/xg(k))
               sum2=sum2+rhow*(uold(k)*duoldx(m2+k) &
                               +uold(m+k)*duoldx(m3+k)/xg(k))
               sum3=sum3+rhow*uold(m+k)*uold(m+k)/xg(k)
               sum4=sum4+rhow*uold(k)*uold(m+k)/xg(k)
               ik=ik+1
210         continue
            vector(i)=vector(i)+rho*(sum1-sum3)
            vector(i+n)=vector(i+n)+rho*(sum2+sum4)
220      continue
      else if ((ndim.eq.2).and.(ichint.eq.1).and.(itcoor.eq.3)) then
         m4=m3+m
         m5=m4+m
         n2=n+n
         do 320 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            sum3=0.0d0
            ik=(i-1)*m
            do 310 k=1,m
               rhow=phig(ik+k)*w(k)
               sum1=sum1+rhow*(uold(k)*duoldx(k)+uold(m+k)*duoldx(m+k) &
                               -uold(m2+k)*uold(m2+k)/xg(k))
               sum2=sum2+rhow*(uold(k)*duoldx(m2+k) &
                               +uold(m+k)*duoldx(m3+k))
310         continue
            vector(i)=vector(i)+rho*sum1
            vector(i+n)=vector(i+n)+rho*sum2
            if (i.le.n1) then
               do 311 k=1,m
                  rhow=psig(ik+k)*w(k)
                  sum3=sum3+rhow*(uold(k)*duoldx(m4+k) &
                                  +uold(m+k)*duoldx(m5+k) &
                                  +uold(k)*uold(m2+k)/xg(k))
311            continue
               vector(n2+i)=vector(n2+i)+rho*sum3
            end if
            ik=ik+m
320      continue
      end if
      end
