      subroutine el8202 (D, s, nd)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.2  date 13-04-2005 Extension for axi-symmetry (RvL)
!        version  1.1  date 01-11-2002 Extension for 2D shapes (RvL)
!
!   copyright (c) 2000-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   computes volume matrix for general nonlinear solid element
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelem
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nd
      double precision D(nd,nd), s(*)

!     D       o    Volume matrix to be filled
!     nd      i    Number of rows in D
!     s       i    Stress vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i,j

!     i       Counting variable
!     j       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if (ndim==2) then

         do i = 1, nd
            do j = 1, ndim
               if (i<=3) then
                  D(i,j) = s(i)
               else
                  D(i,j) = s(i-1)
               end if
            end do
         end do

!        --- axisymmetric case

         if (jcart==2) then
            D(1,nd)=s(1)
            D(2,nd)=s(2)
            D(3,nd)=s(3)
            D(4,nd)=s(3)
            D(5,nd)=s(4)
            D(5,1)=s(4)
            D(5,2)=s(4)
         end if

      else if (ndim==3) then

         do i = 1, nd
            do j = 1, ndim
               if (i<=6) then
                  D(i,j) = s(i)
               else
                  D(i,j) = s(i-3)
               end if
            end do
         end do

      end if

      end
