       program cross_vel

!     --- Main program for channel in a cross-configuration
!         stationary laminar non-newtonian flow
!         penalty function approach
!         velocity boundary condition
!         To link this program use:
!
!         seplink cross_vel

      call startsepcomp
      end

!     --- Function funcbc to define the velocity at the left inflow
!         boundary

      function funcbc(ifunc,x,y,z)
      implicit none
      integer ifunc
      double precision funcbc,x,y,z

      double precision vmax, h, y_left, y_symm
      integer icount
      double precision getconst
      save y_left, y_symm

!     --- initialze icount

      data icount /0/

      if ( icount==0 ) then

!     --- icount = 0, first time: initialize y_left and y_symm

         y_left = getconst ( 'y_left' )
         y_symm = getconst ( 'y_symm' )

      end if  ! ( icount==0 )

      vmax = 1d0
      h = y_left-y_symm
      if (ifunc==1) then
         funcbc = vmax*(1d0-(y-y_symm)**2/h**2)
      end if
      end
