      subroutine erpres2 ( isepi2, isepi3, isubr )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-07-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Remove the input arrays in arrays in ibuffr that were used to
!     store the input
! **********************************************************************
!
!                       KEYWORDS
!
!     boundary_condition
!     essential
!     read
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpi'
      include 'SPcommon/cconst'
      include 'SPcommon/cinout'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer isepi2(4,*), isepi3(3,*), isubr

!     isepi2        i/o   Block 2 of array ISEPIN
!                         See subroutine ini009 for a description
!                         It is extended with the temporary input
!     isepi3        i/o   Block 3 of array ISEPIN
!                         See subroutine ini016 for a description
!                         It is extended with the temporary input
!     isubr          i    Indicates the type of calling subroutine
!                         Possible values
!                         4:  CREATE
!                         5:  PRESBC
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer icall, ipos
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     icall          Call sequence number for present subroutine
!     ipos           Position in array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'erpres2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from erpres2'
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Refill array isepin, this is actually removing

      icall = isepi2(3,isubr)
      isepi2(2,isubr) = icall-1
      isepi2(3,isubr) = icall-1
      ipos = isepi2(4,isubr)-1+icall
      isepi3(1,ipos) = 0
      isepi3(2,ipos) = 0
      isepi3(3,ipos) = 0

      if ( debug ) write(irefwr,1) 'ipos, icall', ipos, icall

1000  call erclos ( 'erpres2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End erpres2'

      end if  ! ( debug )

      end
