! ****************************************************************************
!
!      File:  exam3-2-1.f
!
!      Contents:  Main program for the test example described
!                 in the SEPRAN manual examples 3-2-1
!                 Waves in harbour
!                 Since a function subroutine is used for the solution,
!                 it is not possible to use sepcomp
!
!      Usage:     Compile and link this program with the SEPRAN libraries
!                 seplink exam3-2-1
!                 Run this program with input: exam3-2-1.prb
!
!                 exam3-2-1 < exam3-2-1.prb > exam3-2-1.out
!
!      version 1.0    date   17-06-94
!
! ****************************************************************************
!
      program exam321
      implicit none
      double precision pi, omega, g, angle
      common / hacons / pi, omega, g, angle
      pi = 4*atan(1.0d0)
      g = 9.81d0
      angle = 270d0
      omega = 0.056d0
      call startsepcomp
      end


!     --- subroutine cfuncb for the definition of the boundary conditions


      subroutine cfuncb ( ichois, x, y, z, comval )
      implicit none
      complex * 16 comval
      integer ichois
      double precision x, y, z, depth, alpha, ak, arg

      double precision pi, omega, g, angle
      common / hacons / pi, omega, g, angle

!    --- compute boundary condition in nodal point (x, y, z) :
!        determine wave-number ak :

      depth = 15.0d0

!     angle of incoming wave :

      alpha = (pi/180.0d0)*angle
      ak = omega/sqrt(g*depth)
      arg = ak*(x*cos(alpha)+y*sin(alpha))

!     prescribed elevation :

      comval = dcmplx ( cos(arg), sin(arg) )

      end


!     --- subroutine cfuncf for the definition of the coefficients

      subroutine cfuncf ( ichois, x, y, z, comval )
      implicit none
      complex * 16 comval
      integer ichois
      double precision x, y, z, gamma, depth, ak

      double precision pi, omega, g, angle
      common / hacons / pi, omega, g, angle

      gamma = 0d0
      depth = 15.0d0
      ak = omega/sqrt(g*depth)

      if ( ichois==1 ) then
          comval = dcmplx ( -ak*ak, -gamma*ak/depth )
      end if
      end
