      program earthconvection
      call startsepcomp
      end
! *************************************************************
!     FUNCCF
!
!     Define buoyancy forces to drive flow in a cylindrical
!     geometry. It is assumed that the gravity points to the
!     center of the cylinder (as if to model a self-gravitating
!     planet): g = - (sin(theta),cos(theta))
!
!     The buoyancy forces specified below should lead to an 8-cell
!     convection pattern, symmetrical around x=0.
! *************************************************************
      function funccf(ifunc,x,y,z)
      implicit none
      integer ifunc
      double precision funccf,x,y,z
      double precision r,theta,sint,cost,asin,pi
      parameter(pi=3.1415926d0)

!     --- find polar coordinates for this point

      r = sqrt(x*x+y*y)
      theta = asin(y/r)

!     --- sin(theta),cos(theta)

      sint = x/r
      cost = y/r

      if ( ifunc.eq.1 ) then
         funccf = cos((theta+pi/2d0)*4d0)  * sint
      else if ( ifunc.eq.2 ) then
         funccf = cos((theta+pi/2d0)*4d0)  * cost
      end if

      end
