      program helmholtz21

!     --- Standard main program

      implicit none
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (helmholtz21) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

!     --- Subroutine cfuncf is used to define the right-hand side
      double complex function cfunccf ( ifunc, x, y, z )
      use sepmoduleconsts
      implicit none
      integer ifunc
      double precision x, y, z
      double precision getconst, k
      k = getconst('k')
      select case ( ifunc )
      case(1)
         cfunccf = -(k**2-5*pi**2)*sin(pi*x)*sin(2d0*pi*y)
      case default

!     --- Option not programmed yet

         cfunccf = 0d0
         call errchr ( 'cfunccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
