      program partfreelevdump2d
      implicit none
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=2 00 000 000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      subroutine funcvect ( ichoice, ndim, coor, numnodes, uold, nuold,
     +                      result, nphys )
      implicit none
      integer ichoice, ndim, numnodes, nuold, nphys
      double precision coor(ndim,numnodes), uold(numnodes,nphys,nuold),
     +                 result(numnodes,*)
      integer i
      double precision vn, dt, fact, Cpart, C0, csol, zeta, kappa
      double precision getconst, getvar

      select case (ichoice)

      case(1)

!     --- case 1, compute concentration

         Cpart = getconst ('Cpart')
         C0 = getconst ('C0')
         result(1:numnodes,1) = cpart
         do i = 1, numnodes
            if( uold(i,1,1)<=0d0 ) result(i,1) = c0
         end do  ! i = 1, numnodes

      case(2)

!     --- case 2, compute velocity vn

         Cpart = getconst ('Cpart')
         csol = getvar ('csol')
         zeta = getconst ('zeta')
         kappa = getconst ('kappa')

         result(:,1) = kappa/cpart*
     +      (csol-uold(:,1,1))

      case default

!     --- Other values, not programmed
!         Give error and stop

         call errchr('funcvect',1)
         call errsub ( 349, 0, 0, 1)
         call instop

      end select ! case (ichoice)

      end

      function func ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision func, x, y, z
      double precision S0
      double precision getconst

      select case (ifunc)

      case(1)

!     --- case 1

         S0 = getconst ('S0')
         func = sqrt((x-0.25)**2+y**2)-0.2
         func = min(func,sqrt((x+0.25)**2+y**2)-0.15)
         func = min(func,max(abs(x)-0.25,abs(y)-0.035))
         func = -func

      case default

!     --- Other values, not programmed
!         Give error and stop

         call errchr('func',1)
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         func = 0d0
         call instop

      end select ! case (ifunc)

      end

      function funcc1 ( ifunc, x, y, z, uold )
      implicit none
      integer ifunc
      double precision funcc1, x, y, z, uold(*)
      double precision Cpart, C0, csol, zeta, kappa
      double precision getconst, getvar

      Cpart = getconst ('Cpart')
      csol = getvar ('csol')
      zeta = getconst ('zeta')
      kappa = getconst ('kappa')

      select case (ifunc)

      case(1)

!     --- case 1: compute sigma

         funcc1 =  kappa/cpart*(cpart-uold(1))

      case(2)

!     --- case 2: compute g

         funcc1 =  kappa/cpart*(cpart-uold(1))*csol

      case default

      call errchr('funcc1',1)
      call errsub ( 349, 0, 0, 1)
      call instop
      funcc1 = 0d0

      end select ! case (ifunc)

      end
