      program opgave4_2_1
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function func ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision func, x, y, z
      double precision ui, D, Di, B, rmid, uo, alpha
      double precision getconst, getvar

      ui = getconst ('ui')
      uo = getvar ('uo')
      D = getconst ('D')
      Di = getconst ('Di')
      B = getconst ('B')

      select case ( ifunc )
      case(1)

!     --- ux inner tube

         func = -ui/Di**2*(x-Di)*(x+Di)

      case(2)

!     --- ux outer tube

         rmid = 0.5d0*(D+Di+B)
         alpha = uo/((D-rmid)*(Di+B-rmid))
         func = (D-x)*(Di+B-x)*alpha

      case(3)

!     --- ux outer tube

         rmid = 0.5d0*(D+Di+B)
         alpha = -uo/((D-rmid)*(Di+B-rmid))
         func = (D-x)*(Di+B-x)*alpha

      case default

!     --- Option not programmed yet

         call errchr ( 'func', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end

      function funcbc ( ifunc, x, y, z )
      use sepmoduleconsts
      implicit none
      integer ifunc
      double precision funcbc, x, y, z

      select case ( ifunc )
      case(1)

!     --- c

         funcbc = cos(2*pi*(y+0.25d0))

      case default

!     --- Option not programmed yet

         call errchr ( 'funcbc', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
