      program testperiod09
      implicit none

!     --- File for  2d periodical boundary conditions problem
!         See testperiod09.prb and the manual Examples Section 3.1.9
!         for a description

      call startsepcomp
      end

!     --- Function funcbc for the essential boundary conditions

      function funcbc ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, funcbc

      if ( ichoice==1 ) then

!     --- ichoice = 1, standard case

         funcbc = 3d0+4d0*x-x**2

      else

!     --- ichoice # 1, error

         call eropen('funcbc')
         call errint(ichoice,1)
         call errsub ( 1, 1, 0, 0)
         call erclos('funcbc')
         call instop
         funcbc = 0d0

      end if

      end

!     --- Function func for the creation of the exact solution

      function func ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, func, funcbc
      if ( ichoice==1 ) then

!     --- ichoice = 1, standard case

         func = funcbc ( ichoice, x, y, z )

      else

!     --- ichoice # 1, error

         call eropen('func')
         call errint(ichoice,1)
         call errsub ( 1, 1, 0, 0)
         call erclos('func')
         call instop
         func = 0d0

      end if

      end
