      use sepmoduleoldrouts
      implicit double precision (a-h,o-z)
      double complex :: work(40)
      integer :: kmesh,kprob,iwork(40),
     v          intmat,matr,isol,imag,iphase,
     v          irhsd,iuser(100), ip
      double precision :: user(100),contln(20), a1, a2, b1, b2
      common / hacons/ pi,omega,g,angle
! *
      contln(1)=20
      iuser(1)=100
      user(1)=100
      kmesh = 0
      kprob = 0
      intmat = 0
      matr = 0
      isol = 0
      imag = 0
      iphase = 0
      irhsd = 0
      contln(3)= 0
      user(3)  = 0
      iuser(3) = 0
! *
! *   initialize constants :
! *     g is acceleration of gravity
! *     angle is angle of incidence of incoming waves
! *     omega is angular velocity of waves
! *
      pi=4*atan(1.0d0)
      g=9.81d0
      angle=270d0
      omega=0.056d0
      call sepstr ( kmesh, kprob, intmat )
! *
! *   essential boundary conditions :
! *
      ichois=-1
      idim=2
      value=0d0
      icrv1=6
      icrv2=6
      idegfd=1
      jstap=0
! *
      call bvalue(ichois,idim,kmesh,kprob,isol,value,
     v            icrv1,icrv2,idegfd,jstap)
! *
! *   essential boundary conditions at c6
! *
! *   differential equation (fil150) :
! *
      iwork = 0
      work = 0d0
      work(6)=dcmplx(1d0,0d0)
      work(9)=dcmplx(1d0,0d0)
      iwork(18)=1
      ielgrp=1
      iparm=25
! *
      call fil150(ielgrp,iuser,user,kprob,iparm,iwork,work)
! *
! *   at all other boundaries full reflection :
! *
      ichois=1
      call systm0(ichois,matr,intmat,kmesh,kprob,irhsd,isol,iuser,user,
     v            islold,ielhlp)
! *
! *   solve system of linear equations :
! *
      ipos=0
      call solve(ipos,matr,isol,irhsd,intmat,kprob)
! *
! *   compute magnitude in each point :
! *
      a1 = 0d0
      a2 = 0d0
      b1 = 0d0
      b2 = 0d0
      ip = 0
      call algebr(8,1,isol,ivec2,imag,kmesh,kprob,a1, a2, b1, b2,ip)
! *
      layout=3
! *
      call prinrv(imag,kmesh,kprob,layout,0,' amplitude ')
! *
! *   compute phase in each point :
! *
      call algebr(9,1,isol,ivec2,iphase,kmesh,kprob,a1, a2, b1, b2,ip)
! *
      call prinrv(iphase,kmesh,kprob,layout,0,' phase ')
! *
! *   plot contour lines at level -1.00, -0.80, -0.60, . . . , 1.00
! *
      do 200 i=1,11
         contln(i+5)=-1.00+(i-1)*0.20
200   continue
! *
      number=1
      ncntln=11
      plotfm=20
      yfact=1
      jsmoot=0
! *
! *   contour plot of magnitude
! *
      call plotc1(number,kmesh,kprob,imag,contln,ncntln,plotfm,
     v            yfact,jsmoot)
! *
! *   plot phase : contour levels -165 , -135 , -105 ,   .....   165.
! *
      do 300 i=1,12
          contln(i+5)=pi*(-13.0+2*i)/12.0d0
300   continue
! *
      number=1
      ncntln=12
! *
      call plotc1(number,kmesh,kprob,iphase,contln,ncntln,plotfm,
     v            yfact,jsmoot)
! *
! *   3d-plot of elevation:
! *
      number=1
      view=135d0
      linopt=3
      base=20d0
      height=20d0
      call plot3d(number,kmesh,kprob,isol,base,height,view,linopt)
      istop=0
      call finish(istop)
      end



      subroutine cfuncb(ichois,x,y,z,comval)
      implicit double precision (a-h,o-z)
      dimension comval(2)
      common / hacons / pi,omega,g,angle
! *
! *   compute boundary condition in nodal point (x,y,z) :
! *
! *   determine wave-number ak :
! *
      depth=15.0d0
! *
! *   angle of incoming wave :
! *
      alpha=(pi/180.0d0)*angle
! *
      ak=omega/sqrt(g*depth)
! *
      arg=ak*(x*cos(alpha)+y*sin(alpha))
! *
! *   prescribed elevation :
! *
      comval(1)=cos(arg)
      comval(2)=sin(arg)
! *
      end

      double complex function cfunccf ( ifunc, x, y, z )
      implicit none
      integer ifunc
      double precision x, y, z
      double precision ak, alpha, depth, gamma
      double precision pi,omega,g,angle
      common / hacons / pi,omega,g,angle
      select case ( ifunc )
      case(1)
         gamma=0d0
         depth=15.0d0
         alpha=angle*pi/180.0d0
         ak=omega/sqrt(g*depth)
! *
         cfunccf=dcmplx(-ak*ak,-gamma*ak/depth)

      case default

!     --- Option not programmed yet

         cfunccf = 0d0
         call errchr ( 'cfunccf', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
