      program examtim1
      use sepmoduletime
      implicit none

      integer kmesh(200), kprob(200), intmat(5), isol(5), iuser(100),
     +        icount, itytim, iincrt(1), iinout(1), iinstr(2)
      double precision user(100), epsusr

!     --- Standard SEPRAN initialisations

      kmesh(1) = 200
      kprob(1) = 200
      user(1)  = 100
      iuser(1) = 100
      kmesh(3) = 0
      kprob(3) = 0
      user(3)  = 0
      iuser(3) = 0

!     --- Start SEPRAN  (read mesh etc.)

      iinstr(1) = 2
      iinstr(2) = 1
      call sepstn ( kmesh, kprob, intmat, iinstr )

!     --- fill initial temperature in isol

      t      = 0d0
      iincrt(1) = 0
      call creatn ( iincrt, kmesh, kprob, isol )

!     --- Write initial condition to file sepcomp.out

      iinout(1) = 0
      call outsol ( kmesh, kprob, isol, iinout, t, iuser, user )

!     --- set parameters for subroutine soltim:

      itytim = 1
      ichtim = 1
      epsusr = 1d-3
      oldmethod = .true.

!     --- compute solution for t = 0.1, 0.2, . . . , 1.0

      tend = 1d0
      do icount = 1, 10
         tout = icount*0.1d0
         call soltim ( itytim, ichtim, kmesh, kprob, intmat, isol,
     +                 epsusr, user, iuser)

!      --- write solution to file sepcomp.out

         call outsol ( kmesh, kprob, isol, iinout, t, iuser, user )

      end do

!     --- Close SEPRAN

      call finish(0)
      end


!     --- function func for the initial condition


      function func ( ichoice, x, y, z )
      implicit none
      double precision func, x, y, z
      integer ichoice

      func = sin(x)*sin(y)

      end


!     --- function funcbc for essential boundary conditions


      function funcbc ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funcbc, x, y, z
      integer ichoice
      funcbc = sin(x)*sin(y)*exp(-t)

      end


!     --- subroutine filtim for the control of the time-dependent process


      subroutine filtim ( kmesh, kprob, intmat, isol, matrs, matrm,
     +                    irhsd, islold, user, iuser )
      implicit none
      double precision user(*)
      integer kmesh(*), kprob(*), intmat(*), isol(*), islold(*),
     +        matrs(*), matrm(*), irhsd(*), iuser(*)
      integer ictime, iinbld(4), iinprs(1), iinfil(1)
      save ictime
      data ictime /0/

!     --- User written subroutine for the incorporation of boundary
!         conditions and the determination of the matrices M and S
!         Example : Heat equation on the unit square.


!     --- essential boundary conditions

      iinprs(1) = 0
      call presbc ( kmesh, kprob, isol, iinprs )

!     --- Fill matrices M and S and right-hand side f
!         Since the matrices are time-independent this is only
!         necessary at t = 0

      if ( ictime==0 ) then

!     --- Information is only read the first step
!         The parameter ictime is used to distinguish between first and
!         next step

         iinfil(1) = 0
         call fillcf ( iuser, user, kprob, kmesh, iinfil )

!        --- Do not take boundary conditions into account
!            Mass matrix is diagonal

         iinbld(1) = 4
         iinbld(2) = 1
         iinbld(3) = 1
         iinbld(4) = 1
         call build ( iinbld, matrs, intmat, kmesh, kprob,
     +                irhsd, matrm, isol, islold, iuser, user )
         ictime = 1

      end if
      end
