      program timedcop

!     --- Main program for for the solution of a coupled set of time-dependent
!         equations as described in the Users Manual Section 6-4-3
!         This program is only necessary since function subroutines must be
!         provided to define the time and space dependent  coefficients
!         boundary conditions, initial condition and exact solution

      call startsepcomp
      end

! *******************************************************************
!
!    function func for the initial condition and the exact solution
!
! *******************************************************************
      function func ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision func, x, y, z
      integer ichoice

      if ( ichoice==1 ) then
         func = t * x
      else if ( ichoice==2 ) then
         func = 3d0 * t * x
      end if

      end
! *******************************************************************
!
!    function funccf for the coefficients
!
! *******************************************************************
      function funccf ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funccf, x, y, z
      integer ichoice

      if ( ichoice==3 ) then
         funccf = x + 3d0 * ( t * x ) ** 2
      else if ( ichoice==4 ) then
         funccf = 3d0 * x + 3d0 * ( t * x ) ** 2
      end if

      end
! *******************************************************************
!
!    function for essential boundary conditions :
!
! *******************************************************************
      function funcbc ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funcbc, x, y, z
      integer ichoice

      if ( ichoice==1 ) then
         funcbc = t * x
      else if ( ichoice==2 ) then
         funcbc = 3d0 * t * x
      end if

      end
