      subroutine inibarriermpi
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 24-10-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Wrapper for MPI_BARRIER.
!     This implementation is completely based on MPI
! **********************************************************************
!
!                       KEYWORDS
!
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ierr
!mpi      include 'mpif.h'

!     ierr           error status of an MPI call ( .eq.MPI_SUCCESS if ok)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     MPI_BARRIER    MPI barrier function for synchronization
! **********************************************************************
!
!                       I/O
!
!     information from all nodes is received
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1750   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inibarriermpi' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inibarriermpi'
100      format ( a, 1x, (10i6) )
110      format ( a, 1x, (5d12.4) )

      end if
      if ( ierror/=0 ) go to 1000

!mpi      call MPI_BARRIER ( MPI_COMM_WORLD, ierr )

!mpi      if ( ierr.ne.MPI_SUCCESS ) then
!mpi         call errint ( ierr, 1 )
!mpi         call errsub ( 1750, 1, 0, 0 )
!mpi      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inibarriermpi'

      end if
      call erclos ( 'inibarriermpi' )

      end
