      subroutine inibufsizempi ( send_buffer_size, numneigh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 24-03-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Compute send_buffer_size for mpi
!
! **********************************************************************
!
!                       KEYWORDS
!
!     parallel
!     send
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!mpi      include 'mpif.h'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer send_buffer_size, numneigh

!     numneigh          i    number of neighbors of a block
!     send_buffer_size i/o   Length of the send buffer
!                            At input actual length in bytes
!                            At output extended with mpi overhead
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inibufsizempi' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inibufsizempi'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!mpi      send_buffer_size = send_buffer_size+MPI_BSEND_OVERHEAD*numneigh

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inibufsizempi'

      end if  ! ( debug )
      call erclos ( 'inibufsizempi' )

      end
