      program sepintpolate
c ======================================================================
c
c        programmer    Guus Segal
c        version  6.4  date 04-04-1999 Replace prinsl by prinslbf
c        version  6.3  date 20-02-1999 set nbuf
c        version  6.2  date 03-12-1998 New call to sepst1
c        version  6.2  date 03-12-1998 New call to sepst1
c        version  2.3  date 06-07-1994 Give new files same structure
c                                      formatted/unformatted as old ones
c        version  2.2  date 30-06-1994 New call to sepst1
c        version  2.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
c        version  2.0  date 16-08-1988 Extension with time-dependence
c        version  1.0  date 26-03-1988
c
c   copyright (c) 1988-1999  "Ingenieursbureau SEPRA"
c   permission to copy or distribute this software or documentation
c   in hard copy or soft copy granted only by written license
c   obtained from "Ingenieursbureau SEPRA".
c   all rights reserved. no part of this publication may be reproduced,
c   stored in a retrieval system ( e.g., in memory, disk, or core)
c   or be transmitted by any means, electronic, mechanical, photocopy,
c   recording, or otherwise, without written permission from the
c   publisher.
c **********************************************************************
c
c                       DESCRIPTION
c
c   Interpolate between two SEPRAN meshes
c
c **********************************************************************
c
c                       KEYWORDS
c
c     interpolate
c **********************************************************************
c
c                       MODULES USED
c
      implicit none
c **********************************************************************
c
c                       COMMON BLOCKS
c
      include 'SPcommon/cmachn'

c **********************************************************************
c
c                       INPUT / OUTPUT PARAMETERS
c
c **********************************************************************
c
c                       LOCAL PARAMETERS
c
      integer niter, i, j, numvec, iinput(100), ntime, ihelp(10),
     +        kmesh(500), kprob(500), isol(5,26,100), iref14, iref15,
     +        kmesh1(100), isol1(5), kprob1(100), irefar(0:1000)
      integer (kind=8) :: nbuf
      double precision time(300)
      logical posint, meshonly
c **********************************************************************
c
c                       SUBROUTINES CALLED
c
c **********************************************************************
c
c                       I/O
c
c    none
c **********************************************************************
c
c                       ERROR MESSAGES
c
c **********************************************************************
c
c                       PSEUDO CODE
c
c **********************************************************************
c
c                       DATA STATEMENTS
c
c ======================================================================
c
      call startsepran

c     --- Store length of variable length arrays (in the SEPRAN sence) into
c         their first positions

      kmesh(1) = 500
      kmesh1(1) = 100
      kprob(1) = 500
      kprob1(1) = 100
      iinput(1) = 100

c     --- Set some arrays equal to zero

      do i = 1,26
         do j = 1,100
            isol( 1,i,j ) = 0
         end do
      end do

c     --- Start the program, read the mesh, the problem definition and the
c         solution arrays

      posint = .true.
      call sepst1 ( time, posint, niter, meshonly )
      call preset(1)
      call preset(2)
      if ( iref10.gt.0 ) then

c     --- mesh output file is formatted

         open ( unit = 14, file = 'meshoutput2' )
      else

c     --- mesh output file is unformatted

         open ( unit = 14, file = 'meshoutput2', form = 'unformatted' )
      end if
      if ( iref10.gt.0 ) then
         iref14 = 14
      else
         iref14 = -14
      end if
      call msh071 ( 0, iref14, ihelp )
      call probdf ( 1, kprob1, kmesh1, iinput )
      call intmsh ( 0, kmesh, kmesh1, kprob, kprob1, isol, isol1 )
      if ( iref74.gt.0 ) then

c     --- sepcomp.out file is formatted

         open ( unit = 15, file = 'sepcomp.out2' )
      else

c     --- sepcomp.out file is unformatted

         open ( unit = 15, file = 'sepcomp.out2',
     +          form = 'unformatted' )
      end if
      if ( iref74.gt.0 ) then
         iref15 = 15
      else
         iref15 = -15
      end if
      call prinsl ( isol1, kmesh1, kprob1, iref15 )
      end
