      subroutine congrd ( ichoice, icontr, matr, isol, irhsdlc, intmatlc, &
                          kproblc, eps, nmaxlc, irestr, kmeshlc )
      use sepmodulemain
      use sepmoduleintmat
      use sepmodulematr
      use sepmodulematstr
      use sepmodulecons
      use sepmodulesolve
      implicit none
      integer ichoice, icontr(*), matr, isol(*), irhsdlc(*), &
              kproblc, nmaxlc, irestr, kmeshlc
      integer, target :: intmatlc
      double precision eps
      integer :: iprec, icgs, inpsollc(22)
      double precision :: rinsollc(nrinsol)
      type (intmatrix), pointer :: IM
      call eropen ( 'congrd' )

      kmesh2d(1) = kmeshlc
      kmesh => kmesh2d(1)
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      intmat => intmatlc
      IM => intmt(intmat)

      inpsollc = 0
      rinsollc = 0d0
      inpsollc(1) = 22
      inpsollc(3) = 1  ! cg
      rinsollc(1) = eps
      iseqsol = 1
      iseqsolut = 1
      ireadinpsol = -1
      iseqintmat = 1
      iseqreac = 0

      rinsollc(1) = abs(eps)
      rinsollc(2) = 0d0
      rinsollc(3) = 0.95d0
      rinsollc(4) = 0d0

      icgs = 0
      if ( ichoice<0 ) then
         iprec = mod(icontr(5),10)
         icgs  = icontr(5)/10
         if ( iprec>7 ) then
            iprec = iprec-7
         end if
      end if

!     --- Fill array inpsollc

      if ( ichoice>=0 ) then

!     --- ichoice = 0 or 1, fill inpsollc(4)

         if ( ichoice/=0 ) then

!        --- a standard (=default) preconditioner must be set here

            inpsollc(4) = 6

         end if
         if ( ichoice>=2 ) inpsollc(10) = ichoice-1

      else

!     --- ichoice = -1 or -2, copy from icontr

         inpsollc(1)  = icontr(1)
         inpsollc(9)  = icontr(2)
         inpsollc(22) = icontr(3)
         inpsollc(6)  = icontr(4)
         inpsollc(4)  = iprec
         inpsollc(10) = icontr(10)
         if ( icontr(10)<0 .or. icontr(10)>2 ) then
            call errint ( 10, 1 )
            call errint ( icontr(10), 2 )
            call errint ( 0, 3 )
            call errint ( 2, 4 )
            call errsub ( 1874, 4, 0, 0 )
         end if

         if ( eps>0d0 ) then
            inpsollc(11) = 2
         else
            inpsollc(11) = icontr(7)
         end if

         if ( icgs>=2 ) then
            inpsollc(8) = icontr(9)
            if ( inpsollc(8)<2 .or. inpsollc(8)>200 ) then
               call errint ( inpsollc(8), 1 )
               call errint ( 2, 2 )
               call errint ( 200, 3 )
               call errsub ( 1873, 3, 0, 0 )
            end if
         end if
         if ( icgs==3 ) then
            inpsollc(13) = icontr(11)
            inpsollc(14) = icontr(12)
            if ( inpsollc(13)>=inpsollc(8) ) then
               call errint ( inpsollc(13), 1 )
               call errint ( inpsollc(8), 2 )
               call errwar ( 831, 2, 0, 0 )
               inpsollc(8) = 2 * inpsollc(13)
            end if
         end if
         if ( .not. IM%symmetric ) inpsollc(7) = icontr(8)

      end if

!     --- Select a standard (=default) preconditioner:
!                  Eisenstat when jmethod = 5, 7
!                  ILU when jmethod = 6, 8
!                  diagonal  when jmethod = 9,10,11,12

      if ( inpsollc(4)==6 ) then
         if ( IM%symmetric ) then
            inpsollc(4) = 2
         else if ( .not. IM%complexm ) then
            inpsollc(4) = 3
         else
            inpsollc(4) = 1
         end if
      end if

      iprec = inpsollc(4)

      inpsollc(3) = icgs+1
      inpsollc(5) = nmaxlc
      iseqmt = matr
      call sepcopinpsol ( inpsollc, rinsollc )
   !   call seplinsolkprob ( irhsdlc )
      call seplinsol ( matr, isol, irhsdlc )
      call erclos ( 'congrd' )
      end subroutine congrd
