      subroutine fil104 ( iproblc, iblgrp, iuser, user, &
                          kproblc, nparm, iwork, work, kmeshlc )
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
      integer iproblc, iblgrp, iuser(*), kproblc, nparm, kmeshlc, &
              iwork(4,nparm)
      double precision user(*), work(nparm)
      integer k, i, icount, &
              jcount, mcount, ifunc, iref, ih, kcount, jelgrp, &
              nbngrp
      double precision func
      call eropen ( 'fil104' )
      kprob2d(1) = kproblc
      kprob => kprob2d(1)
      iprob = iproblc
      iseqkp = kprob
      kprobpart => kp(iseqkp)%kprobsub(iprob)
      kprobloc => kprobpart%kprobloc
      if ( kprobloc(15)>0 ) kprobb => kprobpart%kprobb
      nbngrp = kprobloc(12)
      if ( kprobloc(11)/=0 ) &
         nbngrp = nbngrp+kprobloc(kprobloc(11))
      if ( iblgrp<=0 .or. iblgrp>nbngrp ) then
         call errint ( iblgrp, 1 )
         call errint ( nbngrp, 2 )
         call errsub ( 416, 2, 0, 0 )
      end if
      if ( ierror/=0 ) go to 1000

      kmesh = kmeshlc
      call sepfillkmesh(kmesh)

!     --- Set some constants

      inelem  = 0
      jelgrp = iblgrp + nelgrp
      if ( kprobloc(15)>0 ) inelem = kprobb(iblgrp)
      if ( iuser(2)<=0 ) then

!     --- iuser(2)<=0,  first information in iuser

        icount = 5+kprobloc(8)+nbngrp
        jcount = 5

      else

         icount = iuser(4)
         jcount = nint(user(4))

      end if

!     --- Store value of icount into mcount

      mcount = icount

!     --- fill arrays iuser and user

      iuser(jelgrp+5) = icount+1

      do i = 1, nparm

         ifunc = iwork(1,i)
         if ( ifunc>=0 .and. ifunc<=2000 .or. abs(ifunc)>10000 ) then

!        --- Standard situation
!            ifunc>10000: scalar
!            ifunc<-10000: func = scalar

            func = work(i)
            call elf000 ( icount, jcount, ifunc, func, i, iuser, user )
            if ( jcount==2001 .or. jcount==2002 ) jcount = 2010

         else if ( ifunc==2001 ) then

!        --- ifunc  =  2001   read npoint function values from file iref

            icount = icount+1
            iuser(icount) = 2001
            icount = icount+1
            iuser(icount) = jcount+1
            call prinlg( 'user', -jcount-npoint, user, iuser )
            iref = iwork(2,i)
            if ( iref>0  ) then

!           --- iref>0  Read from file iref

               read(iref, *) (user(jcount+k), k = 1, npoint)

            else if ( iref<0  ) then

!           --- iref<0  Call subroutine funcfl

               call funcfl ( coor, npoint, -iref, &
                             user(jcount+1) )

            end if
            jcount = jcount+npoint
            if ( jcount==2001 .or. jcount==2002 ) jcount = 2010

         else if ( ifunc==2002 ) then

!        --- ifunc  =  2002   read inelem function values from file iref

            icount = icount+1
            iuser(icount) = 2002
            icount = icount+1
            iuser(icount) = jcount+1
            call prinlg ( 'user', -jcount-inelem, user, iuser )
            iref = iwork(2,i)
            if ( iref<0 ) then
               call errint ( iref, 1 )
               call errint ( iblgrp, 2 )
               call errint ( i, 3 )
               do k = 1, 4
                  call errint ( iwork(k,i), k+3 )
               end do
               call errsub ( 571, 7, 0, 0 )
            end if
            if ( inelem<=0 ) then
               call errint ( iblgrp, 1 )
               call errint ( i, 2 )
               do k = 1, 4
                  call errint ( iwork(k,i), k+2 )
               end do
               call errsub ( 2200, 6, 0, 0 )
            end if
            if ( iref>0 .and. inelem>0 ) &
               read(iref,*) (user(jcount+k), k = 1, inelem)
            jcount = jcount+inelem
            if ( jcount==2001 .or. jcount==2002) jcount = 2010

         else if ( ifunc==2003 ) then

!        --- ifunc = 2003   Old vectors are used

            icount = icount+1
            iuser(icount) = ifunc
            iuser(icount+1) = iwork(2,i)
            iuser(icount+2) = iwork(3,i)
            icount = icount+2

         else if ( ifunc==2004 ) then

!        --- ifunc = 2004   Old vectors are used multiplied by a function or
!                           constant

            icount = icount+1
            iuser(icount) = ifunc
            iuser(icount+1) = iwork(2,i)
            iuser(icount+2) = iwork(3,i)
            icount = icount+2
            call elf000 ( icount, jcount, iwork(4,i), work(i), &
                          i, iuser, user )

         else if ( ifunc<0 .and. ifunc>-i ) then

!        --- ifunc<0 and ifunc>-i  Coefficient  i is identical to
!                                      coefficient -iwork(1, i)

            kcount = mcount
            do k = 1, -ifunc
               ih = iwork(1,k)
               if ( ih>=0 .and. ih<=2000 .or. abs(ih)>10000 ) then
                  kcount = kcount+1
               else if (  ih>=2001 .and. ih<=2002 ) then
                  kcount = kcount+2
               else
                  kcount = kcount+3
               end if
            end do

            if ( ih>=0 .and. ih<=2000 .or. abs(ih)>10000 ) then
               icount = icount+1
               iuser(icount) = iuser(kcount)
            else if ( ih<=2002 ) then
               icount = icount+2
               iuser(icount-1) = ih
               iuser(icount) = iuser(kcount)
            else if ( ih<=2003 ) then
               icount = icount + 3
               iuser(icount-2) = ih
               iuser(icount-1) = iuser(kcount-1)
               iuser(icount  ) = iuser(kcount)
            else
               icount = icount + 4
               iuser(icount-2) = ih
               iuser(icount-1) = iuser(kcount-1)
               iuser(icount  ) = iuser(kcount)
            end if
            do k = 1, 4
               iwork(k,i) = iwork(k,-ifunc)
            end do

         else

!        --- ifunc has wrong value

            call errint ( ifunc, 1 )
            call errint ( iblgrp, 2 )
            call errint ( i, 3 )
            do k = 1, 4
               call errint ( iwork(k,i), k+3 )
            end do
            call errsub ( 536, 7, 0, 0 )

         end if

      end do

      iuser(4) = icount
      user(4)  = jcount
      iuser(2) = jelgrp
      call prinlg( 'user', -jcount-1, user, iuser )
      call prinlg( 'iuser', icount+1, user, iuser )
1000  call erclos ( 'fil104' )
      end subroutine fil104
