      subroutine tovecmulcons ( const, vector, nusol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-09-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Multiply vector by a constant
!
! **********************************************************************
!
!                       KEYWORDS
!
!     multiplication
!     vector
!     constant
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol
      double precision const, vector(*)

!     const          i    Multiplication constant
!     nusol          i    Length of vector
!     vector        i/o   Vector to be multiplied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'tovecmulcons' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from tovecmulcons'

      end if  ! ( debug )
      if ( ierror.ne.0 ) go to 1000

      do i = 1, nusol
         vector(i) = const*vector(i)
      end do  ! i = 1, nusol

1000  call erclos ( 'tovecmulcons' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End tovecmulcons'

      end if

      end
